Debian Bug report logs - #597358
xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled

version graph

Package: src:linux-2.6; Maintainer for src:linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Aaron Small <a.small@unb.ca>

Date: Sat, 18 Sep 2010 22:15:01 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Merged with 575893, 607227

Found in versions linux-2.6/2.6.32-41, linux-2.6/2.6.32-10, linux-2.6/2.6.32-29, linux-2.6/2.6.32-21

Fixed in versions linux-2.6/2.6.37-1~experimental.1, linux-2.6/2.6.32-46

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, a.small@unb.ca, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Sat, 18 Sep 2010 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aaron Small <a.small@unb.ca>:
New Bug report received and forwarded. Copy sent to a.small@unb.ca, Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 18 Sep 2010 22:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Small <a.small@unb.ca>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Sat, 18 Sep 2010 18:11:44 -0400
Package: xserver-xorg-video-radeon
Version: 1:6.13.1-2
Severity: normal


When KMS is enabled, the screen is mostly correct all the time, but the
brightness for either the entire screen, or one horizontal line
flickers, maybe two to three times per second. Sometimes the change in
brightness is just noticeable, and sometimes it is strong enough to look
like a horizontal line the full width of the display becomes white. The
very strong flickers seem to only happen with a single line, the
whole-display flickers are always fairly weak, but still noticeable.

The flickering happens all the time when KMS is enabled. Reboot and
suspend/resume have no effect. When KMS is disabled, there is no
problem, I never see flickering like this.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Dec 28  2006 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1725304 Aug 24 11:04 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3132 Aug  7 22:06 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/fonts/X11/misc"
	FontPath	"/usr/X11R6/lib/X11/fonts/misc"
	FontPath	"/usr/share/fonts/X11/cyrillic"
	FontPath	"/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath	"/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/fonts/X11/Type1"
	FontPath	"/usr/X11R6/lib/X11/fonts/Type1"
	FontPath	"/usr/share/fonts/X11/100dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath	"/usr/share/fonts/X11/75dpi"
	FontPath	"/usr/X11R6/lib/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"i2c"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ImPS/2"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "InputDevice"
	Identifier      "Touchpad"
	Driver		"synaptics"
	Option		"AlwaysCore"
	Option		"device"		"/dev/input/mouse0"
	Option		"Protocol"		"auto-dev"
	Option		"SHMConfig"		"on"
	Option 		"TapButton2" 		"3"
	Option		"TapButton3"		"2"
EndSection

Section "Device"
	Identifier	"Generic Video Card"
	Driver		"ati"
	BusID		"PCI:1:0:0"
EndSection

Section "Monitor"
	Identifier	"Color LCD"
	Option		"DPMS"
	HorizSync	28-72
	VertRefresh	43-60
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"Generic Video Card"
	Monitor		"Color LCD"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1440x900"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1440x900"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1440x900"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1440x900"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1440x900"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1440x900"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
	InputDevice	"Touchpad"
EndSection

Section "DRI"
	Mode	0666
EndSection


Kernel version (/proc/version):
Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 33521 Sep 18 18:04 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
Current Operating System: Linux ahni 2.6.32-5-686 #1 SMP Wed Aug 25 14:28:12 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=393bcb6d-dc9f-45bc-84ca-ba3265387679 ro quiet
Build Date: 24 August 2010  02:59:40PM
xorg-server 2:1.7.7-4 (Julien Cristau <jcristau@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep 18 17:50:05 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Color LCD"
(**) |   |-->Device "Generic Video Card"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
(WW) Disabling Generic Keyboard
(WW) Disabling Configured Mouse
(II) Loader magic: 0x81eaca0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 1002:71c5:106b:0080 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0x80000000/268435456, 0x98300000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded by default.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri2" will be loaded by default.
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules/libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "ati"
(II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
(II) Module ati: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 6.13.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) RADEON: Driver for ATI Radeon chipsets:
	ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
	ATI Radeon Mobility X300 (M24) 3152 (PCIE),
	ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
	ATI Radeon X600 (RV380) 3E50 (PCIE),
	ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
	ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
	ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
	ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
	ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
	ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
	ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
	ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
	ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
	ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
	ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
	ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
	ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
	ATI Radeon X800PRO (R420) JI (AGP),
	ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
	ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
	ATI Radeon Mobility 9800 (M18) JN (AGP),
	ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
	ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
	ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
	ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
	ATI Radeon Mobility M7 LW (AGP),
	ATI Mobility FireGL 7800 M7 LX (AGP),
	ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
	ATI FireGL Mobility 9000 (M9) Ld (AGP),
	ATI Radeon Mobility 9000 (M9) Lf (AGP),
	ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
	ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
	ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
	ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
	ATI Radeon 9800XT NJ (AGP),
	ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
	ATI Radeon Mobility 9600 (M10) NQ (AGP),
	ATI Radeon Mobility 9600 (M11) NR (AGP),
	ATI Radeon Mobility 9600 (M10) NS (AGP),
	ATI FireGL Mobility T2 (M10) NT (AGP),
	ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
	ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
	ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
	ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
	ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
	ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
	ATI Radeon Mobility X300 (M22) 5460 (PCIE),
	ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
	ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
	ATI Radeon X800PRO (R423) UI (PCIE),
	ATI Radeon X800LE (R423) UJ (PCIE),
	ATI Radeon X800SE (R423) UK (PCIE),
	ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
	ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
	ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
	ATI FireGL unknown (R423) UR (PCIE),
	ATI FireGL unknown (R423) UT (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility FireGL V5000 (M26) (PCIE),
	ATI Mobility Radeon X700 XL (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Mobility Radeon X700 (M26) (PCIE),
	ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
	ATI Radeon Mobility 9100 IGP (U3) 5835,
	ATI Radeon XPRESS 200 5954 (PCIE),
	ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
	ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
	ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
	ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
	ATI Radeon XPRESS 200M 5975 (PCIE),
	ATI Radeon XPRESS 200 5A41 (PCIE),
	ATI Radeon XPRESS 200M 5A42 (PCIE),
	ATI Radeon XPRESS 200 5A61 (PCIE),
	ATI Radeon XPRESS 200M 5A62 (PCIE),
	ATI Radeon X300 (RV370) 5B60 (PCIE),
	ATI Radeon X600 (RV370) 5B62 (PCIE),
	ATI Radeon X550 (RV370) 5B63 (PCIE),
	ATI FireGL V3100 (RV370) 5B64 (PCIE),
	ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
	ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
	ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
	ATI Mobility Radeon X800 XT (M28) (PCIE),
	ATI Mobility FireGL V5100 (M28) (PCIE),
	ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
	ATI Radeon X850 XT PE (R480) (PCIE),
	ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
	ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
	ATI Radeon X850 XT (R480) (PCIE),
	ATI Radeon X800XT (R423) 5D57 (PCIE),
	ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
	ATI Radeon X700 PRO (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
	ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
	ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
	ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
	ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
	ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
	ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
	ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
	ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
	ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
	ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
	ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
	ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
	ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
	ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
	ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
	ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
	ATI Mobility Radeon X1700, ATI Radeon X2300HD,
	ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
	ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
	ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
	ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
	ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
	ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
	ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
	ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
	ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
	ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
	ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
	ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
	ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
	ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
	AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
	ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
	ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
	ATI Mobility Radeon HD 4670, ATI FirePro M5750,
	ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
	ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
	ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
	ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
	ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
	ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
	ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI RV670,
	ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
	ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
	ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
	ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
	ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
	ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
	ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
	ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
	ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
	ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
	ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
	ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
	ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
	ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
	ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
	ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
	ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
	ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
	ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI Mobility Radeon HD 5800 Series,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
	ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
	ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
	ATI Mobility Radeon HD 5000 Series,
	ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
	ATI FirePro (FireGL) Graphics Adapter,
	ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
	CEDAR
(II) Primary Device is: PCI 01@00:00:0
(II) [KMS] Kernel modesetting enabled.
(**) RADEON(0): Depth 24, (--) framebuffer bpp 32
(II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(==) RADEON(0): RGB weight 888
(II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
(--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
(II) RADEON(0): PCIE card detected
(II) RADEON(0): KMS Color Tiling: enabled
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:01:00.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
(II) RADEON(0): Output LVDS using monitor section Color LCD
(II) RADEON(0): Output S-video has no monitor section
(II) RADEON(0): Output DVI-0 has no monitor section
(II) RADEON(0): EDID for output LVDS
(II) RADEON(0): Manufacturer: APP  Model: 9c56  Serial#: 0
(II) RADEON(0): Year: 2006  Week: 4
(II) RADEON(0): EDID Version: 1.3
(II) RADEON(0): Digital Display Input
(II) RADEON(0): Max Image Size [cm]: horiz.: 34  vert.: 22
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): No DPMS capabilities specified
(II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) RADEON(0): First detailed timing is preferred mode
(II) RADEON(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
(II) RADEON(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported detailed timing:
(II) RADEON(0): clock: 96.3 MHz   Image Size:  331 x 207 mm
(II) RADEON(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1760 h_border: 0
(II) RADEON(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
(II) RADEON(0): Unknown vendor-specific block 1
(II) RADEON(0):  LTN154X7
(II) RADEON(0): Monitor name: Color LCD
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff000610569c00000000
(II) RADEON(0): 	04100103802216780a87f594574f8c27
(II) RADEON(0): 	27505400000001010101010101010101
(II) RADEON(0): 	0101010101019f25a04051840c304020
(II) RADEON(0): 	33004bcf100000190000000100061030
(II) RADEON(0): 	00000000000000000a20000000fe004c
(II) RADEON(0): 	544e31353458370000000a20000000fc
(II) RADEON(0): 	00436f6c6f72204c43440a20202000d5
(II) RADEON(0): EDID vendor "APP", prod id 40022
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(II) RADEON(0): Printing probed modes for output LVDS
(II) RADEON(0): Modeline "1440x900"x60.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
(II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
(II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
(II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
(II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
(II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
(II) RADEON(0): Modeline "848x480"x59.7   31.50  848 872 952 1056  480 483 493 500 -hsync +vsync (29.8 kHz)
(II) RADEON(0): Modeline "720x480"x59.7   26.75  720 744 808 896  480 483 493 500 -hsync +vsync (29.9 kHz)
(II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
(II) RADEON(0): EDID for output S-video
(II) RADEON(0): EDID for output DVI-0
(II) RADEON(0): Output LVDS connected
(II) RADEON(0): Output S-video disconnected
(II) RADEON(0): Output DVI-0 disconnected
(II) RADEON(0): Using user preference for initial modes
(II) RADEON(0): Output LVDS using initial mode 1440x900
(II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
(II) RADEON(0): mem size init: gart size :1feff000 vram size: s:10000000 visible:fab2000
(II) RADEON(0): EXA: Driver will allow EXA pixmaps in VRAM
(**) RADEON(0): Display dimensions: (340, 220) mm
(**) RADEON(0): DPI set to (107, 103)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(II) RADEON(0): GPU accel disabled or not working, using shadowfb for KMS
(II) Loading sub module "shadow"
(II) LoadModule: "shadow"
(II) Loading /usr/lib/xorg/modules/libshadow.so
(II) Module shadow: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(--) Depth 24 pixmap format is 32 bpp
(II) RADEON(0): Front buffer size: 5244K
(II) RADEON(0): VRAM usage limit set to 226321K
(==) RADEON(0): Backing store disabled
(WW) RADEON(0): Direct rendering disabled
(II) RADEON(0): Acceleration disabled
(**) RADEON(0): DPMS enabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) RADEON(0): Setting screen physical size to 380 x 238
(II) Synaptics touchpad driver version 1.2.2
(--) Touchpad auto-dev sets device to /dev/input/event5
(**) Option "Device" "/dev/input/event5"
(II) Touchpad: x-axis range 0 - 1215
(II) Touchpad: y-axis range 0 - 575
(II) Touchpad: pressure range 0 - 300
(II) Touchpad: finger width range 0 - 0
(II) Touchpad: buttons: left double triple
(**) Option "SHMConfig" "on"
(**) Option "TapButton2" "3"
(**) Option "TapButton3" "2"
(--) Touchpad: touchpad found
(**) Option "AlwaysCore"
(**) Touchpad: always reports core events
(II) XINPUT: Adding extended input device "Touchpad" (type: TOUCHPAD)
(**) Touchpad: (accel) keeping acceleration scheme 1
(**) Touchpad: (accel) acceleration profile 0
(**) Touchpad: (accel) acceleration factor: 2.000
(**) Touchpad: (accel) acceleration threshold: 4
(--) Touchpad: touchpad found
(II) config/udev: Adding input device Power Button (/dev/input/event3)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event3"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Power Button (/dev/input/event1)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event1"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Lid Switch (/dev/input/event0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event2)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event2"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device HDA Intel HP Out at Ext Rear Jack (/dev/input/event10)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device HDA Intel Line In at Ext Rear Jack (/dev/input/event9)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event6)
(**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
(**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
(**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event6"
(II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
(II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
(II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device appletouch (/dev/input/event5)
(**) appletouch: Applying InputClass "evdev touchpad catchall"
(**) appletouch: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event5"
(--) appletouch: no supported touchpad found
(EE) appletouch Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "appletouch"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device appletouch (/dev/input/mouse0)
(**) appletouch: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
appletouch no synaptics event device found
(**) Option "Device" "/dev/input/mouse0"
Query no Synaptics: 6003C8
(--) appletouch: no supported touchpad found
(EE) appletouch Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "appletouch"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event7)
(**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
(**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
(**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event7"
(II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
(II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
(II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device applesmc (/dev/input/event8)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device applesmc (/dev/input/js0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event4)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) RADEON(0): EDID vendor "APP", prod id 40022
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(--) Touchpad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) RADEON(0): EDID vendor "APP", prod id 40022
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(--) Touchpad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) RADEON(0): EDID vendor "APP", prod id 40022
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(--) Touchpad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) RADEON(0): EDID vendor "APP", prod id 40022
(II) RADEON(0): Printing DDC gathered Modelines:
(II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
(--) Touchpad: touchpad found
(II) Power Button: Device reopened after 1 attempts.
(II) Power Button: Device reopened after 1 attempts.
(II) Sleep Button: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
(II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=Apple Computer, Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65
E: DMI_VENDOR=Apple Computer, Inc.

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: DMI_VENDOR=Apple Computer, Inc.
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66
E: DMI_VENDOR=Apple Computer, Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
N: input/event10
S: char/13:74
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
E: SUBSYSTEM=input
E: DEVNAME=input/event10
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Apple Computer, Inc.
E: MAJOR=13
E: MINOR=74
E: DEVLINKS=/dev/char/13:74
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
N: input/event9
S: char/13:73
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
E: SUBSYSTEM=input
E: DEVNAME=input/event9
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Apple Computer, Inc.
E: MAJOR=13
E: MINOR=73
E: DEVLINKS=/dev/char/13:73
E: TAGS=:udev-acl:

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_VENDOR=Apple_Computer
E: ID_VENDOR_ENC=Apple\x20Computer
E: ID_VENDOR_ID=05ac
E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
E: ID_MODEL_ID=0218
E: ID_REVISION=0060
E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030101:030102:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_VENDOR=Apple_Computer
E: ID_VENDOR_ENC=Apple\x20Computer
E: ID_VENDOR_ID=05ac
E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
E: ID_MODEL_ID=0218
E: ID_REVISION=0060
E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030101:030102:030000:
E: ID_USB_INTERFACE_NUM=01
E: ID_USB_DRIVER=appletouch
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
N: input/mouse0
S: char/13:32
S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_VENDOR=Apple_Computer
E: ID_VENDOR_ENC=Apple\x20Computer
E: ID_VENDOR_ID=05ac
E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
E: ID_MODEL_ID=0218
E: ID_REVISION=0060
E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030101:030102:030000:
E: ID_USB_INTERFACE_NUM=01
E: ID_USB_DRIVER=appletouch
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
E: SUBSYSTEM=input
E: DEVNAME=input/event7
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Apple_Computer
E: ID_VENDOR_ENC=Apple\x20Computer
E: ID_VENDOR_ID=05ac
E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
E: ID_MODEL_ID=0218
E: ID_REVISION=0060
E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030101:030102:030000:
E: ID_USB_INTERFACE_NUM=02
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.2
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=71
E: DEVLINKS=/dev/char/13:71 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02 /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event

P: /devices/platform/applesmc.768/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-path/platform-applesmc.768-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/applesmc.768/input/input8/event8
E: SUBSYSTEM=input
E: DEVNAME=input/event8
E: ID_INPUT=1
E: ID_PATH=platform-applesmc.768
E: DMI_VENDOR=Apple Computer, Inc.
E: MAJOR=13
E: MINOR=72
E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-applesmc.768-event

P: /devices/platform/applesmc.768/input/input8/js0
N: input/js0
S: char/13:0
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/applesmc.768/input/input8/js0
E: SUBSYSTEM=input
E: DEVNAME=input/js0
E: ID_INPUT=1
E: ID_PATH=platform-applesmc.768
E: MAJOR=13
E: MINOR=0
E: DEVLINKS=/dev/char/13:0

P: /devices/platform/pcspkr/input/input4/event4
N: input/event4
S: char/13:68
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Apple Computer, Inc.
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input11/event11
N: input/event11
S: char/13:75
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input11/event11
E: SUBSYSTEM=input
E: DEVNAME=input/event11
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: MAJOR=13
E: MINOR=75
E: DEVLINKS=/dev/char/13:75
E: DMI_VENDOR=Apple Computer, Inc.

DRM Information from dmesg:
[    0.871143] Linux agpgart interface v0.103
[    9.352125] [drm] Initialized drm 1.1.0 20060810
[   10.260025] [drm] radeon kernel modesetting enabled.
[   10.262479] [drm] radeon: Initializing kernel modesetting.
[   10.262644] [drm] register mmio base: 0x98300000
[   10.262646] [drm] register mmio size: 65536
[   10.262976] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
[   10.262992] [drm] Generation 2 PCI interface, using max accessible memory
[   10.262995] [drm] radeon: VRAM 256M
[   10.262997] [drm] radeon: VRAM from 0x00000000 to 0x0FFFFFFF
[   10.262999] [drm] radeon: GTT 512M
[   10.263001] [drm] radeon: GTT from 0x20000000 to 0x3FFFFFFF
[   10.263054] [drm] radeon: using MSI.
[   10.263078] [drm] radeon: irq initialized.
[   10.263799] [drm] Detected VRAM RAM=256M, BAR=256M
[   10.263803] [drm] RAM width 128bits DDR
[   10.263922] [drm] radeon: 256M of VRAM memory ready
[   10.263924] [drm] radeon: 512M of GTT memory ready.
[   10.263941] [drm] GART: num cpu pages 131072, num gpu pages 131072
[   10.265457] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
[   10.265516] [drm] PCIE GART of 512M enabled (table at 0x00040000).
[   10.265528] [drm] radeon: cp idle (0x10000C03)
[   10.265565] [drm] Loading R500 Microcode
[   10.309974] [drm:r100_cp_init] *ERROR* Failed to load firmware!
[   10.310162] [drm] radeon: cp finalized
[   10.310799] [drm] Default TV standard: NTSC
[   10.310867] [drm] Radeon Display Connectors
[   10.310869] [drm] Connector 0:
[   10.310871] [drm]   LVDS
[   10.310874] [drm]   DDC: 0x7e60 0x7e60 0x7e64 0x7e64 0x7e68 0x7e68 0x7e6c 0x7e6c
[   10.310877] [drm]   Encoders:
[   10.310878] [drm]     LCD1: INTERNAL_LVTM1
[   10.310880] [drm] Connector 1:
[   10.310882] [drm]   S-video
[   10.310883] [drm]   Encoders:
[   10.310885] [drm]     TV1: INTERNAL_KLDSCP_DAC2
[   10.310887] [drm] Connector 2:
[   10.310888] [drm]   DVI-I
[   10.310890] [drm]   HPD1
[   10.310892] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
[   10.310895] [drm]   Encoders:
[   10.310897] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
[   10.310899] [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
[   10.579919] [drm] fb mappable at 0x80040000
[   10.579922] [drm] vram apper at 0x80000000
[   10.579924] [drm] size 5299200
[   10.579926] [drm] fb depth is 24
[   10.579928] [drm]    pitch is 5888
[   10.612039] fb0: radeondrmfb frame buffer device
[   10.612046] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-radeon depends on:
ii  libc6                         2.11.2-5   Embedded GNU C Library: Shared lib
ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM 
ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
ii  libudev0                      160-1      libudev shared library
ii  xserver-xorg-core [xorg-video 2:1.7.7-4  Xorg X server - core server

xserver-xorg-video-radeon recommends no packages.

Versions of packages xserver-xorg-video-radeon suggests:
pn  firmware-linux                <none>     (no description available)

-- Configuration Files:
/etc/modprobe.d/radeon-kms.conf changed:
options radeon modeset=0


-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 20 Sep 2010 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 20 Sep 2010 04:09:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: Aaron Small <a.small@unb.ca>, 597358@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 20 Sep 2010 00:05:57 -0400
On Sat, Sep 18, 2010 at 6:11 PM, Aaron Small <a.small@unb.ca> wrote:
> Package: xserver-xorg-video-radeon
> Version: 1:6.13.1-2
> Severity: normal
>
>
> When KMS is enabled, the screen is mostly correct all the time, but the
> brightness for either the entire screen, or one horizontal line
> flickers, maybe two to three times per second. Sometimes the change in
> brightness is just noticeable, and sometimes it is strong enough to look
> like a horizontal line the full width of the display becomes white. The
> very strong flickers seem to only happen with a single line, the
> whole-display flickers are always fairly weak, but still noticeable.
>
> The flickering happens all the time when KMS is enabled. Reboot and
> suspend/resume have no effect. When KMS is disabled, there is no
> problem, I never see flickering like this.
>

Does booting with radeon.new_pll=0 or radeon.display_priority=2 help?

Alex

>
> -- Package-specific info:
> /var/lib/x11/X.roster does not exist.
>
> /var/lib/x11/X.md5sum does not exist.
>
> X server symlink status:
> lrwxrwxrwx 1 root root 13 Dec 28  2006 /etc/X11/X -> /usr/bin/Xorg
> -rwxr-xr-x 1 root root 1725304 Aug 24 11:04 /usr/bin/Xorg
>
> /var/lib/x11/xorg.conf.roster does not exist.
>
> VGA-compatible devices on PCI bus:
> 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]
>
> /var/lib/x11/xorg.conf.md5sum does not exist.
>
> Xorg X server configuration file status:
> -rw-r--r-- 1 root root 3132 Aug  7 22:06 /etc/X11/xorg.conf
>
> Contents of /etc/X11/xorg.conf:
> # /etc/X11/xorg.conf (xorg X Window System server configuration file)
> #
> # This file was generated by dexconf, the Debian X Configuration tool, using
> # values from the debconf database.
> #
> # Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
> # (Type "man /etc/X11/xorg.conf" at the shell prompt.)
> #
> # This file is automatically updated on xserver-xorg package upgrades *only*
> # if it has not been modified since the last upgrade of the xserver-xorg
> # package.
> #
> # If you have edited this file but would like it to be automatically updated
> # again, run the following command:
> #   sudo dpkg-reconfigure -phigh xserver-xorg
>
> Section "Files"
>        FontPath        "/usr/share/fonts/X11/misc"
>        FontPath        "/usr/X11R6/lib/X11/fonts/misc"
>        FontPath        "/usr/share/fonts/X11/cyrillic"
>        FontPath        "/usr/X11R6/lib/X11/fonts/cyrillic"
>        FontPath        "/usr/share/fonts/X11/100dpi/:unscaled"
>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
>        FontPath        "/usr/share/fonts/X11/75dpi/:unscaled"
>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
>        FontPath        "/usr/share/fonts/X11/Type1"
>        FontPath        "/usr/X11R6/lib/X11/fonts/Type1"
>        FontPath        "/usr/share/fonts/X11/100dpi"
>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi"
>        FontPath        "/usr/share/fonts/X11/75dpi"
>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi"
>        # path to defoma fonts
>        FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
> EndSection
>
> Section "Module"
>        Load    "i2c"
>        Load    "bitmap"
>        Load    "ddc"
>        Load    "dri"
>        Load    "extmod"
>        Load    "freetype"
>        Load    "glx"
>        Load    "int10"
>        Load    "vbe"
> EndSection
>
> Section "InputDevice"
>        Identifier      "Generic Keyboard"
>        Driver          "kbd"
>        Option          "CoreKeyboard"
>        Option          "XkbRules"      "xorg"
>        Option          "XkbModel"      "pc104"
>        Option          "XkbLayout"     "us"
> EndSection
>
> Section "InputDevice"
>        Identifier      "Configured Mouse"
>        Driver          "mouse"
>        Option          "CorePointer"
>        Option          "Device"                "/dev/input/mice"
>        Option          "Protocol"              "ImPS/2"
>        Option          "Emulate3Buttons"       "true"
> EndSection
>
> Section "InputDevice"
>        Identifier      "Touchpad"
>        Driver          "synaptics"
>        Option          "AlwaysCore"
>        Option          "device"                "/dev/input/mouse0"
>        Option          "Protocol"              "auto-dev"
>        Option          "SHMConfig"             "on"
>        Option          "TapButton2"            "3"
>        Option          "TapButton3"            "2"
> EndSection
>
> Section "Device"
>        Identifier      "Generic Video Card"
>        Driver          "ati"
>        BusID           "PCI:1:0:0"
> EndSection
>
> Section "Monitor"
>        Identifier      "Color LCD"
>        Option          "DPMS"
>        HorizSync       28-72
>        VertRefresh     43-60
> EndSection
>
> Section "Screen"
>        Identifier      "Default Screen"
>        Device          "Generic Video Card"
>        Monitor         "Color LCD"
>        DefaultDepth    24
>        SubSection "Display"
>                Depth           1
>                Modes           "1440x900"
>        EndSubSection
>        SubSection "Display"
>                Depth           4
>                Modes           "1440x900"
>        EndSubSection
>        SubSection "Display"
>                Depth           8
>                Modes           "1440x900"
>        EndSubSection
>        SubSection "Display"
>                Depth           15
>                Modes           "1440x900"
>        EndSubSection
>        SubSection "Display"
>                Depth           16
>                Modes           "1440x900"
>        EndSubSection
>        SubSection "Display"
>                Depth           24
>                Modes           "1440x900"
>        EndSubSection
> EndSection
>
> Section "ServerLayout"
>        Identifier      "Default Layout"
>        Screen          "Default Screen"
>        InputDevice     "Generic Keyboard"
>        InputDevice     "Configured Mouse"
>        InputDevice     "Touchpad"
> EndSection
>
> Section "DRI"
>        Mode    0666
> EndSection
>
>
> Kernel version (/proc/version):
> Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010
>
> Xorg X server log files on system:
> -rw-r--r-- 1 root root 33521 Sep 18 18:04 /var/log/Xorg.0.log
>
> Contents of most recent Xorg X server log file
> /var/log/Xorg.0.log:
>
> X.Org X Server 1.7.7
> Release Date: 2010-05-04
> X Protocol Version 11, Revision 0
> Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
> Current Operating System: Linux ahni 2.6.32-5-686 #1 SMP Wed Aug 25 14:28:12 UTC 2010 i686
> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=393bcb6d-dc9f-45bc-84ca-ba3265387679 ro quiet
> Build Date: 24 August 2010  02:59:40PM
> xorg-server 2:1.7.7-4 (Julien Cristau <jcristau@debian.org>)
> Current version of pixman: 0.16.4
>        Before reporting problems, check http://wiki.x.org
>        to make sure that you have the latest version.
> Markers: (--) probed, (**) from config file, (==) default setting,
>        (++) from command line, (!!) notice, (II) informational,
>        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
> (==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep 18 17:50:05 2010
> (==) Using config file: "/etc/X11/xorg.conf"
> (==) Using system config directory "/usr/share/X11/xorg.conf.d"
> (==) ServerLayout "Default Layout"
> (**) |-->Screen "Default Screen" (0)
> (**) |   |-->Monitor "Color LCD"
> (**) |   |-->Device "Generic Video Card"
> (**) |-->Input Device "Generic Keyboard"
> (**) |-->Input Device "Configured Mouse"
> (**) |-->Input Device "Touchpad"
> (==) Automatically adding devices
> (==) Automatically enabling devices
> (WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
>        Entry deleted from font path.
> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>        Entry deleted from font path.
> (**) FontPath set to:
>        /usr/share/fonts/X11/misc,
>        /usr/share/fonts/X11/100dpi/:unscaled,
>        /usr/share/fonts/X11/75dpi/:unscaled,
>        /usr/share/fonts/X11/Type1,
>        /usr/share/fonts/X11/100dpi,
>        /usr/share/fonts/X11/75dpi,
>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>        /usr/share/fonts/X11/misc,
>        /usr/share/fonts/X11/100dpi/:unscaled,
>        /usr/share/fonts/X11/75dpi/:unscaled,
>        /usr/share/fonts/X11/Type1,
>        /usr/share/fonts/X11/100dpi,
>        /usr/share/fonts/X11/75dpi,
>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>        built-ins
> (==) ModulePath set to "/usr/lib/xorg/modules"
> (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
> (WW) Disabling Generic Keyboard
> (WW) Disabling Configured Mouse
> (II) Loader magic: 0x81eaca0
> (II) Module ABI versions:
>        X.Org ANSI C Emulation: 0.4
>        X.Org Video Driver: 6.0
>        X.Org XInput driver : 7.0
>        X.Org Server Extension : 2.0
> (++) using VT number 7
>
> (--) PCI:*(0:1:0:0) 1002:71c5:106b:0080 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0x80000000/268435456, 0x98300000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
> (II) Open ACPI successful (/var/run/acpid.socket)
> (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
> (II) "dbe" will be loaded by default.
> (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
> (II) "record" will be loaded by default.
> (II) "dri" will be loaded. This was enabled by default and also specified in the config file.
> (II) "dri2" will be loaded by default.
> (II) LoadModule: "i2c"
> (II) Module "i2c" already built-in
> (II) LoadModule: "ddc"
> (II) Module "ddc" already built-in
> (II) LoadModule: "dri"
> (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
> (II) Module dri: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        ABI class: X.Org Server Extension, version 2.0
> (II) Loading extension XFree86-DRI
> (II) LoadModule: "extmod"
> (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
> (II) Module extmod: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        Module class: X.Org Server Extension
>        ABI class: X.Org Server Extension, version 2.0
> (II) Loading extension SELinux
> (II) Loading extension MIT-SCREEN-SAVER
> (II) Loading extension XFree86-VidModeExtension
> (II) Loading extension XFree86-DGA
> (II) Loading extension DPMS
> (II) Loading extension XVideo
> (II) Loading extension XVideo-MotionCompensation
> (II) Loading extension X-Resource
> (II) LoadModule: "glx"
> (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
> (II) Module glx: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        ABI class: X.Org Server Extension, version 2.0
> (==) AIGLX enabled
> (II) Loading extension GLX
> (II) LoadModule: "int10"
> (II) Loading /usr/lib/xorg/modules/libint10.so
> (II) Module int10: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        ABI class: X.Org Video Driver, version 6.0
> (II) LoadModule: "vbe"
> (II) Loading /usr/lib/xorg/modules/libvbe.so
> (II) Module vbe: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.1.0
>        ABI class: X.Org Video Driver, version 6.0
> (II) LoadModule: "dbe"
> (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
> (II) Module dbe: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        Module class: X.Org Server Extension
>        ABI class: X.Org Server Extension, version 2.0
> (II) Loading extension DOUBLE-BUFFER
> (II) LoadModule: "record"
> (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
> (II) Module record: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.13.0
>        Module class: X.Org Server Extension
>        ABI class: X.Org Server Extension, version 2.0
> (II) Loading extension RECORD
> (II) LoadModule: "dri2"
> (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
> (II) Module dri2: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.1.0
>        ABI class: X.Org Server Extension, version 2.0
> (II) Loading extension DRI2
> (II) LoadModule: "ati"
> (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
> (II) Module ati: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 6.13.1
>        Module class: X.Org Video Driver
>        ABI class: X.Org Video Driver, version 6.0
> (II) LoadModule: "radeon"
> (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
> (II) Module radeon: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 6.13.1
>        Module class: X.Org Video Driver
>        ABI class: X.Org Video Driver, version 6.0
> (II) LoadModule: "synaptics"
> (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
> (II) Module synaptics: vendor="X.Org Foundation"
>        compiled for 1.7.6.901, module version = 1.2.2
>        Module class: X.Org XInput Driver
>        ABI class: X.Org XInput driver, version 7.0
> (II) RADEON: Driver for ATI Radeon chipsets:
>        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
>        ATI Radeon Mobility X300 (M24) 3152 (PCIE),
>        ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
>        ATI Radeon X600 (RV380) 3E50 (PCIE),
>        ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
>        ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
>        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
>        ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
>        ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
>        ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
>        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
>        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
>        ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
>        ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
>        ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
>        ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
>        ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
>        ATI Radeon X800PRO (R420) JI (AGP),
>        ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
>        ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
>        ATI Radeon Mobility 9800 (M18) JN (AGP),
>        ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
>        ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
>        ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
>        ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
>        ATI Radeon Mobility M7 LW (AGP),
>        ATI Mobility FireGL 7800 M7 LX (AGP),
>        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
>        ATI FireGL Mobility 9000 (M9) Ld (AGP),
>        ATI Radeon Mobility 9000 (M9) Lf (AGP),
>        ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
>        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
>        ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
>        ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
>        ATI Radeon 9800XT NJ (AGP),
>        ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
>        ATI Radeon Mobility 9600 (M10) NQ (AGP),
>        ATI Radeon Mobility 9600 (M11) NR (AGP),
>        ATI Radeon Mobility 9600 (M10) NS (AGP),
>        ATI FireGL Mobility T2 (M10) NT (AGP),
>        ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
>        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
>        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
>        ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
>        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
>        ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
>        ATI Radeon Mobility X300 (M22) 5460 (PCIE),
>        ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
>        ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
>        ATI Radeon X800PRO (R423) UI (PCIE),
>        ATI Radeon X800LE (R423) UJ (PCIE),
>        ATI Radeon X800SE (R423) UK (PCIE),
>        ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
>        ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
>        ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
>        ATI FireGL unknown (R423) UR (PCIE),
>        ATI FireGL unknown (R423) UT (PCIE),
>        ATI Mobility FireGL V5000 (M26) (PCIE),
>        ATI Mobility FireGL V5000 (M26) (PCIE),
>        ATI Mobility Radeon X700 XL (M26) (PCIE),
>        ATI Mobility Radeon X700 (M26) (PCIE),
>        ATI Mobility Radeon X700 (M26) (PCIE),
>        ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
>        ATI Radeon Mobility 9100 IGP (U3) 5835,
>        ATI Radeon XPRESS 200 5954 (PCIE),
>        ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
>        ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
>        ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
>        ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
>        ATI Radeon XPRESS 200M 5975 (PCIE),
>        ATI Radeon XPRESS 200 5A41 (PCIE),
>        ATI Radeon XPRESS 200M 5A42 (PCIE),
>        ATI Radeon XPRESS 200 5A61 (PCIE),
>        ATI Radeon XPRESS 200M 5A62 (PCIE),
>        ATI Radeon X300 (RV370) 5B60 (PCIE),
>        ATI Radeon X600 (RV370) 5B62 (PCIE),
>        ATI Radeon X550 (RV370) 5B63 (PCIE),
>        ATI FireGL V3100 (RV370) 5B64 (PCIE),
>        ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
>        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
>        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
>        ATI Mobility Radeon X800 XT (M28) (PCIE),
>        ATI Mobility FireGL V5100 (M28) (PCIE),
>        ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
>        ATI Radeon X850 XT PE (R480) (PCIE),
>        ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
>        ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
>        ATI Radeon X850 XT (R480) (PCIE),
>        ATI Radeon X800XT (R423) 5D57 (PCIE),
>        ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
>        ATI Radeon X700 PRO (RV410) (PCIE),
>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
>        ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
>        ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
>        ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
>        ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
>        ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
>        ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
>        ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
>        ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
>        ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
>        ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
>        ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
>        ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
>        ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
>        ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
>        ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
>        ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
>        ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
>        ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
>        ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
>        ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
>        ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
>        ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
>        ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
>        ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
>        ATI Mobility Radeon X1700, ATI Radeon X2300HD,
>        ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
>        ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>        ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
>        ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
>        ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
>        ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
>        ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
>        ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
>        ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
>        ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
>        ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
>        ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
>        ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
>        ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
>        ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
>        ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
>        ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
>        AMD FireStream 9250, ATI FirePro V8700 (FireGL),
>        ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
>        ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
>        ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
>        ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
>        ATI Mobility Radeon HD 4670, ATI FirePro M5750,
>        ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
>        ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
>        ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
>        ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
>        ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
>        ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
>        ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
>        ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
>        ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
>        ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
>        ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
>        ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
>        ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
>        ATI Mobility Radeon HD 3850 X2, ATI RV670,
>        ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
>        ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
>        ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
>        ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
>        ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
>        ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
>        ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
>        ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
>        ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
>        ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
>        ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
>        ATI FireGL V3600, ATI Radeon HD 2600 LE,
>        ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
>        ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
>        ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
>        ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
>        ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
>        ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
>        ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
>        ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
>        ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>        ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
>        ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
>        ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
>        ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
>        ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
>        ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
>        ATI Mobility Radeon HD 5800 Series,
>        ATI Mobility Radeon HD 5800 Series,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
>        ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
>        ATI Mobility Radeon HD 5000 Series,
>        ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
>        ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
>        ATI Mobility Radeon HD 5000 Series,
>        ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
>        ATI FirePro (FireGL) Graphics Adapter,
>        ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
>        CEDAR
> (II) Primary Device is: PCI 01@00:00:0
> (II) [KMS] Kernel modesetting enabled.
> (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
> (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
> (==) RADEON(0): Default visual is TrueColor
> (==) RADEON(0): RGB weight 888
> (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
> (--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
> (II) RADEON(0): PCIE card detected
> (II) RADEON(0): KMS Color Tiling: enabled
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenDevice: open result is 9, (OK)
> drmOpenByBusid: Searching for BusID pci:0000:01:00.0
> drmOpenDevice: node name is /dev/dri/card0
> drmOpenDevice: open result is 9, (OK)
> drmOpenByBusid: drmOpenMinor returns 9
> drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
> (II) RADEON(0): Output LVDS using monitor section Color LCD
> (II) RADEON(0): Output S-video has no monitor section
> (II) RADEON(0): Output DVI-0 has no monitor section
> (II) RADEON(0): EDID for output LVDS
> (II) RADEON(0): Manufacturer: APP  Model: 9c56  Serial#: 0
> (II) RADEON(0): Year: 2006  Week: 4
> (II) RADEON(0): EDID Version: 1.3
> (II) RADEON(0): Digital Display Input
> (II) RADEON(0): Max Image Size [cm]: horiz.: 34  vert.: 22
> (II) RADEON(0): Gamma: 2.20
> (II) RADEON(0): No DPMS capabilities specified
> (II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
> (II) RADEON(0): First detailed timing is preferred mode
> (II) RADEON(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
> (II) RADEON(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
> (II) RADEON(0): Manufacturer's mask: 0
> (II) RADEON(0): Supported detailed timing:
> (II) RADEON(0): clock: 96.3 MHz   Image Size:  331 x 207 mm
> (II) RADEON(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1760 h_border: 0
> (II) RADEON(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
> (II) RADEON(0): Unknown vendor-specific block 1
> (II) RADEON(0):  LTN154X7
> (II) RADEON(0): Monitor name: Color LCD
> (II) RADEON(0): EDID (in hex):
> (II) RADEON(0):         00ffffffffffff000610569c00000000
> (II) RADEON(0):         04100103802216780a87f594574f8c27
> (II) RADEON(0):         27505400000001010101010101010101
> (II) RADEON(0):         0101010101019f25a04051840c304020
> (II) RADEON(0):         33004bcf100000190000000100061030
> (II) RADEON(0):         00000000000000000a20000000fe004c
> (II) RADEON(0):         544e31353458370000000a20000000fc
> (II) RADEON(0):         00436f6c6f72204c43440a20202000d5
> (II) RADEON(0): EDID vendor "APP", prod id 40022
> (II) RADEON(0): Printing DDC gathered Modelines:
> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (II) RADEON(0): Printing probed modes for output LVDS
> (II) RADEON(0): Modeline "1440x900"x60.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
> (II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
> (II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
> (II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
> (II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
> (II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
> (II) RADEON(0): Modeline "848x480"x59.7   31.50  848 872 952 1056  480 483 493 500 -hsync +vsync (29.8 kHz)
> (II) RADEON(0): Modeline "720x480"x59.7   26.75  720 744 808 896  480 483 493 500 -hsync +vsync (29.9 kHz)
> (II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
> (II) RADEON(0): EDID for output S-video
> (II) RADEON(0): EDID for output DVI-0
> (II) RADEON(0): Output LVDS connected
> (II) RADEON(0): Output S-video disconnected
> (II) RADEON(0): Output DVI-0 disconnected
> (II) RADEON(0): Using user preference for initial modes
> (II) RADEON(0): Output LVDS using initial mode 1440x900
> (II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
> (II) RADEON(0): mem size init: gart size :1feff000 vram size: s:10000000 visible:fab2000
> (II) RADEON(0): EXA: Driver will allow EXA pixmaps in VRAM
> (**) RADEON(0): Display dimensions: (340, 220) mm
> (**) RADEON(0): DPI set to (107, 103)
> (II) Loading sub module "fb"
> (II) LoadModule: "fb"
> (II) Loading /usr/lib/xorg/modules/libfb.so
> (II) Module fb: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.0.0
>        ABI class: X.Org ANSI C Emulation, version 0.4
> (II) Loading sub module "ramdac"
> (II) LoadModule: "ramdac"
> (II) Module "ramdac" already built-in
> (II) RADEON(0): GPU accel disabled or not working, using shadowfb for KMS
> (II) Loading sub module "shadow"
> (II) LoadModule: "shadow"
> (II) Loading /usr/lib/xorg/modules/libshadow.so
> (II) Module shadow: vendor="X.Org Foundation"
>        compiled for 1.7.7, module version = 1.1.0
>        ABI class: X.Org ANSI C Emulation, version 0.4
> (--) Depth 24 pixmap format is 32 bpp
> (II) RADEON(0): Front buffer size: 5244K
> (II) RADEON(0): VRAM usage limit set to 226321K
> (==) RADEON(0): Backing store disabled
> (WW) RADEON(0): Direct rendering disabled
> (II) RADEON(0): Acceleration disabled
> (**) RADEON(0): DPMS enabled
> (==) RADEON(0): Silken mouse enabled
> (II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
> (--) RandR disabled
> (II) Initializing built-in extension Generic Event Extension
> (II) Initializing built-in extension SHAPE
> (II) Initializing built-in extension MIT-SHM
> (II) Initializing built-in extension XInputExtension
> (II) Initializing built-in extension XTEST
> (II) Initializing built-in extension BIG-REQUESTS
> (II) Initializing built-in extension SYNC
> (II) Initializing built-in extension XKEYBOARD
> (II) Initializing built-in extension XC-MISC
> (II) Initializing built-in extension XINERAMA
> (II) Initializing built-in extension XFIXES
> (II) Initializing built-in extension RENDER
> (II) Initializing built-in extension RANDR
> (II) Initializing built-in extension COMPOSITE
> (II) Initializing built-in extension DAMAGE
> SELinux: Disabled on system, not enabling in X server
> (II) AIGLX: Screen 0 is not DRI2 capable
> (II) AIGLX: Screen 0 is not DRI capable
> (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
> (II) GLX: Initialized DRISWRAST GL provider for screen 0
> (II) RADEON(0): Setting screen physical size to 380 x 238
> (II) Synaptics touchpad driver version 1.2.2
> (--) Touchpad auto-dev sets device to /dev/input/event5
> (**) Option "Device" "/dev/input/event5"
> (II) Touchpad: x-axis range 0 - 1215
> (II) Touchpad: y-axis range 0 - 575
> (II) Touchpad: pressure range 0 - 300
> (II) Touchpad: finger width range 0 - 0
> (II) Touchpad: buttons: left double triple
> (**) Option "SHMConfig" "on"
> (**) Option "TapButton2" "3"
> (**) Option "TapButton3" "2"
> (--) Touchpad: touchpad found
> (**) Option "AlwaysCore"
> (**) Touchpad: always reports core events
> (II) XINPUT: Adding extended input device "Touchpad" (type: TOUCHPAD)
> (**) Touchpad: (accel) keeping acceleration scheme 1
> (**) Touchpad: (accel) acceleration profile 0
> (**) Touchpad: (accel) acceleration factor: 2.000
> (**) Touchpad: (accel) acceleration threshold: 4
> (--) Touchpad: touchpad found
> (II) config/udev: Adding input device Power Button (/dev/input/event3)
> (**) Power Button: Applying InputClass "evdev keyboard catchall"
> (II) LoadModule: "evdev"
> (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
> (II) Module evdev: vendor="X.Org Foundation"
>        compiled for 1.7.6.901, module version = 2.3.2
>        Module class: X.Org XInput Driver
>        ABI class: X.Org XInput driver, version 7.0
> (**) Power Button: always reports core events
> (**) Power Button: Device: "/dev/input/event3"
> (II) Power Button: Found keys
> (II) Power Button: Configuring as keyboard
> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) config/udev: Adding input device Power Button (/dev/input/event1)
> (**) Power Button: Applying InputClass "evdev keyboard catchall"
> (**) Power Button: always reports core events
> (**) Power Button: Device: "/dev/input/event1"
> (II) Power Button: Found keys
> (II) Power Button: Configuring as keyboard
> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
> (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
> (**) Sleep Button: always reports core events
> (**) Sleep Button: Device: "/dev/input/event2"
> (II) Sleep Button: Found keys
> (II) Sleep Button: Configuring as keyboard
> (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) config/udev: Adding input device HDA Intel HP Out at Ext Rear Jack (/dev/input/event10)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device HDA Intel Line In at Ext Rear Jack (/dev/input/event9)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event6)
> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event6"
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) config/udev: Adding input device appletouch (/dev/input/event5)
> (**) appletouch: Applying InputClass "evdev touchpad catchall"
> (**) appletouch: Applying InputClass "touchpad catchall"
> (II) Synaptics touchpad driver version 1.2.2
> (**) Option "Device" "/dev/input/event5"
> (--) appletouch: no supported touchpad found
> (EE) appletouch Unable to query/initialize Synaptics hardware.
> (EE) PreInit failed for input device "appletouch"
> (II) UnloadModule: "synaptics"
> (II) config/udev: Adding input device appletouch (/dev/input/mouse0)
> (**) appletouch: Applying InputClass "touchpad catchall"
> (II) Synaptics touchpad driver version 1.2.2
> appletouch no synaptics event device found
> (**) Option "Device" "/dev/input/mouse0"
> Query no Synaptics: 6003C8
> (--) appletouch: no supported touchpad found
> (EE) appletouch Unable to query/initialize Synaptics hardware.
> (EE) PreInit failed for input device "appletouch"
> (II) UnloadModule: "synaptics"
> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event7)
> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event7"
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) config/udev: Adding input device applesmc (/dev/input/event8)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device applesmc (/dev/input/js0)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device PC Speaker (/dev/input/event4)
> (II) No input driver/identifier specified (ignoring)
> (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
> (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
> (**) ACPI Virtual Keyboard Device: always reports core events
> (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
> (II) ACPI Virtual Keyboard Device: Found keys
> (II) ACPI Virtual Keyboard Device: Configuring as keyboard
> (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
> (**) Option "xkb_rules" "evdev"
> (**) Option "xkb_model" "pc104"
> (**) Option "xkb_layout" "us"
> (II) Open ACPI successful (/var/run/acpid.socket)
> (II) RADEON(0): EDID vendor "APP", prod id 40022
> (II) RADEON(0): Printing DDC gathered Modelines:
> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (--) Touchpad: touchpad found
> (II) Power Button: Device reopened after 1 attempts.
> (II) Power Button: Device reopened after 1 attempts.
> (II) Sleep Button: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
> (II) Open ACPI successful (/var/run/acpid.socket)
> (II) RADEON(0): EDID vendor "APP", prod id 40022
> (II) RADEON(0): Printing DDC gathered Modelines:
> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (--) Touchpad: touchpad found
> (II) Power Button: Device reopened after 1 attempts.
> (II) Power Button: Device reopened after 1 attempts.
> (II) Sleep Button: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
> (II) Open ACPI successful (/var/run/acpid.socket)
> (II) RADEON(0): EDID vendor "APP", prod id 40022
> (II) RADEON(0): Printing DDC gathered Modelines:
> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (--) Touchpad: touchpad found
> (II) Power Button: Device reopened after 1 attempts.
> (II) Power Button: Device reopened after 1 attempts.
> (II) Sleep Button: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
> (II) Open ACPI successful (/var/run/acpid.socket)
> (II) RADEON(0): EDID vendor "APP", prod id 40022
> (II) RADEON(0): Printing DDC gathered Modelines:
> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
> (--) Touchpad: touchpad found
> (II) Power Button: Device reopened after 1 attempts.
> (II) Power Button: Device reopened after 1 attempts.
> (II) Sleep Button: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>
> udev information:
> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
> N: input/event3
> S: char/13:67
> E: UDEV_LOG=3
> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
> E: SUBSYSTEM=input
> E: DEVNAME=input/event3
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=67
> E: DEVLINKS=/dev/char/13:67
> E: DMI_VENDOR=Apple Computer, Inc.
>
> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
> N: input/event1
> S: char/13:65
> E: UDEV_LOG=3
> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
> E: SUBSYSTEM=input
> E: DEVNAME=input/event1
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=65
> E: DEVLINKS=/dev/char/13:65
> E: DMI_VENDOR=Apple Computer, Inc.
>
> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
> N: input/event0
> S: char/13:64
> E: UDEV_LOG=3
> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
> E: SUBSYSTEM=input
> E: DEVNAME=input/event0
> E: ID_INPUT=1
> E: DMI_VENDOR=Apple Computer, Inc.
> E: MAJOR=13
> E: MINOR=64
> E: DEVLINKS=/dev/char/13:64
>
> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
> N: input/event2
> S: char/13:66
> E: UDEV_LOG=3
> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
> E: SUBSYSTEM=input
> E: DEVNAME=input/event2
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=66
> E: DEVLINKS=/dev/char/13:66
> E: DMI_VENDOR=Apple Computer, Inc.
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
> N: input/event10
> S: char/13:74
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
> E: SUBSYSTEM=input
> E: DEVNAME=input/event10
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: DMI_VENDOR=Apple Computer, Inc.
> E: MAJOR=13
> E: MINOR=74
> E: DEVLINKS=/dev/char/13:74
> E: TAGS=:udev-acl:
>
> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
> N: input/event9
> S: char/13:73
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
> E: SUBSYSTEM=input
> E: DEVNAME=input/event9
> E: ID_INPUT=1
> E: ID_PATH=pci-0000:00:1b.0
> E: DMI_VENDOR=Apple Computer, Inc.
> E: MAJOR=13
> E: MINOR=73
> E: DEVLINKS=/dev/char/13:73
> E: TAGS=:udev-acl:
>
> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
> N: input/event6
> S: char/13:70
> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd
> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
> E: SUBSYSTEM=input
> E: DEVNAME=input/event6
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_VENDOR=Apple_Computer
> E: ID_VENDOR_ENC=Apple\x20Computer
> E: ID_VENDOR_ID=05ac
> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
> E: ID_MODEL_ID=0218
> E: ID_REVISION=0060
> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
> E: ID_TYPE=hid
> E: ID_BUS=usb
> E: ID_USB_INTERFACES=:030101:030102:030000:
> E: ID_USB_INTERFACE_NUM=00
> E: ID_USB_DRIVER=usbhid
> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=70
> E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>
> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
> N: input/event5
> S: char/13:69
> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse
> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
> E: SUBSYSTEM=input
> E: DEVNAME=input/event5
> E: ID_INPUT=1
> E: ID_INPUT_TOUCHPAD=1
> E: ID_VENDOR=Apple_Computer
> E: ID_VENDOR_ENC=Apple\x20Computer
> E: ID_VENDOR_ID=05ac
> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
> E: ID_MODEL_ID=0218
> E: ID_REVISION=0060
> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
> E: ID_TYPE=hid
> E: ID_BUS=usb
> E: ID_USB_INTERFACES=:030101:030102:030000:
> E: ID_USB_INTERFACE_NUM=01
> E: ID_USB_DRIVER=appletouch
> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
> E: MAJOR=13
> E: MINOR=69
> E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>
> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
> N: input/mouse0
> S: char/13:32
> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse
> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
> E: SUBSYSTEM=input
> E: DEVNAME=input/mouse0
> E: ID_INPUT=1
> E: ID_INPUT_TOUCHPAD=1
> E: ID_VENDOR=Apple_Computer
> E: ID_VENDOR_ENC=Apple\x20Computer
> E: ID_VENDOR_ID=05ac
> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
> E: ID_MODEL_ID=0218
> E: ID_REVISION=0060
> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
> E: ID_TYPE=hid
> E: ID_BUS=usb
> E: ID_USB_INTERFACES=:030101:030102:030000:
> E: ID_USB_INTERFACE_NUM=01
> E: ID_USB_DRIVER=appletouch
> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
> E: MAJOR=13
> E: MINOR=32
> E: DEVLINKS=/dev/char/13:32 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>
> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
> N: input/event7
> S: char/13:71
> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02
> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
> E: UDEV_LOG=3
> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
> E: SUBSYSTEM=input
> E: DEVNAME=input/event7
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_VENDOR=Apple_Computer
> E: ID_VENDOR_ENC=Apple\x20Computer
> E: ID_VENDOR_ID=05ac
> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
> E: ID_MODEL_ID=0218
> E: ID_REVISION=0060
> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
> E: ID_TYPE=hid
> E: ID_BUS=usb
> E: ID_USB_INTERFACES=:030101:030102:030000:
> E: ID_USB_INTERFACE_NUM=02
> E: ID_USB_DRIVER=usbhid
> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.2
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=71
> E: DEVLINKS=/dev/char/13:71 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02 /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>
> P: /devices/platform/applesmc.768/input/input8/event8
> N: input/event8
> S: char/13:72
> S: input/by-path/platform-applesmc.768-event
> E: UDEV_LOG=3
> E: DEVPATH=/devices/platform/applesmc.768/input/input8/event8
> E: SUBSYSTEM=input
> E: DEVNAME=input/event8
> E: ID_INPUT=1
> E: ID_PATH=platform-applesmc.768
> E: DMI_VENDOR=Apple Computer, Inc.
> E: MAJOR=13
> E: MINOR=72
> E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-applesmc.768-event
>
> P: /devices/platform/applesmc.768/input/input8/js0
> N: input/js0
> S: char/13:0
> E: UDEV_LOG=3
> E: DEVPATH=/devices/platform/applesmc.768/input/input8/js0
> E: SUBSYSTEM=input
> E: DEVNAME=input/js0
> E: ID_INPUT=1
> E: ID_PATH=platform-applesmc.768
> E: MAJOR=13
> E: MINOR=0
> E: DEVLINKS=/dev/char/13:0
>
> P: /devices/platform/pcspkr/input/input4/event4
> N: input/event4
> S: char/13:68
> S: input/by-path/platform-pcspkr-event-spkr
> E: UDEV_LOG=3
> E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
> E: SUBSYSTEM=input
> E: DEVNAME=input/event4
> E: ID_INPUT=1
> E: ID_SERIAL=noserial
> E: ID_PATH=platform-pcspkr
> E: DMI_VENDOR=Apple Computer, Inc.
> E: MAJOR=13
> E: MINOR=68
> E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr
>
> P: /devices/virtual/input/input11/event11
> N: input/event11
> S: char/13:75
> E: UDEV_LOG=3
> E: DEVPATH=/devices/virtual/input/input11/event11
> E: SUBSYSTEM=input
> E: DEVNAME=input/event11
> E: ID_INPUT=1
> E: ID_INPUT_KEY=1
> E: ID_INPUT_KEYBOARD=1
> E: ID_SERIAL=noserial
> E: XKBMODEL=pc104
> E: XKBLAYOUT=us
> E: MAJOR=13
> E: MINOR=75
> E: DEVLINKS=/dev/char/13:75
> E: DMI_VENDOR=Apple Computer, Inc.
>
> DRM Information from dmesg:
> [    0.871143] Linux agpgart interface v0.103
> [    9.352125] [drm] Initialized drm 1.1.0 20060810
> [   10.260025] [drm] radeon kernel modesetting enabled.
> [   10.262479] [drm] radeon: Initializing kernel modesetting.
> [   10.262644] [drm] register mmio base: 0x98300000
> [   10.262646] [drm] register mmio size: 65536
> [   10.262976] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
> [   10.262992] [drm] Generation 2 PCI interface, using max accessible memory
> [   10.262995] [drm] radeon: VRAM 256M
> [   10.262997] [drm] radeon: VRAM from 0x00000000 to 0x0FFFFFFF
> [   10.262999] [drm] radeon: GTT 512M
> [   10.263001] [drm] radeon: GTT from 0x20000000 to 0x3FFFFFFF
> [   10.263054] [drm] radeon: using MSI.
> [   10.263078] [drm] radeon: irq initialized.
> [   10.263799] [drm] Detected VRAM RAM=256M, BAR=256M
> [   10.263803] [drm] RAM width 128bits DDR
> [   10.263922] [drm] radeon: 256M of VRAM memory ready
> [   10.263924] [drm] radeon: 512M of GTT memory ready.
> [   10.263941] [drm] GART: num cpu pages 131072, num gpu pages 131072
> [   10.265457] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
> [   10.265516] [drm] PCIE GART of 512M enabled (table at 0x00040000).
> [   10.265528] [drm] radeon: cp idle (0x10000C03)
> [   10.265565] [drm] Loading R500 Microcode
> [   10.309974] [drm:r100_cp_init] *ERROR* Failed to load firmware!
> [   10.310162] [drm] radeon: cp finalized
> [   10.310799] [drm] Default TV standard: NTSC
> [   10.310867] [drm] Radeon Display Connectors
> [   10.310869] [drm] Connector 0:
> [   10.310871] [drm]   LVDS
> [   10.310874] [drm]   DDC: 0x7e60 0x7e60 0x7e64 0x7e64 0x7e68 0x7e68 0x7e6c 0x7e6c
> [   10.310877] [drm]   Encoders:
> [   10.310878] [drm]     LCD1: INTERNAL_LVTM1
> [   10.310880] [drm] Connector 1:
> [   10.310882] [drm]   S-video
> [   10.310883] [drm]   Encoders:
> [   10.310885] [drm]     TV1: INTERNAL_KLDSCP_DAC2
> [   10.310887] [drm] Connector 2:
> [   10.310888] [drm]   DVI-I
> [   10.310890] [drm]   HPD1
> [   10.310892] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
> [   10.310895] [drm]   Encoders:
> [   10.310897] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
> [   10.310899] [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
> [   10.579919] [drm] fb mappable at 0x80040000
> [   10.579922] [drm] vram apper at 0x80000000
> [   10.579924] [drm] size 5299200
> [   10.579926] [drm] fb depth is 24
> [   10.579928] [drm]    pitch is 5888
> [   10.612039] fb0: radeondrmfb frame buffer device
> [   10.612046] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
>
>
> -- System Information:
> Debian Release: squeeze/sid
>  APT prefers testing
>  APT policy: (500, 'testing')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages xserver-xorg-video-radeon depends on:
> ii  libc6                         2.11.2-5   Embedded GNU C Library: Shared lib
> ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
> ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM
> ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
> ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
> ii  libudev0                      160-1      libudev shared library
> ii  xserver-xorg-core [xorg-video 2:1.7.7-4  Xorg X server - core server
>
> xserver-xorg-video-radeon recommends no packages.
>
> Versions of packages xserver-xorg-video-radeon suggests:
> pn  firmware-linux                <none>     (no description available)
>
> -- Configuration Files:
> /etc/modprobe.d/radeon-kms.conf changed:
> options radeon modeset=0
>
>
> -- no debconf information
>
>
>
> _______________________________________________
> xorg-driver-ati mailing list
> xorg-driver-ati@lists.x.org
> http://lists.x.org/mailman/listinfo/xorg-driver-ati
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 20 Sep 2010 04:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 20 Sep 2010 04:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 20 Sep 2010 23:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.small@unb.ca:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 20 Sep 2010 23:27:09 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Small <aaron.small.99a@gmail.com>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 597358@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 20 Sep 2010 19:25:33 -0400
Yes, radeon.new_pll=0 fixes the problem.

radeon.display_priority=2 wasn't accepted as a command. I saw:
radeon: Unknown parameter `display_priority'
on bootup, then the kernel driver appeared not to initialize.

Thanks,
Aaron

On Mon, Sep 20, 2010 at 12:05 AM, Alex Deucher <alexdeucher@gmail.com> wrote:
> On Sat, Sep 18, 2010 at 6:11 PM, Aaron Small <a.small@unb.ca> wrote:
>> Package: xserver-xorg-video-radeon
>> Version: 1:6.13.1-2
>> Severity: normal
>>
>>
>> When KMS is enabled, the screen is mostly correct all the time, but the
>> brightness for either the entire screen, or one horizontal line
>> flickers, maybe two to three times per second. Sometimes the change in
>> brightness is just noticeable, and sometimes it is strong enough to look
>> like a horizontal line the full width of the display becomes white. The
>> very strong flickers seem to only happen with a single line, the
>> whole-display flickers are always fairly weak, but still noticeable.
>>
>> The flickering happens all the time when KMS is enabled. Reboot and
>> suspend/resume have no effect. When KMS is disabled, there is no
>> problem, I never see flickering like this.
>>
>
> Does booting with radeon.new_pll=0 or radeon.display_priority=2 help?
>
> Alex
>
>>
>> -- Package-specific info:
>> /var/lib/x11/X.roster does not exist.
>>
>> /var/lib/x11/X.md5sum does not exist.
>>
>> X server symlink status:
>> lrwxrwxrwx 1 root root 13 Dec 28  2006 /etc/X11/X -> /usr/bin/Xorg
>> -rwxr-xr-x 1 root root 1725304 Aug 24 11:04 /usr/bin/Xorg
>>
>> /var/lib/x11/xorg.conf.roster does not exist.
>>
>> VGA-compatible devices on PCI bus:
>> 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]
>>
>> /var/lib/x11/xorg.conf.md5sum does not exist.
>>
>> Xorg X server configuration file status:
>> -rw-r--r-- 1 root root 3132 Aug  7 22:06 /etc/X11/xorg.conf
>>
>> Contents of /etc/X11/xorg.conf:
>> # /etc/X11/xorg.conf (xorg X Window System server configuration file)
>> #
>> # This file was generated by dexconf, the Debian X Configuration tool, using
>> # values from the debconf database.
>> #
>> # Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
>> # (Type "man /etc/X11/xorg.conf" at the shell prompt.)
>> #
>> # This file is automatically updated on xserver-xorg package upgrades *only*
>> # if it has not been modified since the last upgrade of the xserver-xorg
>> # package.
>> #
>> # If you have edited this file but would like it to be automatically updated
>> # again, run the following command:
>> #   sudo dpkg-reconfigure -phigh xserver-xorg
>>
>> Section "Files"
>>        FontPath        "/usr/share/fonts/X11/misc"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/misc"
>>        FontPath        "/usr/share/fonts/X11/cyrillic"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/cyrillic"
>>        FontPath        "/usr/share/fonts/X11/100dpi/:unscaled"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
>>        FontPath        "/usr/share/fonts/X11/75dpi/:unscaled"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
>>        FontPath        "/usr/share/fonts/X11/Type1"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/Type1"
>>        FontPath        "/usr/share/fonts/X11/100dpi"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi"
>>        FontPath        "/usr/share/fonts/X11/75dpi"
>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi"
>>        # path to defoma fonts
>>        FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
>> EndSection
>>
>> Section "Module"
>>        Load    "i2c"
>>        Load    "bitmap"
>>        Load    "ddc"
>>        Load    "dri"
>>        Load    "extmod"
>>        Load    "freetype"
>>        Load    "glx"
>>        Load    "int10"
>>        Load    "vbe"
>> EndSection
>>
>> Section "InputDevice"
>>        Identifier      "Generic Keyboard"
>>        Driver          "kbd"
>>        Option          "CoreKeyboard"
>>        Option          "XkbRules"      "xorg"
>>        Option          "XkbModel"      "pc104"
>>        Option          "XkbLayout"     "us"
>> EndSection
>>
>> Section "InputDevice"
>>        Identifier      "Configured Mouse"
>>        Driver          "mouse"
>>        Option          "CorePointer"
>>        Option          "Device"                "/dev/input/mice"
>>        Option          "Protocol"              "ImPS/2"
>>        Option          "Emulate3Buttons"       "true"
>> EndSection
>>
>> Section "InputDevice"
>>        Identifier      "Touchpad"
>>        Driver          "synaptics"
>>        Option          "AlwaysCore"
>>        Option          "device"                "/dev/input/mouse0"
>>        Option          "Protocol"              "auto-dev"
>>        Option          "SHMConfig"             "on"
>>        Option          "TapButton2"            "3"
>>        Option          "TapButton3"            "2"
>> EndSection
>>
>> Section "Device"
>>        Identifier      "Generic Video Card"
>>        Driver          "ati"
>>        BusID           "PCI:1:0:0"
>> EndSection
>>
>> Section "Monitor"
>>        Identifier      "Color LCD"
>>        Option          "DPMS"
>>        HorizSync       28-72
>>        VertRefresh     43-60
>> EndSection
>>
>> Section "Screen"
>>        Identifier      "Default Screen"
>>        Device          "Generic Video Card"
>>        Monitor         "Color LCD"
>>        DefaultDepth    24
>>        SubSection "Display"
>>                Depth           1
>>                Modes           "1440x900"
>>        EndSubSection
>>        SubSection "Display"
>>                Depth           4
>>                Modes           "1440x900"
>>        EndSubSection
>>        SubSection "Display"
>>                Depth           8
>>                Modes           "1440x900"
>>        EndSubSection
>>        SubSection "Display"
>>                Depth           15
>>                Modes           "1440x900"
>>        EndSubSection
>>        SubSection "Display"
>>                Depth           16
>>                Modes           "1440x900"
>>        EndSubSection
>>        SubSection "Display"
>>                Depth           24
>>                Modes           "1440x900"
>>        EndSubSection
>> EndSection
>>
>> Section "ServerLayout"
>>        Identifier      "Default Layout"
>>        Screen          "Default Screen"
>>        InputDevice     "Generic Keyboard"
>>        InputDevice     "Configured Mouse"
>>        InputDevice     "Touchpad"
>> EndSection
>>
>> Section "DRI"
>>        Mode    0666
>> EndSection
>>
>>
>> Kernel version (/proc/version):
>> Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010
>>
>> Xorg X server log files on system:
>> -rw-r--r-- 1 root root 33521 Sep 18 18:04 /var/log/Xorg.0.log
>>
>> Contents of most recent Xorg X server log file
>> /var/log/Xorg.0.log:
>>
>> X.Org X Server 1.7.7
>> Release Date: 2010-05-04
>> X Protocol Version 11, Revision 0
>> Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
>> Current Operating System: Linux ahni 2.6.32-5-686 #1 SMP Wed Aug 25 14:28:12 UTC 2010 i686
>> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=393bcb6d-dc9f-45bc-84ca-ba3265387679 ro quiet
>> Build Date: 24 August 2010  02:59:40PM
>> xorg-server 2:1.7.7-4 (Julien Cristau <jcristau@debian.org>)
>> Current version of pixman: 0.16.4
>>        Before reporting problems, check http://wiki.x.org
>>        to make sure that you have the latest version.
>> Markers: (--) probed, (**) from config file, (==) default setting,
>>        (++) from command line, (!!) notice, (II) informational,
>>        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>> (==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep 18 17:50:05 2010
>> (==) Using config file: "/etc/X11/xorg.conf"
>> (==) Using system config directory "/usr/share/X11/xorg.conf.d"
>> (==) ServerLayout "Default Layout"
>> (**) |-->Screen "Default Screen" (0)
>> (**) |   |-->Monitor "Color LCD"
>> (**) |   |-->Device "Generic Video Card"
>> (**) |-->Input Device "Generic Keyboard"
>> (**) |-->Input Device "Configured Mouse"
>> (**) |-->Input Device "Touchpad"
>> (==) Automatically adding devices
>> (==) Automatically enabling devices
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
>>        Entry deleted from font path.
>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>        Entry deleted from font path.
>> (**) FontPath set to:
>>        /usr/share/fonts/X11/misc,
>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>        /usr/share/fonts/X11/Type1,
>>        /usr/share/fonts/X11/100dpi,
>>        /usr/share/fonts/X11/75dpi,
>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>        /usr/share/fonts/X11/misc,
>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>        /usr/share/fonts/X11/Type1,
>>        /usr/share/fonts/X11/100dpi,
>>        /usr/share/fonts/X11/75dpi,
>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>        built-ins
>> (==) ModulePath set to "/usr/lib/xorg/modules"
>> (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
>> (WW) Disabling Generic Keyboard
>> (WW) Disabling Configured Mouse
>> (II) Loader magic: 0x81eaca0
>> (II) Module ABI versions:
>>        X.Org ANSI C Emulation: 0.4
>>        X.Org Video Driver: 6.0
>>        X.Org XInput driver : 7.0
>>        X.Org Server Extension : 2.0
>> (++) using VT number 7
>>
>> (--) PCI:*(0:1:0:0) 1002:71c5:106b:0080 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0x80000000/268435456, 0x98300000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
>> (II) Open ACPI successful (/var/run/acpid.socket)
>> (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
>> (II) "dbe" will be loaded by default.
>> (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
>> (II) "record" will be loaded by default.
>> (II) "dri" will be loaded. This was enabled by default and also specified in the config file.
>> (II) "dri2" will be loaded by default.
>> (II) LoadModule: "i2c"
>> (II) Module "i2c" already built-in
>> (II) LoadModule: "ddc"
>> (II) Module "ddc" already built-in
>> (II) LoadModule: "dri"
>> (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
>> (II) Module dri: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        ABI class: X.Org Server Extension, version 2.0
>> (II) Loading extension XFree86-DRI
>> (II) LoadModule: "extmod"
>> (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
>> (II) Module extmod: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        Module class: X.Org Server Extension
>>        ABI class: X.Org Server Extension, version 2.0
>> (II) Loading extension SELinux
>> (II) Loading extension MIT-SCREEN-SAVER
>> (II) Loading extension XFree86-VidModeExtension
>> (II) Loading extension XFree86-DGA
>> (II) Loading extension DPMS
>> (II) Loading extension XVideo
>> (II) Loading extension XVideo-MotionCompensation
>> (II) Loading extension X-Resource
>> (II) LoadModule: "glx"
>> (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
>> (II) Module glx: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        ABI class: X.Org Server Extension, version 2.0
>> (==) AIGLX enabled
>> (II) Loading extension GLX
>> (II) LoadModule: "int10"
>> (II) Loading /usr/lib/xorg/modules/libint10.so
>> (II) Module int10: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        ABI class: X.Org Video Driver, version 6.0
>> (II) LoadModule: "vbe"
>> (II) Loading /usr/lib/xorg/modules/libvbe.so
>> (II) Module vbe: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.1.0
>>        ABI class: X.Org Video Driver, version 6.0
>> (II) LoadModule: "dbe"
>> (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
>> (II) Module dbe: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        Module class: X.Org Server Extension
>>        ABI class: X.Org Server Extension, version 2.0
>> (II) Loading extension DOUBLE-BUFFER
>> (II) LoadModule: "record"
>> (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
>> (II) Module record: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.13.0
>>        Module class: X.Org Server Extension
>>        ABI class: X.Org Server Extension, version 2.0
>> (II) Loading extension RECORD
>> (II) LoadModule: "dri2"
>> (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
>> (II) Module dri2: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.1.0
>>        ABI class: X.Org Server Extension, version 2.0
>> (II) Loading extension DRI2
>> (II) LoadModule: "ati"
>> (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
>> (II) Module ati: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 6.13.1
>>        Module class: X.Org Video Driver
>>        ABI class: X.Org Video Driver, version 6.0
>> (II) LoadModule: "radeon"
>> (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
>> (II) Module radeon: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 6.13.1
>>        Module class: X.Org Video Driver
>>        ABI class: X.Org Video Driver, version 6.0
>> (II) LoadModule: "synaptics"
>> (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
>> (II) Module synaptics: vendor="X.Org Foundation"
>>        compiled for 1.7.6.901, module version = 1.2.2
>>        Module class: X.Org XInput Driver
>>        ABI class: X.Org XInput driver, version 7.0
>> (II) RADEON: Driver for ATI Radeon chipsets:
>>        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
>>        ATI Radeon Mobility X300 (M24) 3152 (PCIE),
>>        ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
>>        ATI Radeon X600 (RV380) 3E50 (PCIE),
>>        ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
>>        ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
>>        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
>>        ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
>>        ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
>>        ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
>>        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
>>        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
>>        ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
>>        ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
>>        ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
>>        ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
>>        ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
>>        ATI Radeon X800PRO (R420) JI (AGP),
>>        ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
>>        ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
>>        ATI Radeon Mobility 9800 (M18) JN (AGP),
>>        ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
>>        ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
>>        ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
>>        ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
>>        ATI Radeon Mobility M7 LW (AGP),
>>        ATI Mobility FireGL 7800 M7 LX (AGP),
>>        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
>>        ATI FireGL Mobility 9000 (M9) Ld (AGP),
>>        ATI Radeon Mobility 9000 (M9) Lf (AGP),
>>        ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
>>        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
>>        ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
>>        ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
>>        ATI Radeon 9800XT NJ (AGP),
>>        ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
>>        ATI Radeon Mobility 9600 (M10) NQ (AGP),
>>        ATI Radeon Mobility 9600 (M11) NR (AGP),
>>        ATI Radeon Mobility 9600 (M10) NS (AGP),
>>        ATI FireGL Mobility T2 (M10) NT (AGP),
>>        ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
>>        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
>>        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
>>        ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
>>        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
>>        ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
>>        ATI Radeon Mobility X300 (M22) 5460 (PCIE),
>>        ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
>>        ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
>>        ATI Radeon X800PRO (R423) UI (PCIE),
>>        ATI Radeon X800LE (R423) UJ (PCIE),
>>        ATI Radeon X800SE (R423) UK (PCIE),
>>        ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
>>        ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
>>        ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
>>        ATI FireGL unknown (R423) UR (PCIE),
>>        ATI FireGL unknown (R423) UT (PCIE),
>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>        ATI Mobility Radeon X700 XL (M26) (PCIE),
>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>        ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
>>        ATI Radeon Mobility 9100 IGP (U3) 5835,
>>        ATI Radeon XPRESS 200 5954 (PCIE),
>>        ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
>>        ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
>>        ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
>>        ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
>>        ATI Radeon XPRESS 200M 5975 (PCIE),
>>        ATI Radeon XPRESS 200 5A41 (PCIE),
>>        ATI Radeon XPRESS 200M 5A42 (PCIE),
>>        ATI Radeon XPRESS 200 5A61 (PCIE),
>>        ATI Radeon XPRESS 200M 5A62 (PCIE),
>>        ATI Radeon X300 (RV370) 5B60 (PCIE),
>>        ATI Radeon X600 (RV370) 5B62 (PCIE),
>>        ATI Radeon X550 (RV370) 5B63 (PCIE),
>>        ATI FireGL V3100 (RV370) 5B64 (PCIE),
>>        ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
>>        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
>>        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
>>        ATI Mobility Radeon X800 XT (M28) (PCIE),
>>        ATI Mobility FireGL V5100 (M28) (PCIE),
>>        ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
>>        ATI Radeon X850 XT PE (R480) (PCIE),
>>        ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
>>        ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
>>        ATI Radeon X850 XT (R480) (PCIE),
>>        ATI Radeon X800XT (R423) 5D57 (PCIE),
>>        ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
>>        ATI Radeon X700 PRO (RV410) (PCIE),
>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
>>        ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
>>        ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
>>        ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
>>        ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
>>        ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
>>        ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
>>        ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
>>        ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
>>        ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
>>        ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
>>        ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
>>        ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
>>        ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
>>        ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
>>        ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
>>        ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
>>        ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
>>        ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
>>        ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
>>        ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
>>        ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
>>        ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
>>        ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
>>        ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
>>        ATI Mobility Radeon X1700, ATI Radeon X2300HD,
>>        ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
>>        ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>        ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
>>        ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
>>        ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
>>        ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
>>        ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
>>        ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
>>        ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
>>        ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
>>        ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
>>        ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
>>        ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
>>        ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
>>        ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
>>        ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
>>        ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
>>        AMD FireStream 9250, ATI FirePro V8700 (FireGL),
>>        ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
>>        ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
>>        ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
>>        ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
>>        ATI Mobility Radeon HD 4670, ATI FirePro M5750,
>>        ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
>>        ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
>>        ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
>>        ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
>>        ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
>>        ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
>>        ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
>>        ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
>>        ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
>>        ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
>>        ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
>>        ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
>>        ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
>>        ATI Mobility Radeon HD 3850 X2, ATI RV670,
>>        ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
>>        ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
>>        ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
>>        ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
>>        ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
>>        ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
>>        ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
>>        ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
>>        ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
>>        ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
>>        ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
>>        ATI FireGL V3600, ATI Radeon HD 2600 LE,
>>        ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
>>        ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
>>        ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
>>        ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
>>        ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
>>        ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
>>        ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
>>        ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
>>        ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>        ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
>>        ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
>>        ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
>>        ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
>>        ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
>>        ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
>>        ATI Mobility Radeon HD 5800 Series,
>>        ATI Mobility Radeon HD 5800 Series,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
>>        ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
>>        ATI Mobility Radeon HD 5000 Series,
>>        ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
>>        ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
>>        ATI Mobility Radeon HD 5000 Series,
>>        ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
>>        ATI FirePro (FireGL) Graphics Adapter,
>>        ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
>>        CEDAR
>> (II) Primary Device is: PCI 01@00:00:0
>> (II) [KMS] Kernel modesetting enabled.
>> (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
>> (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
>> (==) RADEON(0): Default visual is TrueColor
>> (==) RADEON(0): RGB weight 888
>> (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
>> (--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
>> (II) RADEON(0): PCIE card detected
>> (II) RADEON(0): KMS Color Tiling: enabled
>> drmOpenDevice: node name is /dev/dri/card0
>> drmOpenDevice: open result is 9, (OK)
>> drmOpenByBusid: Searching for BusID pci:0000:01:00.0
>> drmOpenDevice: node name is /dev/dri/card0
>> drmOpenDevice: open result is 9, (OK)
>> drmOpenByBusid: drmOpenMinor returns 9
>> drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
>> (II) RADEON(0): Output LVDS using monitor section Color LCD
>> (II) RADEON(0): Output S-video has no monitor section
>> (II) RADEON(0): Output DVI-0 has no monitor section
>> (II) RADEON(0): EDID for output LVDS
>> (II) RADEON(0): Manufacturer: APP  Model: 9c56  Serial#: 0
>> (II) RADEON(0): Year: 2006  Week: 4
>> (II) RADEON(0): EDID Version: 1.3
>> (II) RADEON(0): Digital Display Input
>> (II) RADEON(0): Max Image Size [cm]: horiz.: 34  vert.: 22
>> (II) RADEON(0): Gamma: 2.20
>> (II) RADEON(0): No DPMS capabilities specified
>> (II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
>> (II) RADEON(0): First detailed timing is preferred mode
>> (II) RADEON(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
>> (II) RADEON(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
>> (II) RADEON(0): Manufacturer's mask: 0
>> (II) RADEON(0): Supported detailed timing:
>> (II) RADEON(0): clock: 96.3 MHz   Image Size:  331 x 207 mm
>> (II) RADEON(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1760 h_border: 0
>> (II) RADEON(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
>> (II) RADEON(0): Unknown vendor-specific block 1
>> (II) RADEON(0):  LTN154X7
>> (II) RADEON(0): Monitor name: Color LCD
>> (II) RADEON(0): EDID (in hex):
>> (II) RADEON(0):         00ffffffffffff000610569c00000000
>> (II) RADEON(0):         04100103802216780a87f594574f8c27
>> (II) RADEON(0):         27505400000001010101010101010101
>> (II) RADEON(0):         0101010101019f25a04051840c304020
>> (II) RADEON(0):         33004bcf100000190000000100061030
>> (II) RADEON(0):         00000000000000000a20000000fe004c
>> (II) RADEON(0):         544e31353458370000000a20000000fc
>> (II) RADEON(0):         00436f6c6f72204c43440a20202000d5
>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>> (II) RADEON(0): Printing DDC gathered Modelines:
>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (II) RADEON(0): Printing probed modes for output LVDS
>> (II) RADEON(0): Modeline "1440x900"x60.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
>> (II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
>> (II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
>> (II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
>> (II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
>> (II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
>> (II) RADEON(0): Modeline "848x480"x59.7   31.50  848 872 952 1056  480 483 493 500 -hsync +vsync (29.8 kHz)
>> (II) RADEON(0): Modeline "720x480"x59.7   26.75  720 744 808 896  480 483 493 500 -hsync +vsync (29.9 kHz)
>> (II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
>> (II) RADEON(0): EDID for output S-video
>> (II) RADEON(0): EDID for output DVI-0
>> (II) RADEON(0): Output LVDS connected
>> (II) RADEON(0): Output S-video disconnected
>> (II) RADEON(0): Output DVI-0 disconnected
>> (II) RADEON(0): Using user preference for initial modes
>> (II) RADEON(0): Output LVDS using initial mode 1440x900
>> (II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
>> (II) RADEON(0): mem size init: gart size :1feff000 vram size: s:10000000 visible:fab2000
>> (II) RADEON(0): EXA: Driver will allow EXA pixmaps in VRAM
>> (**) RADEON(0): Display dimensions: (340, 220) mm
>> (**) RADEON(0): DPI set to (107, 103)
>> (II) Loading sub module "fb"
>> (II) LoadModule: "fb"
>> (II) Loading /usr/lib/xorg/modules/libfb.so
>> (II) Module fb: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.0.0
>>        ABI class: X.Org ANSI C Emulation, version 0.4
>> (II) Loading sub module "ramdac"
>> (II) LoadModule: "ramdac"
>> (II) Module "ramdac" already built-in
>> (II) RADEON(0): GPU accel disabled or not working, using shadowfb for KMS
>> (II) Loading sub module "shadow"
>> (II) LoadModule: "shadow"
>> (II) Loading /usr/lib/xorg/modules/libshadow.so
>> (II) Module shadow: vendor="X.Org Foundation"
>>        compiled for 1.7.7, module version = 1.1.0
>>        ABI class: X.Org ANSI C Emulation, version 0.4
>> (--) Depth 24 pixmap format is 32 bpp
>> (II) RADEON(0): Front buffer size: 5244K
>> (II) RADEON(0): VRAM usage limit set to 226321K
>> (==) RADEON(0): Backing store disabled
>> (WW) RADEON(0): Direct rendering disabled
>> (II) RADEON(0): Acceleration disabled
>> (**) RADEON(0): DPMS enabled
>> (==) RADEON(0): Silken mouse enabled
>> (II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
>> (--) RandR disabled
>> (II) Initializing built-in extension Generic Event Extension
>> (II) Initializing built-in extension SHAPE
>> (II) Initializing built-in extension MIT-SHM
>> (II) Initializing built-in extension XInputExtension
>> (II) Initializing built-in extension XTEST
>> (II) Initializing built-in extension BIG-REQUESTS
>> (II) Initializing built-in extension SYNC
>> (II) Initializing built-in extension XKEYBOARD
>> (II) Initializing built-in extension XC-MISC
>> (II) Initializing built-in extension XINERAMA
>> (II) Initializing built-in extension XFIXES
>> (II) Initializing built-in extension RENDER
>> (II) Initializing built-in extension RANDR
>> (II) Initializing built-in extension COMPOSITE
>> (II) Initializing built-in extension DAMAGE
>> SELinux: Disabled on system, not enabling in X server
>> (II) AIGLX: Screen 0 is not DRI2 capable
>> (II) AIGLX: Screen 0 is not DRI capable
>> (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
>> (II) GLX: Initialized DRISWRAST GL provider for screen 0
>> (II) RADEON(0): Setting screen physical size to 380 x 238
>> (II) Synaptics touchpad driver version 1.2.2
>> (--) Touchpad auto-dev sets device to /dev/input/event5
>> (**) Option "Device" "/dev/input/event5"
>> (II) Touchpad: x-axis range 0 - 1215
>> (II) Touchpad: y-axis range 0 - 575
>> (II) Touchpad: pressure range 0 - 300
>> (II) Touchpad: finger width range 0 - 0
>> (II) Touchpad: buttons: left double triple
>> (**) Option "SHMConfig" "on"
>> (**) Option "TapButton2" "3"
>> (**) Option "TapButton3" "2"
>> (--) Touchpad: touchpad found
>> (**) Option "AlwaysCore"
>> (**) Touchpad: always reports core events
>> (II) XINPUT: Adding extended input device "Touchpad" (type: TOUCHPAD)
>> (**) Touchpad: (accel) keeping acceleration scheme 1
>> (**) Touchpad: (accel) acceleration profile 0
>> (**) Touchpad: (accel) acceleration factor: 2.000
>> (**) Touchpad: (accel) acceleration threshold: 4
>> (--) Touchpad: touchpad found
>> (II) config/udev: Adding input device Power Button (/dev/input/event3)
>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>> (II) LoadModule: "evdev"
>> (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
>> (II) Module evdev: vendor="X.Org Foundation"
>>        compiled for 1.7.6.901, module version = 2.3.2
>>        Module class: X.Org XInput Driver
>>        ABI class: X.Org XInput driver, version 7.0
>> (**) Power Button: always reports core events
>> (**) Power Button: Device: "/dev/input/event3"
>> (II) Power Button: Found keys
>> (II) Power Button: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) config/udev: Adding input device Power Button (/dev/input/event1)
>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>> (**) Power Button: always reports core events
>> (**) Power Button: Device: "/dev/input/event1"
>> (II) Power Button: Found keys
>> (II) Power Button: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
>> (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
>> (**) Sleep Button: always reports core events
>> (**) Sleep Button: Device: "/dev/input/event2"
>> (II) Sleep Button: Found keys
>> (II) Sleep Button: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) config/udev: Adding input device HDA Intel HP Out at Ext Rear Jack (/dev/input/event10)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device HDA Intel Line In at Ext Rear Jack (/dev/input/event9)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event6)
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event6"
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) config/udev: Adding input device appletouch (/dev/input/event5)
>> (**) appletouch: Applying InputClass "evdev touchpad catchall"
>> (**) appletouch: Applying InputClass "touchpad catchall"
>> (II) Synaptics touchpad driver version 1.2.2
>> (**) Option "Device" "/dev/input/event5"
>> (--) appletouch: no supported touchpad found
>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>> (EE) PreInit failed for input device "appletouch"
>> (II) UnloadModule: "synaptics"
>> (II) config/udev: Adding input device appletouch (/dev/input/mouse0)
>> (**) appletouch: Applying InputClass "touchpad catchall"
>> (II) Synaptics touchpad driver version 1.2.2
>> appletouch no synaptics event device found
>> (**) Option "Device" "/dev/input/mouse0"
>> Query no Synaptics: 6003C8
>> (--) appletouch: no supported touchpad found
>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>> (EE) PreInit failed for input device "appletouch"
>> (II) UnloadModule: "synaptics"
>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event7)
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event7"
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) config/udev: Adding input device applesmc (/dev/input/event8)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device applesmc (/dev/input/js0)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device PC Speaker (/dev/input/event4)
>> (II) No input driver/identifier specified (ignoring)
>> (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
>> (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
>> (**) ACPI Virtual Keyboard Device: always reports core events
>> (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
>> (II) ACPI Virtual Keyboard Device: Found keys
>> (II) ACPI Virtual Keyboard Device: Configuring as keyboard
>> (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
>> (**) Option "xkb_rules" "evdev"
>> (**) Option "xkb_model" "pc104"
>> (**) Option "xkb_layout" "us"
>> (II) Open ACPI successful (/var/run/acpid.socket)
>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>> (II) RADEON(0): Printing DDC gathered Modelines:
>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (--) Touchpad: touchpad found
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Sleep Button: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>> (II) Open ACPI successful (/var/run/acpid.socket)
>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>> (II) RADEON(0): Printing DDC gathered Modelines:
>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (--) Touchpad: touchpad found
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Sleep Button: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>> (II) Open ACPI successful (/var/run/acpid.socket)
>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>> (II) RADEON(0): Printing DDC gathered Modelines:
>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (--) Touchpad: touchpad found
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Sleep Button: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>> (II) Open ACPI successful (/var/run/acpid.socket)
>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>> (II) RADEON(0): Printing DDC gathered Modelines:
>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>> (--) Touchpad: touchpad found
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Power Button: Device reopened after 1 attempts.
>> (II) Sleep Button: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>
>> udev information:
>> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>> N: input/event3
>> S: char/13:67
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event3
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=67
>> E: DEVLINKS=/dev/char/13:67
>> E: DMI_VENDOR=Apple Computer, Inc.
>>
>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>> N: input/event1
>> S: char/13:65
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event1
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=65
>> E: DEVLINKS=/dev/char/13:65
>> E: DMI_VENDOR=Apple Computer, Inc.
>>
>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>> N: input/event0
>> S: char/13:64
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event0
>> E: ID_INPUT=1
>> E: DMI_VENDOR=Apple Computer, Inc.
>> E: MAJOR=13
>> E: MINOR=64
>> E: DEVLINKS=/dev/char/13:64
>>
>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>> N: input/event2
>> S: char/13:66
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event2
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=66
>> E: DEVLINKS=/dev/char/13:66
>> E: DMI_VENDOR=Apple Computer, Inc.
>>
>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>> N: input/event10
>> S: char/13:74
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event10
>> E: ID_INPUT=1
>> E: ID_PATH=pci-0000:00:1b.0
>> E: DMI_VENDOR=Apple Computer, Inc.
>> E: MAJOR=13
>> E: MINOR=74
>> E: DEVLINKS=/dev/char/13:74
>> E: TAGS=:udev-acl:
>>
>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>> N: input/event9
>> S: char/13:73
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event9
>> E: ID_INPUT=1
>> E: ID_PATH=pci-0000:00:1b.0
>> E: DMI_VENDOR=Apple Computer, Inc.
>> E: MAJOR=13
>> E: MINOR=73
>> E: DEVLINKS=/dev/char/13:73
>> E: TAGS=:udev-acl:
>>
>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>> N: input/event6
>> S: char/13:70
>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd
>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event6
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: ID_INPUT_KEYBOARD=1
>> E: ID_VENDOR=Apple_Computer
>> E: ID_VENDOR_ENC=Apple\x20Computer
>> E: ID_VENDOR_ID=05ac
>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>> E: ID_MODEL_ID=0218
>> E: ID_REVISION=0060
>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>> E: ID_TYPE=hid
>> E: ID_BUS=usb
>> E: ID_USB_INTERFACES=:030101:030102:030000:
>> E: ID_USB_INTERFACE_NUM=00
>> E: ID_USB_DRIVER=usbhid
>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=70
>> E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>>
>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>> N: input/event5
>> S: char/13:69
>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse
>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event5
>> E: ID_INPUT=1
>> E: ID_INPUT_TOUCHPAD=1
>> E: ID_VENDOR=Apple_Computer
>> E: ID_VENDOR_ENC=Apple\x20Computer
>> E: ID_VENDOR_ID=05ac
>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>> E: ID_MODEL_ID=0218
>> E: ID_REVISION=0060
>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>> E: ID_TYPE=hid
>> E: ID_BUS=usb
>> E: ID_USB_INTERFACES=:030101:030102:030000:
>> E: ID_USB_INTERFACE_NUM=01
>> E: ID_USB_DRIVER=appletouch
>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>> E: MAJOR=13
>> E: MINOR=69
>> E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>>
>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>> N: input/mouse0
>> S: char/13:32
>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse
>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/mouse0
>> E: ID_INPUT=1
>> E: ID_INPUT_TOUCHPAD=1
>> E: ID_VENDOR=Apple_Computer
>> E: ID_VENDOR_ENC=Apple\x20Computer
>> E: ID_VENDOR_ID=05ac
>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>> E: ID_MODEL_ID=0218
>> E: ID_REVISION=0060
>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>> E: ID_TYPE=hid
>> E: ID_BUS=usb
>> E: ID_USB_INTERFACES=:030101:030102:030000:
>> E: ID_USB_INTERFACE_NUM=01
>> E: ID_USB_DRIVER=appletouch
>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>> E: MAJOR=13
>> E: MINOR=32
>> E: DEVLINKS=/dev/char/13:32 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>>
>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>> N: input/event7
>> S: char/13:71
>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02
>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event7
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: ID_VENDOR=Apple_Computer
>> E: ID_VENDOR_ENC=Apple\x20Computer
>> E: ID_VENDOR_ID=05ac
>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>> E: ID_MODEL_ID=0218
>> E: ID_REVISION=0060
>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>> E: ID_TYPE=hid
>> E: ID_BUS=usb
>> E: ID_USB_INTERFACES=:030101:030102:030000:
>> E: ID_USB_INTERFACE_NUM=02
>> E: ID_USB_DRIVER=usbhid
>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.2
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=71
>> E: DEVLINKS=/dev/char/13:71 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02 /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>>
>> P: /devices/platform/applesmc.768/input/input8/event8
>> N: input/event8
>> S: char/13:72
>> S: input/by-path/platform-applesmc.768-event
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/event8
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event8
>> E: ID_INPUT=1
>> E: ID_PATH=platform-applesmc.768
>> E: DMI_VENDOR=Apple Computer, Inc.
>> E: MAJOR=13
>> E: MINOR=72
>> E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-applesmc.768-event
>>
>> P: /devices/platform/applesmc.768/input/input8/js0
>> N: input/js0
>> S: char/13:0
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/js0
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/js0
>> E: ID_INPUT=1
>> E: ID_PATH=platform-applesmc.768
>> E: MAJOR=13
>> E: MINOR=0
>> E: DEVLINKS=/dev/char/13:0
>>
>> P: /devices/platform/pcspkr/input/input4/event4
>> N: input/event4
>> S: char/13:68
>> S: input/by-path/platform-pcspkr-event-spkr
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event4
>> E: ID_INPUT=1
>> E: ID_SERIAL=noserial
>> E: ID_PATH=platform-pcspkr
>> E: DMI_VENDOR=Apple Computer, Inc.
>> E: MAJOR=13
>> E: MINOR=68
>> E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr
>>
>> P: /devices/virtual/input/input11/event11
>> N: input/event11
>> S: char/13:75
>> E: UDEV_LOG=3
>> E: DEVPATH=/devices/virtual/input/input11/event11
>> E: SUBSYSTEM=input
>> E: DEVNAME=input/event11
>> E: ID_INPUT=1
>> E: ID_INPUT_KEY=1
>> E: ID_INPUT_KEYBOARD=1
>> E: ID_SERIAL=noserial
>> E: XKBMODEL=pc104
>> E: XKBLAYOUT=us
>> E: MAJOR=13
>> E: MINOR=75
>> E: DEVLINKS=/dev/char/13:75
>> E: DMI_VENDOR=Apple Computer, Inc.
>>
>> DRM Information from dmesg:
>> [    0.871143] Linux agpgart interface v0.103
>> [    9.352125] [drm] Initialized drm 1.1.0 20060810
>> [   10.260025] [drm] radeon kernel modesetting enabled.
>> [   10.262479] [drm] radeon: Initializing kernel modesetting.
>> [   10.262644] [drm] register mmio base: 0x98300000
>> [   10.262646] [drm] register mmio size: 65536
>> [   10.262976] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
>> [   10.262992] [drm] Generation 2 PCI interface, using max accessible memory
>> [   10.262995] [drm] radeon: VRAM 256M
>> [   10.262997] [drm] radeon: VRAM from 0x00000000 to 0x0FFFFFFF
>> [   10.262999] [drm] radeon: GTT 512M
>> [   10.263001] [drm] radeon: GTT from 0x20000000 to 0x3FFFFFFF
>> [   10.263054] [drm] radeon: using MSI.
>> [   10.263078] [drm] radeon: irq initialized.
>> [   10.263799] [drm] Detected VRAM RAM=256M, BAR=256M
>> [   10.263803] [drm] RAM width 128bits DDR
>> [   10.263922] [drm] radeon: 256M of VRAM memory ready
>> [   10.263924] [drm] radeon: 512M of GTT memory ready.
>> [   10.263941] [drm] GART: num cpu pages 131072, num gpu pages 131072
>> [   10.265457] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
>> [   10.265516] [drm] PCIE GART of 512M enabled (table at 0x00040000).
>> [   10.265528] [drm] radeon: cp idle (0x10000C03)
>> [   10.265565] [drm] Loading R500 Microcode
>> [   10.309974] [drm:r100_cp_init] *ERROR* Failed to load firmware!
>> [   10.310162] [drm] radeon: cp finalized
>> [   10.310799] [drm] Default TV standard: NTSC
>> [   10.310867] [drm] Radeon Display Connectors
>> [   10.310869] [drm] Connector 0:
>> [   10.310871] [drm]   LVDS
>> [   10.310874] [drm]   DDC: 0x7e60 0x7e60 0x7e64 0x7e64 0x7e68 0x7e68 0x7e6c 0x7e6c
>> [   10.310877] [drm]   Encoders:
>> [   10.310878] [drm]     LCD1: INTERNAL_LVTM1
>> [   10.310880] [drm] Connector 1:
>> [   10.310882] [drm]   S-video
>> [   10.310883] [drm]   Encoders:
>> [   10.310885] [drm]     TV1: INTERNAL_KLDSCP_DAC2
>> [   10.310887] [drm] Connector 2:
>> [   10.310888] [drm]   DVI-I
>> [   10.310890] [drm]   HPD1
>> [   10.310892] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
>> [   10.310895] [drm]   Encoders:
>> [   10.310897] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
>> [   10.310899] [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
>> [   10.579919] [drm] fb mappable at 0x80040000
>> [   10.579922] [drm] vram apper at 0x80000000
>> [   10.579924] [drm] size 5299200
>> [   10.579926] [drm] fb depth is 24
>> [   10.579928] [drm]    pitch is 5888
>> [   10.612039] fb0: radeondrmfb frame buffer device
>> [   10.612046] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
>>
>>
>> -- System Information:
>> Debian Release: squeeze/sid
>>  APT prefers testing
>>  APT policy: (500, 'testing')
>> Architecture: i386 (i686)
>>
>> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>> Shell: /bin/sh linked to /bin/dash
>>
>> Versions of packages xserver-xorg-video-radeon depends on:
>> ii  libc6                         2.11.2-5   Embedded GNU C Library: Shared lib
>> ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
>> ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM
>> ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
>> ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
>> ii  libudev0                      160-1      libudev shared library
>> ii  xserver-xorg-core [xorg-video 2:1.7.7-4  Xorg X server - core server
>>
>> xserver-xorg-video-radeon recommends no packages.
>>
>> Versions of packages xserver-xorg-video-radeon suggests:
>> pn  firmware-linux                <none>     (no description available)
>>
>> -- Configuration Files:
>> /etc/modprobe.d/radeon-kms.conf changed:
>> options radeon modeset=0
>>
>>
>> -- no debconf information
>>
>>
>>
>> _______________________________________________
>> xorg-driver-ati mailing list
>> xorg-driver-ati@lists.x.org
>> http://lists.x.org/mailman/listinfo/xorg-driver-ati
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 20 Sep 2010 23:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.small@unb.ca:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 20 Sep 2010 23:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Sun, 26 Sep 2010 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 26 Sep 2010 05:09:03 GMT) Full text and rfc822 format available.

Message #30 received at submit@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: a.small@unb.ca
Cc: 597358@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Sun, 26 Sep 2010 01:04:36 -0400
On Mon, Sep 20, 2010 at 7:25 PM, Aaron Small <aaron.small.99a@gmail.com> wrote:
> Yes, radeon.new_pll=0 fixes the problem.
>

Can you try this set of kernel patches?
http://people.freedesktop.org/~agd5f/pll_fixes/


> radeon.display_priority=2 wasn't accepted as a command. I saw:
> radeon: Unknown parameter `display_priority'
> on bootup, then the kernel driver appeared not to initialize.

sorry, the parameter name is disp_priority

Alex

>
> Thanks,
> Aaron
>
> On Mon, Sep 20, 2010 at 12:05 AM, Alex Deucher <alexdeucher@gmail.com> wrote:
>> On Sat, Sep 18, 2010 at 6:11 PM, Aaron Small <a.small@unb.ca> wrote:
>>> Package: xserver-xorg-video-radeon
>>> Version: 1:6.13.1-2
>>> Severity: normal
>>>
>>>
>>> When KMS is enabled, the screen is mostly correct all the time, but the
>>> brightness for either the entire screen, or one horizontal line
>>> flickers, maybe two to three times per second. Sometimes the change in
>>> brightness is just noticeable, and sometimes it is strong enough to look
>>> like a horizontal line the full width of the display becomes white. The
>>> very strong flickers seem to only happen with a single line, the
>>> whole-display flickers are always fairly weak, but still noticeable.
>>>
>>> The flickering happens all the time when KMS is enabled. Reboot and
>>> suspend/resume have no effect. When KMS is disabled, there is no
>>> problem, I never see flickering like this.
>>>
>>
>> Does booting with radeon.new_pll=0 or radeon.display_priority=2 help?
>>
>> Alex
>>
>>>
>>> -- Package-specific info:
>>> /var/lib/x11/X.roster does not exist.
>>>
>>> /var/lib/x11/X.md5sum does not exist.
>>>
>>> X server symlink status:
>>> lrwxrwxrwx 1 root root 13 Dec 28  2006 /etc/X11/X -> /usr/bin/Xorg
>>> -rwxr-xr-x 1 root root 1725304 Aug 24 11:04 /usr/bin/Xorg
>>>
>>> /var/lib/x11/xorg.conf.roster does not exist.
>>>
>>> VGA-compatible devices on PCI bus:
>>> 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]
>>>
>>> /var/lib/x11/xorg.conf.md5sum does not exist.
>>>
>>> Xorg X server configuration file status:
>>> -rw-r--r-- 1 root root 3132 Aug  7 22:06 /etc/X11/xorg.conf
>>>
>>> Contents of /etc/X11/xorg.conf:
>>> # /etc/X11/xorg.conf (xorg X Window System server configuration file)
>>> #
>>> # This file was generated by dexconf, the Debian X Configuration tool, using
>>> # values from the debconf database.
>>> #
>>> # Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
>>> # (Type "man /etc/X11/xorg.conf" at the shell prompt.)
>>> #
>>> # This file is automatically updated on xserver-xorg package upgrades *only*
>>> # if it has not been modified since the last upgrade of the xserver-xorg
>>> # package.
>>> #
>>> # If you have edited this file but would like it to be automatically updated
>>> # again, run the following command:
>>> #   sudo dpkg-reconfigure -phigh xserver-xorg
>>>
>>> Section "Files"
>>>        FontPath        "/usr/share/fonts/X11/misc"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/misc"
>>>        FontPath        "/usr/share/fonts/X11/cyrillic"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/cyrillic"
>>>        FontPath        "/usr/share/fonts/X11/100dpi/:unscaled"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
>>>        FontPath        "/usr/share/fonts/X11/75dpi/:unscaled"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
>>>        FontPath        "/usr/share/fonts/X11/Type1"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/Type1"
>>>        FontPath        "/usr/share/fonts/X11/100dpi"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi"
>>>        FontPath        "/usr/share/fonts/X11/75dpi"
>>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi"
>>>        # path to defoma fonts
>>>        FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
>>> EndSection
>>>
>>> Section "Module"
>>>        Load    "i2c"
>>>        Load    "bitmap"
>>>        Load    "ddc"
>>>        Load    "dri"
>>>        Load    "extmod"
>>>        Load    "freetype"
>>>        Load    "glx"
>>>        Load    "int10"
>>>        Load    "vbe"
>>> EndSection
>>>
>>> Section "InputDevice"
>>>        Identifier      "Generic Keyboard"
>>>        Driver          "kbd"
>>>        Option          "CoreKeyboard"
>>>        Option          "XkbRules"      "xorg"
>>>        Option          "XkbModel"      "pc104"
>>>        Option          "XkbLayout"     "us"
>>> EndSection
>>>
>>> Section "InputDevice"
>>>        Identifier      "Configured Mouse"
>>>        Driver          "mouse"
>>>        Option          "CorePointer"
>>>        Option          "Device"                "/dev/input/mice"
>>>        Option          "Protocol"              "ImPS/2"
>>>        Option          "Emulate3Buttons"       "true"
>>> EndSection
>>>
>>> Section "InputDevice"
>>>        Identifier      "Touchpad"
>>>        Driver          "synaptics"
>>>        Option          "AlwaysCore"
>>>        Option          "device"                "/dev/input/mouse0"
>>>        Option          "Protocol"              "auto-dev"
>>>        Option          "SHMConfig"             "on"
>>>        Option          "TapButton2"            "3"
>>>        Option          "TapButton3"            "2"
>>> EndSection
>>>
>>> Section "Device"
>>>        Identifier      "Generic Video Card"
>>>        Driver          "ati"
>>>        BusID           "PCI:1:0:0"
>>> EndSection
>>>
>>> Section "Monitor"
>>>        Identifier      "Color LCD"
>>>        Option          "DPMS"
>>>        HorizSync       28-72
>>>        VertRefresh     43-60
>>> EndSection
>>>
>>> Section "Screen"
>>>        Identifier      "Default Screen"
>>>        Device          "Generic Video Card"
>>>        Monitor         "Color LCD"
>>>        DefaultDepth    24
>>>        SubSection "Display"
>>>                Depth           1
>>>                Modes           "1440x900"
>>>        EndSubSection
>>>        SubSection "Display"
>>>                Depth           4
>>>                Modes           "1440x900"
>>>        EndSubSection
>>>        SubSection "Display"
>>>                Depth           8
>>>                Modes           "1440x900"
>>>        EndSubSection
>>>        SubSection "Display"
>>>                Depth           15
>>>                Modes           "1440x900"
>>>        EndSubSection
>>>        SubSection "Display"
>>>                Depth           16
>>>                Modes           "1440x900"
>>>        EndSubSection
>>>        SubSection "Display"
>>>                Depth           24
>>>                Modes           "1440x900"
>>>        EndSubSection
>>> EndSection
>>>
>>> Section "ServerLayout"
>>>        Identifier      "Default Layout"
>>>        Screen          "Default Screen"
>>>        InputDevice     "Generic Keyboard"
>>>        InputDevice     "Configured Mouse"
>>>        InputDevice     "Touchpad"
>>> EndSection
>>>
>>> Section "DRI"
>>>        Mode    0666
>>> EndSection
>>>
>>>
>>> Kernel version (/proc/version):
>>> Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010
>>>
>>> Xorg X server log files on system:
>>> -rw-r--r-- 1 root root 33521 Sep 18 18:04 /var/log/Xorg.0.log
>>>
>>> Contents of most recent Xorg X server log file
>>> /var/log/Xorg.0.log:
>>>
>>> X.Org X Server 1.7.7
>>> Release Date: 2010-05-04
>>> X Protocol Version 11, Revision 0
>>> Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
>>> Current Operating System: Linux ahni 2.6.32-5-686 #1 SMP Wed Aug 25 14:28:12 UTC 2010 i686
>>> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=393bcb6d-dc9f-45bc-84ca-ba3265387679 ro quiet
>>> Build Date: 24 August 2010  02:59:40PM
>>> xorg-server 2:1.7.7-4 (Julien Cristau <jcristau@debian.org>)
>>> Current version of pixman: 0.16.4
>>>        Before reporting problems, check http://wiki.x.org
>>>        to make sure that you have the latest version.
>>> Markers: (--) probed, (**) from config file, (==) default setting,
>>>        (++) from command line, (!!) notice, (II) informational,
>>>        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>>> (==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep 18 17:50:05 2010
>>> (==) Using config file: "/etc/X11/xorg.conf"
>>> (==) Using system config directory "/usr/share/X11/xorg.conf.d"
>>> (==) ServerLayout "Default Layout"
>>> (**) |-->Screen "Default Screen" (0)
>>> (**) |   |-->Monitor "Color LCD"
>>> (**) |   |-->Device "Generic Video Card"
>>> (**) |-->Input Device "Generic Keyboard"
>>> (**) |-->Input Device "Configured Mouse"
>>> (**) |-->Input Device "Touchpad"
>>> (==) Automatically adding devices
>>> (==) Automatically enabling devices
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
>>>        Entry deleted from font path.
>>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>>        Entry deleted from font path.
>>> (**) FontPath set to:
>>>        /usr/share/fonts/X11/misc,
>>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>>        /usr/share/fonts/X11/Type1,
>>>        /usr/share/fonts/X11/100dpi,
>>>        /usr/share/fonts/X11/75dpi,
>>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>>        /usr/share/fonts/X11/misc,
>>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>>        /usr/share/fonts/X11/Type1,
>>>        /usr/share/fonts/X11/100dpi,
>>>        /usr/share/fonts/X11/75dpi,
>>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>>        built-ins
>>> (==) ModulePath set to "/usr/lib/xorg/modules"
>>> (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
>>> (WW) Disabling Generic Keyboard
>>> (WW) Disabling Configured Mouse
>>> (II) Loader magic: 0x81eaca0
>>> (II) Module ABI versions:
>>>        X.Org ANSI C Emulation: 0.4
>>>        X.Org Video Driver: 6.0
>>>        X.Org XInput driver : 7.0
>>>        X.Org Server Extension : 2.0
>>> (++) using VT number 7
>>>
>>> (--) PCI:*(0:1:0:0) 1002:71c5:106b:0080 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0x80000000/268435456, 0x98300000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>> (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
>>> (II) "dbe" will be loaded by default.
>>> (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
>>> (II) "record" will be loaded by default.
>>> (II) "dri" will be loaded. This was enabled by default and also specified in the config file.
>>> (II) "dri2" will be loaded by default.
>>> (II) LoadModule: "i2c"
>>> (II) Module "i2c" already built-in
>>> (II) LoadModule: "ddc"
>>> (II) Module "ddc" already built-in
>>> (II) LoadModule: "dri"
>>> (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
>>> (II) Module dri: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (II) Loading extension XFree86-DRI
>>> (II) LoadModule: "extmod"
>>> (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
>>> (II) Module extmod: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        Module class: X.Org Server Extension
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (II) Loading extension SELinux
>>> (II) Loading extension MIT-SCREEN-SAVER
>>> (II) Loading extension XFree86-VidModeExtension
>>> (II) Loading extension XFree86-DGA
>>> (II) Loading extension DPMS
>>> (II) Loading extension XVideo
>>> (II) Loading extension XVideo-MotionCompensation
>>> (II) Loading extension X-Resource
>>> (II) LoadModule: "glx"
>>> (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
>>> (II) Module glx: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (==) AIGLX enabled
>>> (II) Loading extension GLX
>>> (II) LoadModule: "int10"
>>> (II) Loading /usr/lib/xorg/modules/libint10.so
>>> (II) Module int10: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        ABI class: X.Org Video Driver, version 6.0
>>> (II) LoadModule: "vbe"
>>> (II) Loading /usr/lib/xorg/modules/libvbe.so
>>> (II) Module vbe: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.1.0
>>>        ABI class: X.Org Video Driver, version 6.0
>>> (II) LoadModule: "dbe"
>>> (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
>>> (II) Module dbe: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        Module class: X.Org Server Extension
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (II) Loading extension DOUBLE-BUFFER
>>> (II) LoadModule: "record"
>>> (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
>>> (II) Module record: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.13.0
>>>        Module class: X.Org Server Extension
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (II) Loading extension RECORD
>>> (II) LoadModule: "dri2"
>>> (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
>>> (II) Module dri2: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.1.0
>>>        ABI class: X.Org Server Extension, version 2.0
>>> (II) Loading extension DRI2
>>> (II) LoadModule: "ati"
>>> (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
>>> (II) Module ati: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 6.13.1
>>>        Module class: X.Org Video Driver
>>>        ABI class: X.Org Video Driver, version 6.0
>>> (II) LoadModule: "radeon"
>>> (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
>>> (II) Module radeon: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 6.13.1
>>>        Module class: X.Org Video Driver
>>>        ABI class: X.Org Video Driver, version 6.0
>>> (II) LoadModule: "synaptics"
>>> (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
>>> (II) Module synaptics: vendor="X.Org Foundation"
>>>        compiled for 1.7.6.901, module version = 1.2.2
>>>        Module class: X.Org XInput Driver
>>>        ABI class: X.Org XInput driver, version 7.0
>>> (II) RADEON: Driver for ATI Radeon chipsets:
>>>        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
>>>        ATI Radeon Mobility X300 (M24) 3152 (PCIE),
>>>        ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
>>>        ATI Radeon X600 (RV380) 3E50 (PCIE),
>>>        ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
>>>        ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
>>>        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
>>>        ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
>>>        ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
>>>        ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
>>>        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
>>>        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
>>>        ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
>>>        ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
>>>        ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
>>>        ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
>>>        ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
>>>        ATI Radeon X800PRO (R420) JI (AGP),
>>>        ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
>>>        ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
>>>        ATI Radeon Mobility 9800 (M18) JN (AGP),
>>>        ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
>>>        ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
>>>        ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
>>>        ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
>>>        ATI Radeon Mobility M7 LW (AGP),
>>>        ATI Mobility FireGL 7800 M7 LX (AGP),
>>>        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
>>>        ATI FireGL Mobility 9000 (M9) Ld (AGP),
>>>        ATI Radeon Mobility 9000 (M9) Lf (AGP),
>>>        ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
>>>        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
>>>        ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
>>>        ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
>>>        ATI Radeon 9800XT NJ (AGP),
>>>        ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
>>>        ATI Radeon Mobility 9600 (M10) NQ (AGP),
>>>        ATI Radeon Mobility 9600 (M11) NR (AGP),
>>>        ATI Radeon Mobility 9600 (M10) NS (AGP),
>>>        ATI FireGL Mobility T2 (M10) NT (AGP),
>>>        ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
>>>        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
>>>        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
>>>        ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
>>>        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
>>>        ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
>>>        ATI Radeon Mobility X300 (M22) 5460 (PCIE),
>>>        ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
>>>        ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
>>>        ATI Radeon X800PRO (R423) UI (PCIE),
>>>        ATI Radeon X800LE (R423) UJ (PCIE),
>>>        ATI Radeon X800SE (R423) UK (PCIE),
>>>        ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
>>>        ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
>>>        ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
>>>        ATI FireGL unknown (R423) UR (PCIE),
>>>        ATI FireGL unknown (R423) UT (PCIE),
>>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>>        ATI Mobility Radeon X700 XL (M26) (PCIE),
>>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>>        ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
>>>        ATI Radeon Mobility 9100 IGP (U3) 5835,
>>>        ATI Radeon XPRESS 200 5954 (PCIE),
>>>        ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
>>>        ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
>>>        ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
>>>        ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
>>>        ATI Radeon XPRESS 200M 5975 (PCIE),
>>>        ATI Radeon XPRESS 200 5A41 (PCIE),
>>>        ATI Radeon XPRESS 200M 5A42 (PCIE),
>>>        ATI Radeon XPRESS 200 5A61 (PCIE),
>>>        ATI Radeon XPRESS 200M 5A62 (PCIE),
>>>        ATI Radeon X300 (RV370) 5B60 (PCIE),
>>>        ATI Radeon X600 (RV370) 5B62 (PCIE),
>>>        ATI Radeon X550 (RV370) 5B63 (PCIE),
>>>        ATI FireGL V3100 (RV370) 5B64 (PCIE),
>>>        ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
>>>        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
>>>        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
>>>        ATI Mobility Radeon X800 XT (M28) (PCIE),
>>>        ATI Mobility FireGL V5100 (M28) (PCIE),
>>>        ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
>>>        ATI Radeon X850 XT PE (R480) (PCIE),
>>>        ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
>>>        ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
>>>        ATI Radeon X850 XT (R480) (PCIE),
>>>        ATI Radeon X800XT (R423) 5D57 (PCIE),
>>>        ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
>>>        ATI Radeon X700 PRO (RV410) (PCIE),
>>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
>>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
>>>        ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
>>>        ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
>>>        ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
>>>        ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
>>>        ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
>>>        ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
>>>        ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
>>>        ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
>>>        ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
>>>        ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
>>>        ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
>>>        ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
>>>        ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
>>>        ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
>>>        ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
>>>        ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
>>>        ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
>>>        ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
>>>        ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
>>>        ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
>>>        ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
>>>        ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
>>>        ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
>>>        ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
>>>        ATI Mobility Radeon X1700, ATI Radeon X2300HD,
>>>        ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
>>>        ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>        ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
>>>        ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
>>>        ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
>>>        ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
>>>        ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
>>>        ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
>>>        ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
>>>        ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
>>>        ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
>>>        ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
>>>        ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
>>>        ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
>>>        ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
>>>        ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
>>>        ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
>>>        AMD FireStream 9250, ATI FirePro V8700 (FireGL),
>>>        ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
>>>        ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
>>>        ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
>>>        ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
>>>        ATI Mobility Radeon HD 4670, ATI FirePro M5750,
>>>        ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
>>>        ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
>>>        ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
>>>        ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
>>>        ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
>>>        ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
>>>        ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
>>>        ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
>>>        ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
>>>        ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
>>>        ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
>>>        ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
>>>        ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
>>>        ATI Mobility Radeon HD 3850 X2, ATI RV670,
>>>        ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
>>>        ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
>>>        ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
>>>        ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
>>>        ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
>>>        ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
>>>        ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
>>>        ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
>>>        ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
>>>        ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
>>>        ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
>>>        ATI FireGL V3600, ATI Radeon HD 2600 LE,
>>>        ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
>>>        ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
>>>        ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
>>>        ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
>>>        ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
>>>        ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
>>>        ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
>>>        ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
>>>        ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
>>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>>        ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
>>>        ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
>>>        ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
>>>        ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
>>>        ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
>>>        ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
>>>        ATI Mobility Radeon HD 5800 Series,
>>>        ATI Mobility Radeon HD 5800 Series,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
>>>        ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
>>>        ATI Mobility Radeon HD 5000 Series,
>>>        ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
>>>        ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
>>>        ATI Mobility Radeon HD 5000 Series,
>>>        ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>        ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
>>>        CEDAR
>>> (II) Primary Device is: PCI 01@00:00:0
>>> (II) [KMS] Kernel modesetting enabled.
>>> (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
>>> (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
>>> (==) RADEON(0): Default visual is TrueColor
>>> (==) RADEON(0): RGB weight 888
>>> (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
>>> (--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
>>> (II) RADEON(0): PCIE card detected
>>> (II) RADEON(0): KMS Color Tiling: enabled
>>> drmOpenDevice: node name is /dev/dri/card0
>>> drmOpenDevice: open result is 9, (OK)
>>> drmOpenByBusid: Searching for BusID pci:0000:01:00.0
>>> drmOpenDevice: node name is /dev/dri/card0
>>> drmOpenDevice: open result is 9, (OK)
>>> drmOpenByBusid: drmOpenMinor returns 9
>>> drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
>>> (II) RADEON(0): Output LVDS using monitor section Color LCD
>>> (II) RADEON(0): Output S-video has no monitor section
>>> (II) RADEON(0): Output DVI-0 has no monitor section
>>> (II) RADEON(0): EDID for output LVDS
>>> (II) RADEON(0): Manufacturer: APP  Model: 9c56  Serial#: 0
>>> (II) RADEON(0): Year: 2006  Week: 4
>>> (II) RADEON(0): EDID Version: 1.3
>>> (II) RADEON(0): Digital Display Input
>>> (II) RADEON(0): Max Image Size [cm]: horiz.: 34  vert.: 22
>>> (II) RADEON(0): Gamma: 2.20
>>> (II) RADEON(0): No DPMS capabilities specified
>>> (II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
>>> (II) RADEON(0): First detailed timing is preferred mode
>>> (II) RADEON(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
>>> (II) RADEON(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
>>> (II) RADEON(0): Manufacturer's mask: 0
>>> (II) RADEON(0): Supported detailed timing:
>>> (II) RADEON(0): clock: 96.3 MHz   Image Size:  331 x 207 mm
>>> (II) RADEON(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1760 h_border: 0
>>> (II) RADEON(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
>>> (II) RADEON(0): Unknown vendor-specific block 1
>>> (II) RADEON(0):  LTN154X7
>>> (II) RADEON(0): Monitor name: Color LCD
>>> (II) RADEON(0): EDID (in hex):
>>> (II) RADEON(0):         00ffffffffffff000610569c00000000
>>> (II) RADEON(0):         04100103802216780a87f594574f8c27
>>> (II) RADEON(0):         27505400000001010101010101010101
>>> (II) RADEON(0):         0101010101019f25a04051840c304020
>>> (II) RADEON(0):         33004bcf100000190000000100061030
>>> (II) RADEON(0):         00000000000000000a20000000fe004c
>>> (II) RADEON(0):         544e31353458370000000a20000000fc
>>> (II) RADEON(0):         00436f6c6f72204c43440a20202000d5
>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (II) RADEON(0): Printing probed modes for output LVDS
>>> (II) RADEON(0): Modeline "1440x900"x60.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
>>> (II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
>>> (II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
>>> (II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
>>> (II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
>>> (II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
>>> (II) RADEON(0): Modeline "848x480"x59.7   31.50  848 872 952 1056  480 483 493 500 -hsync +vsync (29.8 kHz)
>>> (II) RADEON(0): Modeline "720x480"x59.7   26.75  720 744 808 896  480 483 493 500 -hsync +vsync (29.9 kHz)
>>> (II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
>>> (II) RADEON(0): EDID for output S-video
>>> (II) RADEON(0): EDID for output DVI-0
>>> (II) RADEON(0): Output LVDS connected
>>> (II) RADEON(0): Output S-video disconnected
>>> (II) RADEON(0): Output DVI-0 disconnected
>>> (II) RADEON(0): Using user preference for initial modes
>>> (II) RADEON(0): Output LVDS using initial mode 1440x900
>>> (II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
>>> (II) RADEON(0): mem size init: gart size :1feff000 vram size: s:10000000 visible:fab2000
>>> (II) RADEON(0): EXA: Driver will allow EXA pixmaps in VRAM
>>> (**) RADEON(0): Display dimensions: (340, 220) mm
>>> (**) RADEON(0): DPI set to (107, 103)
>>> (II) Loading sub module "fb"
>>> (II) LoadModule: "fb"
>>> (II) Loading /usr/lib/xorg/modules/libfb.so
>>> (II) Module fb: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.0.0
>>>        ABI class: X.Org ANSI C Emulation, version 0.4
>>> (II) Loading sub module "ramdac"
>>> (II) LoadModule: "ramdac"
>>> (II) Module "ramdac" already built-in
>>> (II) RADEON(0): GPU accel disabled or not working, using shadowfb for KMS
>>> (II) Loading sub module "shadow"
>>> (II) LoadModule: "shadow"
>>> (II) Loading /usr/lib/xorg/modules/libshadow.so
>>> (II) Module shadow: vendor="X.Org Foundation"
>>>        compiled for 1.7.7, module version = 1.1.0
>>>        ABI class: X.Org ANSI C Emulation, version 0.4
>>> (--) Depth 24 pixmap format is 32 bpp
>>> (II) RADEON(0): Front buffer size: 5244K
>>> (II) RADEON(0): VRAM usage limit set to 226321K
>>> (==) RADEON(0): Backing store disabled
>>> (WW) RADEON(0): Direct rendering disabled
>>> (II) RADEON(0): Acceleration disabled
>>> (**) RADEON(0): DPMS enabled
>>> (==) RADEON(0): Silken mouse enabled
>>> (II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
>>> (--) RandR disabled
>>> (II) Initializing built-in extension Generic Event Extension
>>> (II) Initializing built-in extension SHAPE
>>> (II) Initializing built-in extension MIT-SHM
>>> (II) Initializing built-in extension XInputExtension
>>> (II) Initializing built-in extension XTEST
>>> (II) Initializing built-in extension BIG-REQUESTS
>>> (II) Initializing built-in extension SYNC
>>> (II) Initializing built-in extension XKEYBOARD
>>> (II) Initializing built-in extension XC-MISC
>>> (II) Initializing built-in extension XINERAMA
>>> (II) Initializing built-in extension XFIXES
>>> (II) Initializing built-in extension RENDER
>>> (II) Initializing built-in extension RANDR
>>> (II) Initializing built-in extension COMPOSITE
>>> (II) Initializing built-in extension DAMAGE
>>> SELinux: Disabled on system, not enabling in X server
>>> (II) AIGLX: Screen 0 is not DRI2 capable
>>> (II) AIGLX: Screen 0 is not DRI capable
>>> (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
>>> (II) GLX: Initialized DRISWRAST GL provider for screen 0
>>> (II) RADEON(0): Setting screen physical size to 380 x 238
>>> (II) Synaptics touchpad driver version 1.2.2
>>> (--) Touchpad auto-dev sets device to /dev/input/event5
>>> (**) Option "Device" "/dev/input/event5"
>>> (II) Touchpad: x-axis range 0 - 1215
>>> (II) Touchpad: y-axis range 0 - 575
>>> (II) Touchpad: pressure range 0 - 300
>>> (II) Touchpad: finger width range 0 - 0
>>> (II) Touchpad: buttons: left double triple
>>> (**) Option "SHMConfig" "on"
>>> (**) Option "TapButton2" "3"
>>> (**) Option "TapButton3" "2"
>>> (--) Touchpad: touchpad found
>>> (**) Option "AlwaysCore"
>>> (**) Touchpad: always reports core events
>>> (II) XINPUT: Adding extended input device "Touchpad" (type: TOUCHPAD)
>>> (**) Touchpad: (accel) keeping acceleration scheme 1
>>> (**) Touchpad: (accel) acceleration profile 0
>>> (**) Touchpad: (accel) acceleration factor: 2.000
>>> (**) Touchpad: (accel) acceleration threshold: 4
>>> (--) Touchpad: touchpad found
>>> (II) config/udev: Adding input device Power Button (/dev/input/event3)
>>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>>> (II) LoadModule: "evdev"
>>> (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
>>> (II) Module evdev: vendor="X.Org Foundation"
>>>        compiled for 1.7.6.901, module version = 2.3.2
>>>        Module class: X.Org XInput Driver
>>>        ABI class: X.Org XInput driver, version 7.0
>>> (**) Power Button: always reports core events
>>> (**) Power Button: Device: "/dev/input/event3"
>>> (II) Power Button: Found keys
>>> (II) Power Button: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) config/udev: Adding input device Power Button (/dev/input/event1)
>>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>>> (**) Power Button: always reports core events
>>> (**) Power Button: Device: "/dev/input/event1"
>>> (II) Power Button: Found keys
>>> (II) Power Button: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
>>> (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
>>> (**) Sleep Button: always reports core events
>>> (**) Sleep Button: Device: "/dev/input/event2"
>>> (II) Sleep Button: Found keys
>>> (II) Sleep Button: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) config/udev: Adding input device HDA Intel HP Out at Ext Rear Jack (/dev/input/event10)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device HDA Intel Line In at Ext Rear Jack (/dev/input/event9)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event6)
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event6"
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) config/udev: Adding input device appletouch (/dev/input/event5)
>>> (**) appletouch: Applying InputClass "evdev touchpad catchall"
>>> (**) appletouch: Applying InputClass "touchpad catchall"
>>> (II) Synaptics touchpad driver version 1.2.2
>>> (**) Option "Device" "/dev/input/event5"
>>> (--) appletouch: no supported touchpad found
>>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>>> (EE) PreInit failed for input device "appletouch"
>>> (II) UnloadModule: "synaptics"
>>> (II) config/udev: Adding input device appletouch (/dev/input/mouse0)
>>> (**) appletouch: Applying InputClass "touchpad catchall"
>>> (II) Synaptics touchpad driver version 1.2.2
>>> appletouch no synaptics event device found
>>> (**) Option "Device" "/dev/input/mouse0"
>>> Query no Synaptics: 6003C8
>>> (--) appletouch: no supported touchpad found
>>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>>> (EE) PreInit failed for input device "appletouch"
>>> (II) UnloadModule: "synaptics"
>>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event7)
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event7"
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) config/udev: Adding input device applesmc (/dev/input/event8)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device applesmc (/dev/input/js0)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device PC Speaker (/dev/input/event4)
>>> (II) No input driver/identifier specified (ignoring)
>>> (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
>>> (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
>>> (**) ACPI Virtual Keyboard Device: always reports core events
>>> (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
>>> (II) ACPI Virtual Keyboard Device: Found keys
>>> (II) ACPI Virtual Keyboard Device: Configuring as keyboard
>>> (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
>>> (**) Option "xkb_rules" "evdev"
>>> (**) Option "xkb_model" "pc104"
>>> (**) Option "xkb_layout" "us"
>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (--) Touchpad: touchpad found
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Sleep Button: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (--) Touchpad: touchpad found
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Sleep Button: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (--) Touchpad: touchpad found
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Sleep Button: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>> (--) Touchpad: touchpad found
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Power Button: Device reopened after 1 attempts.
>>> (II) Sleep Button: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>>
>>> udev information:
>>> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>>> N: input/event3
>>> S: char/13:67
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event3
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=67
>>> E: DEVLINKS=/dev/char/13:67
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>
>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>>> N: input/event1
>>> S: char/13:65
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event1
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=65
>>> E: DEVLINKS=/dev/char/13:65
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>
>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>>> N: input/event0
>>> S: char/13:64
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event0
>>> E: ID_INPUT=1
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>> E: MAJOR=13
>>> E: MINOR=64
>>> E: DEVLINKS=/dev/char/13:64
>>>
>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>>> N: input/event2
>>> S: char/13:66
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event2
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=66
>>> E: DEVLINKS=/dev/char/13:66
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>
>>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>>> N: input/event10
>>> S: char/13:74
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event10
>>> E: ID_INPUT=1
>>> E: ID_PATH=pci-0000:00:1b.0
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>> E: MAJOR=13
>>> E: MINOR=74
>>> E: DEVLINKS=/dev/char/13:74
>>> E: TAGS=:udev-acl:
>>>
>>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>>> N: input/event9
>>> S: char/13:73
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event9
>>> E: ID_INPUT=1
>>> E: ID_PATH=pci-0000:00:1b.0
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>> E: MAJOR=13
>>> E: MINOR=73
>>> E: DEVLINKS=/dev/char/13:73
>>> E: TAGS=:udev-acl:
>>>
>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>>> N: input/event6
>>> S: char/13:70
>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd
>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event6
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: ID_INPUT_KEYBOARD=1
>>> E: ID_VENDOR=Apple_Computer
>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>> E: ID_VENDOR_ID=05ac
>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>> E: ID_MODEL_ID=0218
>>> E: ID_REVISION=0060
>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>> E: ID_TYPE=hid
>>> E: ID_BUS=usb
>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>> E: ID_USB_INTERFACE_NUM=00
>>> E: ID_USB_DRIVER=usbhid
>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=70
>>> E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>>>
>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>>> N: input/event5
>>> S: char/13:69
>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse
>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event5
>>> E: ID_INPUT=1
>>> E: ID_INPUT_TOUCHPAD=1
>>> E: ID_VENDOR=Apple_Computer
>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>> E: ID_VENDOR_ID=05ac
>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>> E: ID_MODEL_ID=0218
>>> E: ID_REVISION=0060
>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>> E: ID_TYPE=hid
>>> E: ID_BUS=usb
>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>> E: ID_USB_INTERFACE_NUM=01
>>> E: ID_USB_DRIVER=appletouch
>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>>> E: MAJOR=13
>>> E: MINOR=69
>>> E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>>>
>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>>> N: input/mouse0
>>> S: char/13:32
>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse
>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/mouse0
>>> E: ID_INPUT=1
>>> E: ID_INPUT_TOUCHPAD=1
>>> E: ID_VENDOR=Apple_Computer
>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>> E: ID_VENDOR_ID=05ac
>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>> E: ID_MODEL_ID=0218
>>> E: ID_REVISION=0060
>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>> E: ID_TYPE=hid
>>> E: ID_BUS=usb
>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>> E: ID_USB_INTERFACE_NUM=01
>>> E: ID_USB_DRIVER=appletouch
>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>>> E: MAJOR=13
>>> E: MINOR=32
>>> E: DEVLINKS=/dev/char/13:32 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>>>
>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>>> N: input/event7
>>> S: char/13:71
>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02
>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event7
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: ID_VENDOR=Apple_Computer
>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>> E: ID_VENDOR_ID=05ac
>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>> E: ID_MODEL_ID=0218
>>> E: ID_REVISION=0060
>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>> E: ID_TYPE=hid
>>> E: ID_BUS=usb
>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>> E: ID_USB_INTERFACE_NUM=02
>>> E: ID_USB_DRIVER=usbhid
>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.2
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=71
>>> E: DEVLINKS=/dev/char/13:71 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02 /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>>>
>>> P: /devices/platform/applesmc.768/input/input8/event8
>>> N: input/event8
>>> S: char/13:72
>>> S: input/by-path/platform-applesmc.768-event
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/event8
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event8
>>> E: ID_INPUT=1
>>> E: ID_PATH=platform-applesmc.768
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>> E: MAJOR=13
>>> E: MINOR=72
>>> E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-applesmc.768-event
>>>
>>> P: /devices/platform/applesmc.768/input/input8/js0
>>> N: input/js0
>>> S: char/13:0
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/js0
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/js0
>>> E: ID_INPUT=1
>>> E: ID_PATH=platform-applesmc.768
>>> E: MAJOR=13
>>> E: MINOR=0
>>> E: DEVLINKS=/dev/char/13:0
>>>
>>> P: /devices/platform/pcspkr/input/input4/event4
>>> N: input/event4
>>> S: char/13:68
>>> S: input/by-path/platform-pcspkr-event-spkr
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event4
>>> E: ID_INPUT=1
>>> E: ID_SERIAL=noserial
>>> E: ID_PATH=platform-pcspkr
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>> E: MAJOR=13
>>> E: MINOR=68
>>> E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr
>>>
>>> P: /devices/virtual/input/input11/event11
>>> N: input/event11
>>> S: char/13:75
>>> E: UDEV_LOG=3
>>> E: DEVPATH=/devices/virtual/input/input11/event11
>>> E: SUBSYSTEM=input
>>> E: DEVNAME=input/event11
>>> E: ID_INPUT=1
>>> E: ID_INPUT_KEY=1
>>> E: ID_INPUT_KEYBOARD=1
>>> E: ID_SERIAL=noserial
>>> E: XKBMODEL=pc104
>>> E: XKBLAYOUT=us
>>> E: MAJOR=13
>>> E: MINOR=75
>>> E: DEVLINKS=/dev/char/13:75
>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>
>>> DRM Information from dmesg:
>>> [    0.871143] Linux agpgart interface v0.103
>>> [    9.352125] [drm] Initialized drm 1.1.0 20060810
>>> [   10.260025] [drm] radeon kernel modesetting enabled.
>>> [   10.262479] [drm] radeon: Initializing kernel modesetting.
>>> [   10.262644] [drm] register mmio base: 0x98300000
>>> [   10.262646] [drm] register mmio size: 65536
>>> [   10.262976] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
>>> [   10.262992] [drm] Generation 2 PCI interface, using max accessible memory
>>> [   10.262995] [drm] radeon: VRAM 256M
>>> [   10.262997] [drm] radeon: VRAM from 0x00000000 to 0x0FFFFFFF
>>> [   10.262999] [drm] radeon: GTT 512M
>>> [   10.263001] [drm] radeon: GTT from 0x20000000 to 0x3FFFFFFF
>>> [   10.263054] [drm] radeon: using MSI.
>>> [   10.263078] [drm] radeon: irq initialized.
>>> [   10.263799] [drm] Detected VRAM RAM=256M, BAR=256M
>>> [   10.263803] [drm] RAM width 128bits DDR
>>> [   10.263922] [drm] radeon: 256M of VRAM memory ready
>>> [   10.263924] [drm] radeon: 512M of GTT memory ready.
>>> [   10.263941] [drm] GART: num cpu pages 131072, num gpu pages 131072
>>> [   10.265457] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
>>> [   10.265516] [drm] PCIE GART of 512M enabled (table at 0x00040000).
>>> [   10.265528] [drm] radeon: cp idle (0x10000C03)
>>> [   10.265565] [drm] Loading R500 Microcode
>>> [   10.309974] [drm:r100_cp_init] *ERROR* Failed to load firmware!
>>> [   10.310162] [drm] radeon: cp finalized
>>> [   10.310799] [drm] Default TV standard: NTSC
>>> [   10.310867] [drm] Radeon Display Connectors
>>> [   10.310869] [drm] Connector 0:
>>> [   10.310871] [drm]   LVDS
>>> [   10.310874] [drm]   DDC: 0x7e60 0x7e60 0x7e64 0x7e64 0x7e68 0x7e68 0x7e6c 0x7e6c
>>> [   10.310877] [drm]   Encoders:
>>> [   10.310878] [drm]     LCD1: INTERNAL_LVTM1
>>> [   10.310880] [drm] Connector 1:
>>> [   10.310882] [drm]   S-video
>>> [   10.310883] [drm]   Encoders:
>>> [   10.310885] [drm]     TV1: INTERNAL_KLDSCP_DAC2
>>> [   10.310887] [drm] Connector 2:
>>> [   10.310888] [drm]   DVI-I
>>> [   10.310890] [drm]   HPD1
>>> [   10.310892] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
>>> [   10.310895] [drm]   Encoders:
>>> [   10.310897] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
>>> [   10.310899] [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
>>> [   10.579919] [drm] fb mappable at 0x80040000
>>> [   10.579922] [drm] vram apper at 0x80000000
>>> [   10.579924] [drm] size 5299200
>>> [   10.579926] [drm] fb depth is 24
>>> [   10.579928] [drm]    pitch is 5888
>>> [   10.612039] fb0: radeondrmfb frame buffer device
>>> [   10.612046] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
>>>
>>>
>>> -- System Information:
>>> Debian Release: squeeze/sid
>>>  APT prefers testing
>>>  APT policy: (500, 'testing')
>>> Architecture: i386 (i686)
>>>
>>> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
>>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>>> Shell: /bin/sh linked to /bin/dash
>>>
>>> Versions of packages xserver-xorg-video-radeon depends on:
>>> ii  libc6                         2.11.2-5   Embedded GNU C Library: Shared lib
>>> ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
>>> ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM
>>> ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
>>> ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
>>> ii  libudev0                      160-1      libudev shared library
>>> ii  xserver-xorg-core [xorg-video 2:1.7.7-4  Xorg X server - core server
>>>
>>> xserver-xorg-video-radeon recommends no packages.
>>>
>>> Versions of packages xserver-xorg-video-radeon suggests:
>>> pn  firmware-linux                <none>     (no description available)
>>>
>>> -- Configuration Files:
>>> /etc/modprobe.d/radeon-kms.conf changed:
>>> options radeon modeset=0
>>>
>>>
>>> -- no debconf information
>>>
>>>
>>>
>>> _______________________________________________
>>> xorg-driver-ati mailing list
>>> xorg-driver-ati@lists.x.org
>>> http://lists.x.org/mailman/listinfo/xorg-driver-ati
>>>
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Sun, 26 Sep 2010 05:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 26 Sep 2010 05:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Sun, 26 Sep 2010 17:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.small@unb.ca:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 26 Sep 2010 17:24:03 GMT) Full text and rfc822 format available.

Message #40 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Small <aaron.small.99a@gmail.com>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: 597358@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Sun, 26 Sep 2010 13:20:38 -0400
I'm having trouble applying these patches - the first two were able to
apply, but the third patch seems to be applied to source quite
different than what I have. I can't figure out how to apply it even
manually. I'm using the debian linux-source-2.6.32 package, version
2.6.32-23. Is there a better kernel source I could try to apply to?

Thanks,
Aaron

On Sun, Sep 26, 2010 at 1:04 AM, Alex Deucher <alexdeucher@gmail.com> wrote:
> On Mon, Sep 20, 2010 at 7:25 PM, Aaron Small <aaron.small.99a@gmail.com> wrote:
>> Yes, radeon.new_pll=0 fixes the problem.
>>
>
> Can you try this set of kernel patches?
> http://people.freedesktop.org/~agd5f/pll_fixes/
>
>
>> radeon.display_priority=2 wasn't accepted as a command. I saw:
>> radeon: Unknown parameter `display_priority'
>> on bootup, then the kernel driver appeared not to initialize.
>
> sorry, the parameter name is disp_priority
>
> Alex
>
>>
>> Thanks,
>> Aaron
>>
>> On Mon, Sep 20, 2010 at 12:05 AM, Alex Deucher <alexdeucher@gmail.com> wrote:
>>> On Sat, Sep 18, 2010 at 6:11 PM, Aaron Small <a.small@unb.ca> wrote:
>>>> Package: xserver-xorg-video-radeon
>>>> Version: 1:6.13.1-2
>>>> Severity: normal
>>>>
>>>>
>>>> When KMS is enabled, the screen is mostly correct all the time, but the
>>>> brightness for either the entire screen, or one horizontal line
>>>> flickers, maybe two to three times per second. Sometimes the change in
>>>> brightness is just noticeable, and sometimes it is strong enough to look
>>>> like a horizontal line the full width of the display becomes white. The
>>>> very strong flickers seem to only happen with a single line, the
>>>> whole-display flickers are always fairly weak, but still noticeable.
>>>>
>>>> The flickering happens all the time when KMS is enabled. Reboot and
>>>> suspend/resume have no effect. When KMS is disabled, there is no
>>>> problem, I never see flickering like this.
>>>>
>>>
>>> Does booting with radeon.new_pll=0 or radeon.display_priority=2 help?
>>>
>>> Alex
>>>
>>>>
>>>> -- Package-specific info:
>>>> /var/lib/x11/X.roster does not exist.
>>>>
>>>> /var/lib/x11/X.md5sum does not exist.
>>>>
>>>> X server symlink status:
>>>> lrwxrwxrwx 1 root root 13 Dec 28  2006 /etc/X11/X -> /usr/bin/Xorg
>>>> -rwxr-xr-x 1 root root 1725304 Aug 24 11:04 /usr/bin/Xorg
>>>>
>>>> /var/lib/x11/xorg.conf.roster does not exist.
>>>>
>>>> VGA-compatible devices on PCI bus:
>>>> 01:00.0 VGA compatible controller: ATI Technologies Inc M56P [Radeon Mobility X1600]
>>>>
>>>> /var/lib/x11/xorg.conf.md5sum does not exist.
>>>>
>>>> Xorg X server configuration file status:
>>>> -rw-r--r-- 1 root root 3132 Aug  7 22:06 /etc/X11/xorg.conf
>>>>
>>>> Contents of /etc/X11/xorg.conf:
>>>> # /etc/X11/xorg.conf (xorg X Window System server configuration file)
>>>> #
>>>> # This file was generated by dexconf, the Debian X Configuration tool, using
>>>> # values from the debconf database.
>>>> #
>>>> # Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
>>>> # (Type "man /etc/X11/xorg.conf" at the shell prompt.)
>>>> #
>>>> # This file is automatically updated on xserver-xorg package upgrades *only*
>>>> # if it has not been modified since the last upgrade of the xserver-xorg
>>>> # package.
>>>> #
>>>> # If you have edited this file but would like it to be automatically updated
>>>> # again, run the following command:
>>>> #   sudo dpkg-reconfigure -phigh xserver-xorg
>>>>
>>>> Section "Files"
>>>>        FontPath        "/usr/share/fonts/X11/misc"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/misc"
>>>>        FontPath        "/usr/share/fonts/X11/cyrillic"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/cyrillic"
>>>>        FontPath        "/usr/share/fonts/X11/100dpi/:unscaled"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
>>>>        FontPath        "/usr/share/fonts/X11/75dpi/:unscaled"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
>>>>        FontPath        "/usr/share/fonts/X11/Type1"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/Type1"
>>>>        FontPath        "/usr/share/fonts/X11/100dpi"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/100dpi"
>>>>        FontPath        "/usr/share/fonts/X11/75dpi"
>>>>        FontPath        "/usr/X11R6/lib/X11/fonts/75dpi"
>>>>        # path to defoma fonts
>>>>        FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
>>>> EndSection
>>>>
>>>> Section "Module"
>>>>        Load    "i2c"
>>>>        Load    "bitmap"
>>>>        Load    "ddc"
>>>>        Load    "dri"
>>>>        Load    "extmod"
>>>>        Load    "freetype"
>>>>        Load    "glx"
>>>>        Load    "int10"
>>>>        Load    "vbe"
>>>> EndSection
>>>>
>>>> Section "InputDevice"
>>>>        Identifier      "Generic Keyboard"
>>>>        Driver          "kbd"
>>>>        Option          "CoreKeyboard"
>>>>        Option          "XkbRules"      "xorg"
>>>>        Option          "XkbModel"      "pc104"
>>>>        Option          "XkbLayout"     "us"
>>>> EndSection
>>>>
>>>> Section "InputDevice"
>>>>        Identifier      "Configured Mouse"
>>>>        Driver          "mouse"
>>>>        Option          "CorePointer"
>>>>        Option          "Device"                "/dev/input/mice"
>>>>        Option          "Protocol"              "ImPS/2"
>>>>        Option          "Emulate3Buttons"       "true"
>>>> EndSection
>>>>
>>>> Section "InputDevice"
>>>>        Identifier      "Touchpad"
>>>>        Driver          "synaptics"
>>>>        Option          "AlwaysCore"
>>>>        Option          "device"                "/dev/input/mouse0"
>>>>        Option          "Protocol"              "auto-dev"
>>>>        Option          "SHMConfig"             "on"
>>>>        Option          "TapButton2"            "3"
>>>>        Option          "TapButton3"            "2"
>>>> EndSection
>>>>
>>>> Section "Device"
>>>>        Identifier      "Generic Video Card"
>>>>        Driver          "ati"
>>>>        BusID           "PCI:1:0:0"
>>>> EndSection
>>>>
>>>> Section "Monitor"
>>>>        Identifier      "Color LCD"
>>>>        Option          "DPMS"
>>>>        HorizSync       28-72
>>>>        VertRefresh     43-60
>>>> EndSection
>>>>
>>>> Section "Screen"
>>>>        Identifier      "Default Screen"
>>>>        Device          "Generic Video Card"
>>>>        Monitor         "Color LCD"
>>>>        DefaultDepth    24
>>>>        SubSection "Display"
>>>>                Depth           1
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>>        SubSection "Display"
>>>>                Depth           4
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>>        SubSection "Display"
>>>>                Depth           8
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>>        SubSection "Display"
>>>>                Depth           15
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>>        SubSection "Display"
>>>>                Depth           16
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>>        SubSection "Display"
>>>>                Depth           24
>>>>                Modes           "1440x900"
>>>>        EndSubSection
>>>> EndSection
>>>>
>>>> Section "ServerLayout"
>>>>        Identifier      "Default Layout"
>>>>        Screen          "Default Screen"
>>>>        InputDevice     "Generic Keyboard"
>>>>        InputDevice     "Configured Mouse"
>>>>        InputDevice     "Touchpad"
>>>> EndSection
>>>>
>>>> Section "DRI"
>>>>        Mode    0666
>>>> EndSection
>>>>
>>>>
>>>> Kernel version (/proc/version):
>>>> Linux version 2.6.32-5-686 (Debian 2.6.32-21) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-2) ) #1 SMP Wed Aug 25 14:28:12 UTC 2010
>>>>
>>>> Xorg X server log files on system:
>>>> -rw-r--r-- 1 root root 33521 Sep 18 18:04 /var/log/Xorg.0.log
>>>>
>>>> Contents of most recent Xorg X server log file
>>>> /var/log/Xorg.0.log:
>>>>
>>>> X.Org X Server 1.7.7
>>>> Release Date: 2010-05-04
>>>> X Protocol Version 11, Revision 0
>>>> Build Operating System: Linux 2.6.26-2-amd64 i686 Debian
>>>> Current Operating System: Linux ahni 2.6.32-5-686 #1 SMP Wed Aug 25 14:28:12 UTC 2010 i686
>>>> Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686 root=UUID=393bcb6d-dc9f-45bc-84ca-ba3265387679 ro quiet
>>>> Build Date: 24 August 2010  02:59:40PM
>>>> xorg-server 2:1.7.7-4 (Julien Cristau <jcristau@debian.org>)
>>>> Current version of pixman: 0.16.4
>>>>        Before reporting problems, check http://wiki.x.org
>>>>        to make sure that you have the latest version.
>>>> Markers: (--) probed, (**) from config file, (==) default setting,
>>>>        (++) from command line, (!!) notice, (II) informational,
>>>>        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
>>>> (==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep 18 17:50:05 2010
>>>> (==) Using config file: "/etc/X11/xorg.conf"
>>>> (==) Using system config directory "/usr/share/X11/xorg.conf.d"
>>>> (==) ServerLayout "Default Layout"
>>>> (**) |-->Screen "Default Screen" (0)
>>>> (**) |   |-->Monitor "Color LCD"
>>>> (**) |   |-->Device "Generic Video Card"
>>>> (**) |-->Input Device "Generic Keyboard"
>>>> (**) |-->Input Device "Configured Mouse"
>>>> (**) |-->Input Device "Touchpad"
>>>> (==) Automatically adding devices
>>>> (==) Automatically enabling devices
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
>>>>        Entry deleted from font path.
>>>> (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
>>>>        Entry deleted from font path.
>>>> (**) FontPath set to:
>>>>        /usr/share/fonts/X11/misc,
>>>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>>>        /usr/share/fonts/X11/Type1,
>>>>        /usr/share/fonts/X11/100dpi,
>>>>        /usr/share/fonts/X11/75dpi,
>>>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>>>        /usr/share/fonts/X11/misc,
>>>>        /usr/share/fonts/X11/100dpi/:unscaled,
>>>>        /usr/share/fonts/X11/75dpi/:unscaled,
>>>>        /usr/share/fonts/X11/Type1,
>>>>        /usr/share/fonts/X11/100dpi,
>>>>        /usr/share/fonts/X11/75dpi,
>>>>        /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
>>>>        built-ins
>>>> (==) ModulePath set to "/usr/lib/xorg/modules"
>>>> (WW) AllowEmptyInput is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
>>>> (WW) Disabling Generic Keyboard
>>>> (WW) Disabling Configured Mouse
>>>> (II) Loader magic: 0x81eaca0
>>>> (II) Module ABI versions:
>>>>        X.Org ANSI C Emulation: 0.4
>>>>        X.Org Video Driver: 6.0
>>>>        X.Org XInput driver : 7.0
>>>>        X.Org Server Extension : 2.0
>>>> (++) using VT number 7
>>>>
>>>> (--) PCI:*(0:1:0:0) 1002:71c5:106b:0080 ATI Technologies Inc M56P [Radeon Mobility X1600] rev 0, Mem @ 0x80000000/268435456, 0x98300000/65536, I/O @ 0x00003000/256, BIOS @ 0x????????/131072
>>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>>> (II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
>>>> (II) "dbe" will be loaded by default.
>>>> (II) "glx" will be loaded. This was enabled by default and also specified in the config file.
>>>> (II) "record" will be loaded by default.
>>>> (II) "dri" will be loaded. This was enabled by default and also specified in the config file.
>>>> (II) "dri2" will be loaded by default.
>>>> (II) LoadModule: "i2c"
>>>> (II) Module "i2c" already built-in
>>>> (II) LoadModule: "ddc"
>>>> (II) Module "ddc" already built-in
>>>> (II) LoadModule: "dri"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
>>>> (II) Module dri: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (II) Loading extension XFree86-DRI
>>>> (II) LoadModule: "extmod"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
>>>> (II) Module extmod: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        Module class: X.Org Server Extension
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (II) Loading extension SELinux
>>>> (II) Loading extension MIT-SCREEN-SAVER
>>>> (II) Loading extension XFree86-VidModeExtension
>>>> (II) Loading extension XFree86-DGA
>>>> (II) Loading extension DPMS
>>>> (II) Loading extension XVideo
>>>> (II) Loading extension XVideo-MotionCompensation
>>>> (II) Loading extension X-Resource
>>>> (II) LoadModule: "glx"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
>>>> (II) Module glx: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (==) AIGLX enabled
>>>> (II) Loading extension GLX
>>>> (II) LoadModule: "int10"
>>>> (II) Loading /usr/lib/xorg/modules/libint10.so
>>>> (II) Module int10: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        ABI class: X.Org Video Driver, version 6.0
>>>> (II) LoadModule: "vbe"
>>>> (II) Loading /usr/lib/xorg/modules/libvbe.so
>>>> (II) Module vbe: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.1.0
>>>>        ABI class: X.Org Video Driver, version 6.0
>>>> (II) LoadModule: "dbe"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
>>>> (II) Module dbe: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        Module class: X.Org Server Extension
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (II) Loading extension DOUBLE-BUFFER
>>>> (II) LoadModule: "record"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
>>>> (II) Module record: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.13.0
>>>>        Module class: X.Org Server Extension
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (II) Loading extension RECORD
>>>> (II) LoadModule: "dri2"
>>>> (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
>>>> (II) Module dri2: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.1.0
>>>>        ABI class: X.Org Server Extension, version 2.0
>>>> (II) Loading extension DRI2
>>>> (II) LoadModule: "ati"
>>>> (II) Loading /usr/lib/xorg/modules/drivers/ati_drv.so
>>>> (II) Module ati: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 6.13.1
>>>>        Module class: X.Org Video Driver
>>>>        ABI class: X.Org Video Driver, version 6.0
>>>> (II) LoadModule: "radeon"
>>>> (II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
>>>> (II) Module radeon: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 6.13.1
>>>>        Module class: X.Org Video Driver
>>>>        ABI class: X.Org Video Driver, version 6.0
>>>> (II) LoadModule: "synaptics"
>>>> (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
>>>> (II) Module synaptics: vendor="X.Org Foundation"
>>>>        compiled for 1.7.6.901, module version = 1.2.2
>>>>        Module class: X.Org XInput Driver
>>>>        ABI class: X.Org XInput driver, version 7.0
>>>> (II) RADEON: Driver for ATI Radeon chipsets:
>>>>        ATI Radeon Mobility X600 (M24) 3150 (PCIE), ATI FireMV 2400 (PCI),
>>>>        ATI Radeon Mobility X300 (M24) 3152 (PCIE),
>>>>        ATI FireGL M24 GL 3154 (PCIE), ATI FireMV 2400 3155 (PCI),
>>>>        ATI Radeon X600 (RV380) 3E50 (PCIE),
>>>>        ATI FireGL V3200 (RV380) 3E54 (PCIE), ATI Radeon IGP320 (A3) 4136,
>>>>        ATI Radeon IGP330/340/350 (A4) 4137, ATI Radeon 9500 AD (AGP),
>>>>        ATI Radeon 9500 AE (AGP), ATI Radeon 9600TX AF (AGP),
>>>>        ATI FireGL Z1 AG (AGP), ATI Radeon 9800SE AH (AGP),
>>>>        ATI Radeon 9800 AI (AGP), ATI Radeon 9800 AJ (AGP),
>>>>        ATI FireGL X2 AK (AGP), ATI Radeon 9600 AP (AGP),
>>>>        ATI Radeon 9600SE AQ (AGP), ATI Radeon 9600XT AR (AGP),
>>>>        ATI Radeon 9600 AS (AGP), ATI FireGL T2 AT (AGP), ATI Radeon 9650,
>>>>        ATI FireGL RV360 AV (AGP), ATI Radeon 7000 IGP (A4+) 4237,
>>>>        ATI Radeon 8500 AIW BB (AGP), ATI Radeon 8500 AIW BC (AGP),
>>>>        ATI Radeon IGP320M (U1) 4336, ATI Radeon IGP330M/340M/350M (U2) 4337,
>>>>        ATI Radeon Mobility 7000 IGP 4437, ATI Radeon 9000/PRO If (AGP/PCI),
>>>>        ATI Radeon 9000 Ig (AGP/PCI), ATI Radeon X800 (R420) JH (AGP),
>>>>        ATI Radeon X800PRO (R420) JI (AGP),
>>>>        ATI Radeon X800SE (R420) JJ (AGP), ATI Radeon X800 (R420) JK (AGP),
>>>>        ATI Radeon X800 (R420) JL (AGP), ATI FireGL X3 (R420) JM (AGP),
>>>>        ATI Radeon Mobility 9800 (M18) JN (AGP),
>>>>        ATI Radeon X800 SE (R420) (AGP), ATI Radeon X800XT (R420) JP (AGP),
>>>>        ATI Radeon X800 VE (R420) JT (AGP), ATI Radeon X850 (R480) (AGP),
>>>>        ATI Radeon X850 XT (R480) (AGP), ATI Radeon X850 SE (R480) (AGP),
>>>>        ATI Radeon X850 PRO (R480) (AGP), ATI Radeon X850 XT PE (R480) (AGP),
>>>>        ATI Radeon Mobility M7 LW (AGP),
>>>>        ATI Mobility FireGL 7800 M7 LX (AGP),
>>>>        ATI Radeon Mobility M6 LY (AGP), ATI Radeon Mobility M6 LZ (AGP),
>>>>        ATI FireGL Mobility 9000 (M9) Ld (AGP),
>>>>        ATI Radeon Mobility 9000 (M9) Lf (AGP),
>>>>        ATI Radeon Mobility 9000 (M9) Lg (AGP), ATI Radeon 9700 Pro ND (AGP),
>>>>        ATI Radeon 9700/9500Pro NE (AGP), ATI Radeon 9600TX NF (AGP),
>>>>        ATI FireGL X1 NG (AGP), ATI Radeon 9800PRO NH (AGP),
>>>>        ATI Radeon 9800 NI (AGP), ATI FireGL X2 NK (AGP),
>>>>        ATI Radeon 9800XT NJ (AGP),
>>>>        ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP),
>>>>        ATI Radeon Mobility 9600 (M10) NQ (AGP),
>>>>        ATI Radeon Mobility 9600 (M11) NR (AGP),
>>>>        ATI Radeon Mobility 9600 (M10) NS (AGP),
>>>>        ATI FireGL Mobility T2 (M10) NT (AGP),
>>>>        ATI FireGL Mobility T2e (M11) NV (AGP), ATI Radeon QD (AGP),
>>>>        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
>>>>        ATI FireGL 8700/8800 QH (AGP), ATI Radeon 8500 QL (AGP),
>>>>        ATI Radeon 9100 QM (AGP), ATI Radeon 7500 QW (AGP/PCI),
>>>>        ATI Radeon 7500 QX (AGP/PCI), ATI Radeon VE/7000 QY (AGP/PCI),
>>>>        ATI Radeon VE/7000 QZ (AGP/PCI), ATI ES1000 515E (PCI),
>>>>        ATI Radeon Mobility X300 (M22) 5460 (PCIE),
>>>>        ATI Radeon Mobility X600 SE (M24C) 5462 (PCIE),
>>>>        ATI FireGL M22 GL 5464 (PCIE), ATI Radeon X800 (R423) UH (PCIE),
>>>>        ATI Radeon X800PRO (R423) UI (PCIE),
>>>>        ATI Radeon X800LE (R423) UJ (PCIE),
>>>>        ATI Radeon X800SE (R423) UK (PCIE),
>>>>        ATI Radeon X800 XTP (R430) (PCIE), ATI Radeon X800 XL (R430) (PCIE),
>>>>        ATI Radeon X800 SE (R430) (PCIE), ATI Radeon X800 (R430) (PCIE),
>>>>        ATI FireGL V7100 (R423) (PCIE), ATI FireGL V5100 (R423) UQ (PCIE),
>>>>        ATI FireGL unknown (R423) UR (PCIE),
>>>>        ATI FireGL unknown (R423) UT (PCIE),
>>>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>>>        ATI Mobility FireGL V5000 (M26) (PCIE),
>>>>        ATI Mobility Radeon X700 XL (M26) (PCIE),
>>>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>>>        ATI Mobility Radeon X700 (M26) (PCIE),
>>>>        ATI Radeon X550XTX 5657 (PCIE), ATI Radeon 9100 IGP (A5) 5834,
>>>>        ATI Radeon Mobility 9100 IGP (U3) 5835,
>>>>        ATI Radeon XPRESS 200 5954 (PCIE),
>>>>        ATI Radeon XPRESS 200M 5955 (PCIE), ATI Radeon 9250 5960 (AGP),
>>>>        ATI Radeon 9200 5961 (AGP), ATI Radeon 9200 5962 (AGP),
>>>>        ATI Radeon 9200SE 5964 (AGP), ATI FireMV 2200 (PCI),
>>>>        ATI ES1000 5969 (PCI), ATI Radeon XPRESS 200 5974 (PCIE),
>>>>        ATI Radeon XPRESS 200M 5975 (PCIE),
>>>>        ATI Radeon XPRESS 200 5A41 (PCIE),
>>>>        ATI Radeon XPRESS 200M 5A42 (PCIE),
>>>>        ATI Radeon XPRESS 200 5A61 (PCIE),
>>>>        ATI Radeon XPRESS 200M 5A62 (PCIE),
>>>>        ATI Radeon X300 (RV370) 5B60 (PCIE),
>>>>        ATI Radeon X600 (RV370) 5B62 (PCIE),
>>>>        ATI Radeon X550 (RV370) 5B63 (PCIE),
>>>>        ATI FireGL V3100 (RV370) 5B64 (PCIE),
>>>>        ATI FireMV 2200 PCIE (RV370) 5B65 (PCIE),
>>>>        ATI Radeon Mobility 9200 (M9+) 5C61 (AGP),
>>>>        ATI Radeon Mobility 9200 (M9+) 5C63 (AGP),
>>>>        ATI Mobility Radeon X800 XT (M28) (PCIE),
>>>>        ATI Mobility FireGL V5100 (M28) (PCIE),
>>>>        ATI Mobility Radeon X800 (M28) (PCIE), ATI Radeon X850 5D4C (PCIE),
>>>>        ATI Radeon X850 XT PE (R480) (PCIE),
>>>>        ATI Radeon X850 SE (R480) (PCIE), ATI Radeon X850 PRO (R480) (PCIE),
>>>>        ATI unknown Radeon / FireGL (R480) 5D50 (PCIE),
>>>>        ATI Radeon X850 XT (R480) (PCIE),
>>>>        ATI Radeon X800XT (R423) 5D57 (PCIE),
>>>>        ATI FireGL V5000 (RV410) (PCIE), ATI Radeon X700 XT (RV410) (PCIE),
>>>>        ATI Radeon X700 PRO (RV410) (PCIE),
>>>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X700 (RV410) (PCIE),
>>>>        ATI Radeon X700 SE (RV410) (PCIE), ATI Radeon X1800,
>>>>        ATI Mobility Radeon X1800 XT, ATI Mobility Radeon X1800,
>>>>        ATI Mobility FireGL V7200, ATI FireGL V7200, ATI FireGL V5300,
>>>>        ATI Mobility FireGL V7100, ATI Radeon X1800, ATI Radeon X1800,
>>>>        ATI Radeon X1800, ATI Radeon X1800, ATI Radeon X1800,
>>>>        ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
>>>>        ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
>>>>        ATI Mobility Radeon X1400, ATI Radeon X1300/X1550,
>>>>        ATI Radeon X1550 64-bit, ATI Mobility Radeon X1300,
>>>>        ATI Mobility Radeon X1300, ATI Mobility Radeon X1300,
>>>>        ATI Mobility Radeon X1300, ATI Radeon X1300, ATI Radeon X1300,
>>>>        ATI RV505, ATI RV505, ATI FireGL V3300, ATI FireGL V3350,
>>>>        ATI Radeon X1300, ATI Radeon X1550 64-bit, ATI Radeon X1300/X1550,
>>>>        ATI Radeon X1600, ATI Radeon X1300/X1550, ATI Mobility Radeon X1450,
>>>>        ATI Radeon X1300/X1550, ATI Mobility Radeon X2300,
>>>>        ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
>>>>        ATI Mobility Radeon X1350, ATI Mobility Radeon X1450,
>>>>        ATI Radeon X1300, ATI Radeon X1550, ATI Mobility Radeon X1350,
>>>>        ATI FireMV 2250, ATI Radeon X1550 64-bit, ATI Radeon X1600,
>>>>        ATI Radeon X1650, ATI Radeon X1600, ATI Radeon X1600,
>>>>        ATI Mobility FireGL V5200, ATI Mobility Radeon X1600,
>>>>        ATI Radeon X1650, ATI Radeon X1650, ATI Radeon X1600,
>>>>        ATI Radeon X1300 XT/X1600 Pro, ATI FireGL V3400,
>>>>        ATI Mobility FireGL V5250, ATI Mobility Radeon X1700,
>>>>        ATI Mobility Radeon X1700 XT, ATI FireGL V5200,
>>>>        ATI Mobility Radeon X1700, ATI Radeon X2300HD,
>>>>        ATI Mobility Radeon HD 2300, ATI Mobility Radeon HD 2300,
>>>>        ATI Radeon X1950, ATI Radeon X1900, ATI Radeon X1950,
>>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>>        ATI Radeon X1900, ATI Radeon X1900, ATI Radeon X1900,
>>>>        ATI AMD Stream Processor, ATI Radeon X1900, ATI Radeon X1950,
>>>>        ATI RV560, ATI RV560, ATI Mobility Radeon X1900, ATI RV560,
>>>>        ATI Radeon X1950 GT, ATI RV570, ATI RV570, ATI FireGL V7400,
>>>>        ATI RV560, ATI Radeon X1650, ATI Radeon X1650, ATI RV560,
>>>>        ATI Radeon 9100 PRO IGP 7834, ATI Radeon Mobility 9200 IGP 7835,
>>>>        ATI Radeon X1200, ATI Radeon X1200, ATI Radeon X1200,
>>>>        ATI Radeon X1200, ATI Radeon X1200, ATI RS740, ATI RS740M, ATI RS740,
>>>>        ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 XT,
>>>>        ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro, ATI Radeon HD 2900 GT,
>>>>        ATI FireGL V8650, ATI FireGL V8600, ATI FireGL V7600,
>>>>        ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
>>>>        ATI Radeon 4800 Series, ATI Radeon HD 4850 x2,
>>>>        ATI FirePro V8750 (FireGL), ATI FirePro V7760 (FireGL),
>>>>        ATI Mobility RADEON HD 4850, ATI Mobility RADEON HD 4850 X2,
>>>>        ATI Radeon 4800 Series, ATI FirePro RV770, AMD FireStream 9270,
>>>>        AMD FireStream 9250, ATI FirePro V8700 (FireGL),
>>>>        ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
>>>>        ATI Mobility RADEON HD 4870, ATI Radeon 4800 Series,
>>>>        ATI Radeon 4800 Series, ATI FirePro M7750, ATI M98, ATI M98, ATI M98,
>>>>        ATI Mobility Radeon HD 4650, ATI Radeon RV730 (AGP),
>>>>        ATI Mobility Radeon HD 4670, ATI FirePro M5750,
>>>>        ATI Mobility Radeon HD 4670, ATI Radeon RV730 (AGP),
>>>>        ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
>>>>        ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
>>>>        ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
>>>>        ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
>>>>        ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
>>>>        ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI Radeon HD 4770,
>>>>        ATI FirePro M5750, ATI RV610, ATI Radeon HD 2400 XT,
>>>>        ATI Radeon HD 2400 Pro, ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000,
>>>>        ATI RV610, ATI Radeon HD 2350, ATI Mobility Radeon HD 2400 XT,
>>>>        ATI Mobility Radeon HD 2400, ATI RADEON E2400, ATI RV610,
>>>>        ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
>>>>        ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
>>>>        ATI Mobility Radeon HD 3850 X2, ATI RV670,
>>>>        ATI Mobility Radeon HD 3870, ATI Mobility Radeon HD 3870 X2,
>>>>        ATI Radeon HD3870 X2, ATI FireGL V7700, ATI Radeon HD3850,
>>>>        ATI Radeon HD3690, AMD Firestream 9170, ATI Radeon HD 4550,
>>>>        ATI Radeon RV710, ATI Radeon RV710, ATI Radeon RV710,
>>>>        ATI Radeon HD 4350, ATI Mobility Radeon 4300 Series,
>>>>        ATI Mobility Radeon 4500 Series, ATI Mobility Radeon 4500 Series,
>>>>        ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
>>>>        ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
>>>>        ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
>>>>        ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
>>>>        ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
>>>>        ATI FireGL V3600, ATI Radeon HD 2600 LE,
>>>>        ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
>>>>        ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
>>>>        ATI Radeon HD 3450, ATI Radeon HD 3450, ATI Radeon HD 3430,
>>>>        ATI Radeon HD 3450, ATI FirePro V3700, ATI FireMV 2450,
>>>>        ATI FireMV 2260, ATI FireMV 2260, ATI Radeon HD 3600 Series,
>>>>        ATI Radeon HD 3650 AGP, ATI Radeon HD 3600 PRO,
>>>>        ATI Radeon HD 3600 XT, ATI Radeon HD 3600 PRO,
>>>>        ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
>>>>        ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
>>>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>>>        ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
>>>>        ATI Radeon HD 3300 Graphics, ATI Radeon HD 3200 Graphics,
>>>>        ATI Radeon 3000 Graphics, ATI Radeon HD 4200, ATI Radeon 4100,
>>>>        ATI Mobility Radeon HD 4200, ATI Mobility Radeon 4100,
>>>>        ATI Radeon HD 4290, ATI Radeon HD 4290, CYPRESS,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5800 Series,
>>>>        ATI Radeon HD 5800 Series, ATI Radeon HD 5800 Series,
>>>>        ATI Radeon HD 5900 Series, ATI Radeon HD 5900 Series,
>>>>        ATI Mobility Radeon HD 5800 Series,
>>>>        ATI Mobility Radeon HD 5800 Series,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI Mobility Radeon HD 5800 Series, ATI Radeon HD 5700 Series,
>>>>        ATI Radeon HD 5700 Series, ATI Radeon HD 5700 Series,
>>>>        ATI Mobility Radeon HD 5000 Series,
>>>>        ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI FirePro (FireGL) Graphics Adapter, ATI Radeon HD 5670,
>>>>        ATI Radeon HD 5570, ATI Radeon HD 5500 Series, REDWOOD,
>>>>        ATI Mobility Radeon HD 5000 Series,
>>>>        ATI Mobility Radeon HD 5000 Series, CEDAR, CEDAR, CEDAR,
>>>>        ATI FirePro (FireGL) Graphics Adapter,
>>>>        ATI FirePro (FireGL) Graphics Adapter, CEDAR, ATI Radeon HD 5450,
>>>>        CEDAR
>>>> (II) Primary Device is: PCI 01@00:00:0
>>>> (II) [KMS] Kernel modesetting enabled.
>>>> (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
>>>> (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
>>>> (==) RADEON(0): Default visual is TrueColor
>>>> (==) RADEON(0): RGB weight 888
>>>> (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
>>>> (--) RADEON(0): Chipset: "ATI Mobility Radeon X1600" (ChipID = 0x71c5)
>>>> (II) RADEON(0): PCIE card detected
>>>> (II) RADEON(0): KMS Color Tiling: enabled
>>>> drmOpenDevice: node name is /dev/dri/card0
>>>> drmOpenDevice: open result is 9, (OK)
>>>> drmOpenByBusid: Searching for BusID pci:0000:01:00.0
>>>> drmOpenDevice: node name is /dev/dri/card0
>>>> drmOpenDevice: open result is 9, (OK)
>>>> drmOpenByBusid: drmOpenMinor returns 9
>>>> drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
>>>> (II) RADEON(0): Output LVDS using monitor section Color LCD
>>>> (II) RADEON(0): Output S-video has no monitor section
>>>> (II) RADEON(0): Output DVI-0 has no monitor section
>>>> (II) RADEON(0): EDID for output LVDS
>>>> (II) RADEON(0): Manufacturer: APP  Model: 9c56  Serial#: 0
>>>> (II) RADEON(0): Year: 2006  Week: 4
>>>> (II) RADEON(0): EDID Version: 1.3
>>>> (II) RADEON(0): Digital Display Input
>>>> (II) RADEON(0): Max Image Size [cm]: horiz.: 34  vert.: 22
>>>> (II) RADEON(0): Gamma: 2.20
>>>> (II) RADEON(0): No DPMS capabilities specified
>>>> (II) RADEON(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4
>>>> (II) RADEON(0): First detailed timing is preferred mode
>>>> (II) RADEON(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
>>>> (II) RADEON(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
>>>> (II) RADEON(0): Manufacturer's mask: 0
>>>> (II) RADEON(0): Supported detailed timing:
>>>> (II) RADEON(0): clock: 96.3 MHz   Image Size:  331 x 207 mm
>>>> (II) RADEON(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1760 h_border: 0
>>>> (II) RADEON(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
>>>> (II) RADEON(0): Unknown vendor-specific block 1
>>>> (II) RADEON(0):  LTN154X7
>>>> (II) RADEON(0): Monitor name: Color LCD
>>>> (II) RADEON(0): EDID (in hex):
>>>> (II) RADEON(0):         00ffffffffffff000610569c00000000
>>>> (II) RADEON(0):         04100103802216780a87f594574f8c27
>>>> (II) RADEON(0):         27505400000001010101010101010101
>>>> (II) RADEON(0):         0101010101019f25a04051840c304020
>>>> (II) RADEON(0):         33004bcf100000190000000100061030
>>>> (II) RADEON(0):         00000000000000000a20000000fe004c
>>>> (II) RADEON(0):         544e31353458370000000a20000000fc
>>>> (II) RADEON(0):         00436f6c6f72204c43440a20202000d5
>>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (II) RADEON(0): Printing probed modes for output LVDS
>>>> (II) RADEON(0): Modeline "1440x900"x60.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (II) RADEON(0): Modeline "1280x854"x59.9   89.25  1280 1352 1480 1680  854 857 867 887 -hsync +vsync (53.1 kHz)
>>>> (II) RADEON(0): Modeline "1280x800"x59.8   83.50  1280 1352 1480 1680  800 803 809 831 -hsync +vsync (49.7 kHz)
>>>> (II) RADEON(0): Modeline "1280x720"x59.9   74.50  1280 1344 1472 1664  720 723 728 748 -hsync +vsync (44.8 kHz)
>>>> (II) RADEON(0): Modeline "1152x768"x59.8   71.75  1152 1216 1328 1504  768 771 781 798 -hsync +vsync (47.7 kHz)
>>>> (II) RADEON(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
>>>> (II) RADEON(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
>>>> (II) RADEON(0): Modeline "848x480"x59.7   31.50  848 872 952 1056  480 483 493 500 -hsync +vsync (29.8 kHz)
>>>> (II) RADEON(0): Modeline "720x480"x59.7   26.75  720 744 808 896  480 483 493 500 -hsync +vsync (29.9 kHz)
>>>> (II) RADEON(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
>>>> (II) RADEON(0): EDID for output S-video
>>>> (II) RADEON(0): EDID for output DVI-0
>>>> (II) RADEON(0): Output LVDS connected
>>>> (II) RADEON(0): Output S-video disconnected
>>>> (II) RADEON(0): Output DVI-0 disconnected
>>>> (II) RADEON(0): Using user preference for initial modes
>>>> (II) RADEON(0): Output LVDS using initial mode 1440x900
>>>> (II) RADEON(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
>>>> (II) RADEON(0): mem size init: gart size :1feff000 vram size: s:10000000 visible:fab2000
>>>> (II) RADEON(0): EXA: Driver will allow EXA pixmaps in VRAM
>>>> (**) RADEON(0): Display dimensions: (340, 220) mm
>>>> (**) RADEON(0): DPI set to (107, 103)
>>>> (II) Loading sub module "fb"
>>>> (II) LoadModule: "fb"
>>>> (II) Loading /usr/lib/xorg/modules/libfb.so
>>>> (II) Module fb: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.0.0
>>>>        ABI class: X.Org ANSI C Emulation, version 0.4
>>>> (II) Loading sub module "ramdac"
>>>> (II) LoadModule: "ramdac"
>>>> (II) Module "ramdac" already built-in
>>>> (II) RADEON(0): GPU accel disabled or not working, using shadowfb for KMS
>>>> (II) Loading sub module "shadow"
>>>> (II) LoadModule: "shadow"
>>>> (II) Loading /usr/lib/xorg/modules/libshadow.so
>>>> (II) Module shadow: vendor="X.Org Foundation"
>>>>        compiled for 1.7.7, module version = 1.1.0
>>>>        ABI class: X.Org ANSI C Emulation, version 0.4
>>>> (--) Depth 24 pixmap format is 32 bpp
>>>> (II) RADEON(0): Front buffer size: 5244K
>>>> (II) RADEON(0): VRAM usage limit set to 226321K
>>>> (==) RADEON(0): Backing store disabled
>>>> (WW) RADEON(0): Direct rendering disabled
>>>> (II) RADEON(0): Acceleration disabled
>>>> (**) RADEON(0): DPMS enabled
>>>> (==) RADEON(0): Silken mouse enabled
>>>> (II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
>>>> (--) RandR disabled
>>>> (II) Initializing built-in extension Generic Event Extension
>>>> (II) Initializing built-in extension SHAPE
>>>> (II) Initializing built-in extension MIT-SHM
>>>> (II) Initializing built-in extension XInputExtension
>>>> (II) Initializing built-in extension XTEST
>>>> (II) Initializing built-in extension BIG-REQUESTS
>>>> (II) Initializing built-in extension SYNC
>>>> (II) Initializing built-in extension XKEYBOARD
>>>> (II) Initializing built-in extension XC-MISC
>>>> (II) Initializing built-in extension XINERAMA
>>>> (II) Initializing built-in extension XFIXES
>>>> (II) Initializing built-in extension RENDER
>>>> (II) Initializing built-in extension RANDR
>>>> (II) Initializing built-in extension COMPOSITE
>>>> (II) Initializing built-in extension DAMAGE
>>>> SELinux: Disabled on system, not enabling in X server
>>>> (II) AIGLX: Screen 0 is not DRI2 capable
>>>> (II) AIGLX: Screen 0 is not DRI capable
>>>> (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
>>>> (II) GLX: Initialized DRISWRAST GL provider for screen 0
>>>> (II) RADEON(0): Setting screen physical size to 380 x 238
>>>> (II) Synaptics touchpad driver version 1.2.2
>>>> (--) Touchpad auto-dev sets device to /dev/input/event5
>>>> (**) Option "Device" "/dev/input/event5"
>>>> (II) Touchpad: x-axis range 0 - 1215
>>>> (II) Touchpad: y-axis range 0 - 575
>>>> (II) Touchpad: pressure range 0 - 300
>>>> (II) Touchpad: finger width range 0 - 0
>>>> (II) Touchpad: buttons: left double triple
>>>> (**) Option "SHMConfig" "on"
>>>> (**) Option "TapButton2" "3"
>>>> (**) Option "TapButton3" "2"
>>>> (--) Touchpad: touchpad found
>>>> (**) Option "AlwaysCore"
>>>> (**) Touchpad: always reports core events
>>>> (II) XINPUT: Adding extended input device "Touchpad" (type: TOUCHPAD)
>>>> (**) Touchpad: (accel) keeping acceleration scheme 1
>>>> (**) Touchpad: (accel) acceleration profile 0
>>>> (**) Touchpad: (accel) acceleration factor: 2.000
>>>> (**) Touchpad: (accel) acceleration threshold: 4
>>>> (--) Touchpad: touchpad found
>>>> (II) config/udev: Adding input device Power Button (/dev/input/event3)
>>>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>>>> (II) LoadModule: "evdev"
>>>> (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
>>>> (II) Module evdev: vendor="X.Org Foundation"
>>>>        compiled for 1.7.6.901, module version = 2.3.2
>>>>        Module class: X.Org XInput Driver
>>>>        ABI class: X.Org XInput driver, version 7.0
>>>> (**) Power Button: always reports core events
>>>> (**) Power Button: Device: "/dev/input/event3"
>>>> (II) Power Button: Found keys
>>>> (II) Power Button: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) config/udev: Adding input device Power Button (/dev/input/event1)
>>>> (**) Power Button: Applying InputClass "evdev keyboard catchall"
>>>> (**) Power Button: always reports core events
>>>> (**) Power Button: Device: "/dev/input/event1"
>>>> (II) Power Button: Found keys
>>>> (II) Power Button: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) config/udev: Adding input device Lid Switch (/dev/input/event0)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
>>>> (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
>>>> (**) Sleep Button: always reports core events
>>>> (**) Sleep Button: Device: "/dev/input/event2"
>>>> (II) Sleep Button: Found keys
>>>> (II) Sleep Button: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) config/udev: Adding input device HDA Intel HP Out at Ext Rear Jack (/dev/input/event10)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device HDA Intel Line In at Ext Rear Jack (/dev/input/event9)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event6)
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event6"
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) config/udev: Adding input device appletouch (/dev/input/event5)
>>>> (**) appletouch: Applying InputClass "evdev touchpad catchall"
>>>> (**) appletouch: Applying InputClass "touchpad catchall"
>>>> (II) Synaptics touchpad driver version 1.2.2
>>>> (**) Option "Device" "/dev/input/event5"
>>>> (--) appletouch: no supported touchpad found
>>>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>>>> (EE) PreInit failed for input device "appletouch"
>>>> (II) UnloadModule: "synaptics"
>>>> (II) config/udev: Adding input device appletouch (/dev/input/mouse0)
>>>> (**) appletouch: Applying InputClass "touchpad catchall"
>>>> (II) Synaptics touchpad driver version 1.2.2
>>>> appletouch no synaptics event device found
>>>> (**) Option "Device" "/dev/input/mouse0"
>>>> Query no Synaptics: 6003C8
>>>> (--) appletouch: no supported touchpad found
>>>> (EE) appletouch Unable to query/initialize Synaptics hardware.
>>>> (EE) PreInit failed for input device "appletouch"
>>>> (II) UnloadModule: "synaptics"
>>>> (II) config/udev: Adding input device Apple Computer Apple Internal Keyboard / Trackpad (/dev/input/event7)
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Applying InputClass "evdev keyboard catchall"
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: always reports core events
>>>> (**) Apple Computer Apple Internal Keyboard / Trackpad: Device: "/dev/input/event7"
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Found keys
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "Apple Computer Apple Internal Keyboard / Trackpad" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) config/udev: Adding input device applesmc (/dev/input/event8)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device applesmc (/dev/input/js0)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device PC Speaker (/dev/input/event4)
>>>> (II) No input driver/identifier specified (ignoring)
>>>> (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event11)
>>>> (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
>>>> (**) ACPI Virtual Keyboard Device: always reports core events
>>>> (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event11"
>>>> (II) ACPI Virtual Keyboard Device: Found keys
>>>> (II) ACPI Virtual Keyboard Device: Configuring as keyboard
>>>> (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
>>>> (**) Option "xkb_rules" "evdev"
>>>> (**) Option "xkb_model" "pc104"
>>>> (**) Option "xkb_layout" "us"
>>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (--) Touchpad: touchpad found
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Sleep Button: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (--) Touchpad: touchpad found
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Sleep Button: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (--) Touchpad: touchpad found
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Sleep Button: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>>> (II) Open ACPI successful (/var/run/acpid.socket)
>>>> (II) RADEON(0): EDID vendor "APP", prod id 40022
>>>> (II) RADEON(0): Printing DDC gathered Modelines:
>>>> (II) RADEON(0): Modeline "1440x900"x0.0   96.31  1440 1504 1536 1760  900 903 906 912 -hsync -vsync (54.7 kHz)
>>>> (--) Touchpad: touchpad found
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Power Button: Device reopened after 1 attempts.
>>>> (II) Sleep Button: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) Apple Computer Apple Internal Keyboard / Trackpad: Device reopened after 1 attempts.
>>>> (II) ACPI Virtual Keyboard Device: Device reopened after 1 attempts.
>>>>
>>>> udev information:
>>>> P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>>>> N: input/event3
>>>> S: char/13:67
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input3/event3
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event3
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=67
>>>> E: DEVLINKS=/dev/char/13:67
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>>
>>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>>>> N: input/event1
>>>> S: char/13:65
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event1
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=65
>>>> E: DEVLINKS=/dev/char/13:65
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>>
>>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>>>> N: input/event0
>>>> S: char/13:64
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input0/event0
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event0
>>>> E: ID_INPUT=1
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>> E: MAJOR=13
>>>> E: MINOR=64
>>>> E: DEVLINKS=/dev/char/13:64
>>>>
>>>> P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>>>> N: input/event2
>>>> S: char/13:66
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input2/event2
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event2
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=66
>>>> E: DEVLINKS=/dev/char/13:66
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>>
>>>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>>>> N: input/event10
>>>> S: char/13:74
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input10/event10
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event10
>>>> E: ID_INPUT=1
>>>> E: ID_PATH=pci-0000:00:1b.0
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>> E: MAJOR=13
>>>> E: MINOR=74
>>>> E: DEVLINKS=/dev/char/13:74
>>>> E: TAGS=:udev-acl:
>>>>
>>>> P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>>>> N: input/event9
>>>> S: char/13:73
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input9/event9
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event9
>>>> E: ID_INPUT=1
>>>> E: ID_PATH=pci-0000:00:1b.0
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>> E: MAJOR=13
>>>> E: MINOR=73
>>>> E: DEVLINKS=/dev/char/13:73
>>>> E: TAGS=:udev-acl:
>>>>
>>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>>>> N: input/event6
>>>> S: char/13:70
>>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd
>>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input6/event6
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event6
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: ID_INPUT_KEYBOARD=1
>>>> E: ID_VENDOR=Apple_Computer
>>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>>> E: ID_VENDOR_ID=05ac
>>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>>> E: ID_MODEL_ID=0218
>>>> E: ID_REVISION=0060
>>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>>> E: ID_TYPE=hid
>>>> E: ID_BUS=usb
>>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>>> E: ID_USB_INTERFACE_NUM=00
>>>> E: ID_USB_DRIVER=usbhid
>>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=70
>>>> E: DEVLINKS=/dev/char/13:70 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-kbd /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-kbd
>>>>
>>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>>>> N: input/event5
>>>> S: char/13:69
>>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse
>>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/event5
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event5
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_TOUCHPAD=1
>>>> E: ID_VENDOR=Apple_Computer
>>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>>> E: ID_VENDOR_ID=05ac
>>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>>> E: ID_MODEL_ID=0218
>>>> E: ID_REVISION=0060
>>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>>> E: ID_TYPE=hid
>>>> E: ID_BUS=usb
>>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>>> E: ID_USB_INTERFACE_NUM=01
>>>> E: ID_USB_DRIVER=appletouch
>>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>>>> E: MAJOR=13
>>>> E: MINOR=69
>>>> E: DEVLINKS=/dev/char/13:69 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-event-mouse
>>>>
>>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>>>> N: input/mouse0
>>>> S: char/13:32
>>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse
>>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input5/mouse0
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/mouse0
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_TOUCHPAD=1
>>>> E: ID_VENDOR=Apple_Computer
>>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>>> E: ID_VENDOR_ID=05ac
>>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>>> E: ID_MODEL_ID=0218
>>>> E: ID_REVISION=0060
>>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>>> E: ID_TYPE=hid
>>>> E: ID_BUS=usb
>>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>>> E: ID_USB_INTERFACE_NUM=01
>>>> E: ID_USB_DRIVER=appletouch
>>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.1
>>>> E: MAJOR=13
>>>> E: MINOR=32
>>>> E: DEVLINKS=/dev/char/13:32 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.1-mouse
>>>>
>>>> P: /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>>>> N: input/event7
>>>> S: char/13:71
>>>> S: input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02
>>>> S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.2/input/input7/event7
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event7
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: ID_VENDOR=Apple_Computer
>>>> E: ID_VENDOR_ENC=Apple\x20Computer
>>>> E: ID_VENDOR_ID=05ac
>>>> E: ID_MODEL=Apple_Internal_Keyboard___Trackpad
>>>> E: ID_MODEL_ENC=Apple\x20Internal\x20Keyboard\x20\x2f\x20Trackpad
>>>> E: ID_MODEL_ID=0218
>>>> E: ID_REVISION=0060
>>>> E: ID_SERIAL=Apple_Computer_Apple_Internal_Keyboard___Trackpad
>>>> E: ID_TYPE=hid
>>>> E: ID_BUS=usb
>>>> E: ID_USB_INTERFACES=:030101:030102:030000:
>>>> E: ID_USB_INTERFACE_NUM=02
>>>> E: ID_USB_DRIVER=usbhid
>>>> E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.2
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=71
>>>> E: DEVLINKS=/dev/char/13:71 /dev/input/by-id/usb-Apple_Computer_Apple_Internal_Keyboard___Trackpad-event-if02 /dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.2-event
>>>>
>>>> P: /devices/platform/applesmc.768/input/input8/event8
>>>> N: input/event8
>>>> S: char/13:72
>>>> S: input/by-path/platform-applesmc.768-event
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/event8
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event8
>>>> E: ID_INPUT=1
>>>> E: ID_PATH=platform-applesmc.768
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>> E: MAJOR=13
>>>> E: MINOR=72
>>>> E: DEVLINKS=/dev/char/13:72 /dev/input/by-path/platform-applesmc.768-event
>>>>
>>>> P: /devices/platform/applesmc.768/input/input8/js0
>>>> N: input/js0
>>>> S: char/13:0
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/platform/applesmc.768/input/input8/js0
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/js0
>>>> E: ID_INPUT=1
>>>> E: ID_PATH=platform-applesmc.768
>>>> E: MAJOR=13
>>>> E: MINOR=0
>>>> E: DEVLINKS=/dev/char/13:0
>>>>
>>>> P: /devices/platform/pcspkr/input/input4/event4
>>>> N: input/event4
>>>> S: char/13:68
>>>> S: input/by-path/platform-pcspkr-event-spkr
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/platform/pcspkr/input/input4/event4
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event4
>>>> E: ID_INPUT=1
>>>> E: ID_SERIAL=noserial
>>>> E: ID_PATH=platform-pcspkr
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>> E: MAJOR=13
>>>> E: MINOR=68
>>>> E: DEVLINKS=/dev/char/13:68 /dev/input/by-path/platform-pcspkr-event-spkr
>>>>
>>>> P: /devices/virtual/input/input11/event11
>>>> N: input/event11
>>>> S: char/13:75
>>>> E: UDEV_LOG=3
>>>> E: DEVPATH=/devices/virtual/input/input11/event11
>>>> E: SUBSYSTEM=input
>>>> E: DEVNAME=input/event11
>>>> E: ID_INPUT=1
>>>> E: ID_INPUT_KEY=1
>>>> E: ID_INPUT_KEYBOARD=1
>>>> E: ID_SERIAL=noserial
>>>> E: XKBMODEL=pc104
>>>> E: XKBLAYOUT=us
>>>> E: MAJOR=13
>>>> E: MINOR=75
>>>> E: DEVLINKS=/dev/char/13:75
>>>> E: DMI_VENDOR=Apple Computer, Inc.
>>>>
>>>> DRM Information from dmesg:
>>>> [    0.871143] Linux agpgart interface v0.103
>>>> [    9.352125] [drm] Initialized drm 1.1.0 20060810
>>>> [   10.260025] [drm] radeon kernel modesetting enabled.
>>>> [   10.262479] [drm] radeon: Initializing kernel modesetting.
>>>> [   10.262644] [drm] register mmio base: 0x98300000
>>>> [   10.262646] [drm] register mmio size: 65536
>>>> [   10.262976] [drm] GPU reset succeed (RBBM_STATUS=0x10000140)
>>>> [   10.262992] [drm] Generation 2 PCI interface, using max accessible memory
>>>> [   10.262995] [drm] radeon: VRAM 256M
>>>> [   10.262997] [drm] radeon: VRAM from 0x00000000 to 0x0FFFFFFF
>>>> [   10.262999] [drm] radeon: GTT 512M
>>>> [   10.263001] [drm] radeon: GTT from 0x20000000 to 0x3FFFFFFF
>>>> [   10.263054] [drm] radeon: using MSI.
>>>> [   10.263078] [drm] radeon: irq initialized.
>>>> [   10.263799] [drm] Detected VRAM RAM=256M, BAR=256M
>>>> [   10.263803] [drm] RAM width 128bits DDR
>>>> [   10.263922] [drm] radeon: 256M of VRAM memory ready
>>>> [   10.263924] [drm] radeon: 512M of GTT memory ready.
>>>> [   10.263941] [drm] GART: num cpu pages 131072, num gpu pages 131072
>>>> [   10.265457] [drm] radeon: 1 quad pipes, 2 z pipes initialized.
>>>> [   10.265516] [drm] PCIE GART of 512M enabled (table at 0x00040000).
>>>> [   10.265528] [drm] radeon: cp idle (0x10000C03)
>>>> [   10.265565] [drm] Loading R500 Microcode
>>>> [   10.309974] [drm:r100_cp_init] *ERROR* Failed to load firmware!
>>>> [   10.310162] [drm] radeon: cp finalized
>>>> [   10.310799] [drm] Default TV standard: NTSC
>>>> [   10.310867] [drm] Radeon Display Connectors
>>>> [   10.310869] [drm] Connector 0:
>>>> [   10.310871] [drm]   LVDS
>>>> [   10.310874] [drm]   DDC: 0x7e60 0x7e60 0x7e64 0x7e64 0x7e68 0x7e68 0x7e6c 0x7e6c
>>>> [   10.310877] [drm]   Encoders:
>>>> [   10.310878] [drm]     LCD1: INTERNAL_LVTM1
>>>> [   10.310880] [drm] Connector 1:
>>>> [   10.310882] [drm]   S-video
>>>> [   10.310883] [drm]   Encoders:
>>>> [   10.310885] [drm]     TV1: INTERNAL_KLDSCP_DAC2
>>>> [   10.310887] [drm] Connector 2:
>>>> [   10.310888] [drm]   DVI-I
>>>> [   10.310890] [drm]   HPD1
>>>> [   10.310892] [drm]   DDC: 0x7e40 0x7e40 0x7e44 0x7e44 0x7e48 0x7e48 0x7e4c 0x7e4c
>>>> [   10.310895] [drm]   Encoders:
>>>> [   10.310897] [drm]     CRT2: INTERNAL_KLDSCP_DAC2
>>>> [   10.310899] [drm]     DFP1: INTERNAL_KLDSCP_TMDS1
>>>> [   10.579919] [drm] fb mappable at 0x80040000
>>>> [   10.579922] [drm] vram apper at 0x80000000
>>>> [   10.579924] [drm] size 5299200
>>>> [   10.579926] [drm] fb depth is 24
>>>> [   10.579928] [drm]    pitch is 5888
>>>> [   10.612039] fb0: radeondrmfb frame buffer device
>>>> [   10.612046] [drm] Initialized radeon 2.0.0 20080528 for 0000:01:00.0 on minor 0
>>>>
>>>>
>>>> -- System Information:
>>>> Debian Release: squeeze/sid
>>>>  APT prefers testing
>>>>  APT policy: (500, 'testing')
>>>> Architecture: i386 (i686)
>>>>
>>>> Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
>>>> Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
>>>> Shell: /bin/sh linked to /bin/dash
>>>>
>>>> Versions of packages xserver-xorg-video-radeon depends on:
>>>> ii  libc6                         2.11.2-5   Embedded GNU C Library: Shared lib
>>>> ii  libdrm-radeon1                2.4.18-6   Userspace interface to radeon-spec
>>>> ii  libdrm2                       2.4.18-6   Userspace interface to kernel DRM
>>>> ii  libpciaccess0                 0.12.0-1   Generic PCI access library for X
>>>> ii  libpixman-1-0                 0.16.4-1   pixel-manipulation library for X a
>>>> ii  libudev0                      160-1      libudev shared library
>>>> ii  xserver-xorg-core [xorg-video 2:1.7.7-4  Xorg X server - core server
>>>>
>>>> xserver-xorg-video-radeon recommends no packages.
>>>>
>>>> Versions of packages xserver-xorg-video-radeon suggests:
>>>> pn  firmware-linux                <none>     (no description available)
>>>>
>>>> -- Configuration Files:
>>>> /etc/modprobe.d/radeon-kms.conf changed:
>>>> options radeon modeset=0
>>>>
>>>>
>>>> -- no debconf information
>>>>
>>>>
>>>>
>>>> _______________________________________________
>>>> xorg-driver-ati mailing list
>>>> xorg-driver-ati@lists.x.org
>>>> http://lists.x.org/mailman/listinfo/xorg-driver-ati
>>>>
>>>
>>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Sun, 26 Sep 2010 17:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.small@unb.ca:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 26 Sep 2010 17:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 27 Sep 2010 15:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Sep 2010 15:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 597358@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: a.small@unb.ca, 597358@bugs.debian.org
Cc: Alex Deucher <alexdeucher@gmail.com>
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 27 Sep 2010 17:19:52 +0200
[Message part 1 (text/plain, inline)]
Aaron Small <aaron.small.99a@gmail.com> (26/09/2010):
> I'm having trouble applying these patches - the first two were able to
> apply, but the third patch seems to be applied to source quite
> different than what I have. I can't figure out how to apply it even
> manually. I'm using the debian linux-source-2.6.32 package, version
> 2.6.32-23. Is there a better kernel source I could try to apply to?

Probably linux-2.6's master?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 27 Sep 2010 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 27 Sep 2010 15:30:03 GMT) Full text and rfc822 format available.

Message #55 received at 597358@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 27 Sep 2010 11:27:15 -0400
On Mon, Sep 27, 2010 at 11:19 AM, Cyril Brulebois <kibi@debian.org> wrote:
> Aaron Small <aaron.small.99a@gmail.com> (26/09/2010):
>> I'm having trouble applying these patches - the first two were able to
>> apply, but the third patch seems to be applied to source quite
>> different than what I have. I can't figure out how to apply it even
>> manually. I'm using the debian linux-source-2.6.32 package, version
>> 2.6.32-23. Is there a better kernel source I could try to apply to?
>
> Probably linux-2.6's master?

Yes.

Alex

>
> Mraw,
> KiBi.
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.10 (GNU/Linux)
>
> iEYEARECAAYFAkygthgACgkQeGfVPHR5Nd0hegCeLowKgIyzRX2ilkbEf997DKIA
> VWQAn3yr0MxPh3pBrsdNJQgyVP5ldaPh
> =mH2w
> -----END PGP SIGNATURE-----
>
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#597358; Package xserver-xorg-video-radeon. (Mon, 11 Oct 2010 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to a.small@unb.ca:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Oct 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #60 received at 597358@bugs.debian.org (full text, mbox):

From: Aaron Small <aaron.small.99a@gmail.com>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 11 Oct 2010 15:48:01 -0400
Yes, these patches fix the problem.


Thanks,
Aaron

On Mon, Sep 27, 2010 at 11:27 AM, Alex Deucher <alexdeucher@gmail.com> wrote:
> On Mon, Sep 27, 2010 at 11:19 AM, Cyril Brulebois <kibi@debian.org> wrote:
>> Aaron Small <aaron.small.99a@gmail.com> (26/09/2010):
>>> I'm having trouble applying these patches - the first two were able to
>>> apply, but the third patch seems to be applied to source quite
>>> different than what I have. I can't figure out how to apply it even
>>> manually. I'm using the debian linux-source-2.6.32 package, version
>>> 2.6.32-23. Is there a better kernel source I could try to apply to?
>>
>> Probably linux-2.6's master?
>
> Yes.
>
> Alex
>
>>
>> Mraw,
>> KiBi.
>>
>> -----BEGIN PGP SIGNATURE-----
>> Version: GnuPG v1.4.10 (GNU/Linux)
>>
>> iEYEARECAAYFAkygthgACgkQeGfVPHR5Nd0hegCeLowKgIyzRX2ilkbEf997DKIA
>> VWQAn3yr0MxPh3pBrsdNJQgyVP5ldaPh
>> =mH2w
>> -----END PGP SIGNATURE-----
>>
>>
>




Bug reassigned from package 'xserver-xorg-video-radeon' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Oct 2010 20:03:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-video-ati/1:6.13.1-2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Oct 2010 20:03:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-21. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Oct 2010 20:03:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream and patch. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 11 Oct 2010 20:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Tue, 12 Oct 2010 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 00:33:03 GMT) Full text and rfc822 format available.

Message #73 received at 597358@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Alex Deucher <alexdeucher@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Tue, 12 Oct 2010 01:30:36 +0100
[Message part 1 (text/plain, inline)]
On Mon, 2010-09-27 at 11:27 -0400, Alex Deucher wrote:
> On Mon, Sep 27, 2010 at 11:19 AM, Cyril Brulebois <kibi@debian.org> wrote:
> > Aaron Small <aaron.small.99a@gmail.com> (26/09/2010):
> >> I'm having trouble applying these patches - the first two were able to
> >> apply, but the third patch seems to be applied to source quite
> >> different than what I have. I can't figure out how to apply it even
> >> manually. I'm using the debian linux-source-2.6.32 package, version
> >> 2.6.32-23. Is there a better kernel source I could try to apply to?
> >
> > Probably linux-2.6's master?
> 
> Yes.

Alex, how confident are you about these changes?  It looks like they're
going to potentially change clock setup for all Radeon chips; is that
right?

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Tue, 12 Oct 2010 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Deucher <alexdeucher@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Oct 2010 00:45:03 GMT) Full text and rfc822 format available.

Message #78 received at 597358@bugs.debian.org (full text, mbox):

From: Alex Deucher <alexdeucher@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Mon, 11 Oct 2010 20:42:37 -0400
On Mon, Oct 11, 2010 at 8:30 PM, Ben Hutchings <ben@decadent.org.uk> wrote:
> On Mon, 2010-09-27 at 11:27 -0400, Alex Deucher wrote:
>> On Mon, Sep 27, 2010 at 11:19 AM, Cyril Brulebois <kibi@debian.org> wrote:
>> > Aaron Small <aaron.small.99a@gmail.com> (26/09/2010):
>> >> I'm having trouble applying these patches - the first two were able to
>> >> apply, but the third patch seems to be applied to source quite
>> >> different than what I have. I can't figure out how to apply it even
>> >> manually. I'm using the debian linux-source-2.6.32 package, version
>> >> 2.6.32-23. Is there a better kernel source I could try to apply to?
>> >
>> > Probably linux-2.6's master?
>>
>> Yes.
>
> Alex, how confident are you about these changes?  It looks like they're
> going to potentially change clock setup for all Radeon chips; is that
> right?
>

Yes, it will affect all radeons, but in practice it's should really
only change things on avivo hw (r5xx+) due to the limited number of
post dividers on pre-avivo hardware.  It's the same algo that was used
originally on all radeons, before I added the newer algo; the only
tweak is that we prefer higher post dividers rather than lower ones.
In practice, it seems the older one works better.  I've tested them on
a variety of monitors on all my radeon cards (r1xx-evergreen
families). Additionally these patches have fixed several bugs where
the newer algo did not work properly.

Alex

> Ben.
>
> --
> Ben Hutchings
> Once a job is fouled up, anything done to improve it makes it worse.
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Wed, 07 Sep 2011 20:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Sep 2011 20:39:10 GMT) Full text and rfc822 format available.

Message #83 received at 597358@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Bader <stefan.bader@canonical.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Wed, 7 Sep 2011 15:36:17 -0500
Hi,

Aaron Small wrote[1]:

> When KMS is enabled, the screen is mostly correct all the time, but the
> brightness for either the entire screen, or one horizontal line
> flickers, maybe two to three times per second. Sometimes the change in
> brightness is just noticeable, and sometimes it is strong enough to look
> like a horizontal line the full width of the display becomes white.

Alex Deucher wrote:

> Can you try this set of kernel patches?
[...]
> Yes, it will affect all radeons, but in practice it's should really
> only change things on avivo hw (r5xx+) due to the limited number of
> post dividers on pre-avivo hardware.  It's the same algo that was used
> originally on all radeons, before I added the newer algo; the only
> tweak is that we prefer higher post dividers rather than lower ones.
> In practice, it seems the older one works better.  I've tested them on
> a variety of monitors on all my radeon cards (r1xx-evergreen
> families). Additionally these patches have fixed several bugs where
> the newer algo did not work properly.

Aaron Small wrote (after testing on top of "master"):

> Yes, these patches fix the problem.

Stefan, do these three patches look like reasonable candidates for the
linux-2.6.32.y-drm33.z tree?  They are straightforward backports of
patches from mainline (so please feel free to skip the patches and
cherry-pick them for yourself :)).  This series doesn't include
"drm/radeon/kms: remove new pll algo" because in 2.6.33 the newer algo
hadn't been introduced yet.

Aaron, if you get a chance to test this series on top of the squeeze
kernel, that would be interesting of course. :)

Alex Deucher (2):
  drm/radeon/kms: prefer high post dividers in legacy pll algo
  drm/radeon/kms: remove some pll algo flags

Dan Carpenter (1):
  drm: radeon: fix sign bug

 drivers/gpu/drm/radeon/atombios_crtc.c      |   14 +---------
 drivers/gpu/drm/radeon/radeon_display.c     |   36 ++++++---------------------
 drivers/gpu/drm/radeon/radeon_legacy_crtc.c |    5 ---
 drivers/gpu/drm/radeon/radeon_mode.h        |   12 ++------
 4 files changed, 12 insertions(+), 55 deletions(-)

Looking forward to your thoughts,
Jonathan

[1] http://bugs.debian.org/597358




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Wed, 07 Sep 2011 20:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Sep 2011 20:39:12 GMT) Full text and rfc822 format available.

Message #88 received at 597358@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Bader <stefan.bader@canonical.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: [PATCH 2.6.32.y-drm33.z 1/3] drm: radeon: fix sign bug
Date: Wed, 7 Sep 2011 15:38:06 -0500
From: Dan Carpenter <error27@gmail.com>
Date: Sat, 17 Jul 2010 12:28:02 +0200

commit 167ffc44caaee68ea60dadf6931a4d195a4ed1f0 upstream.

The "error" variable is unsigned so it's never less than zero.  I
changed it to check if (freq < current_freq) directly.

"best_error" is also unsigned so "best_error - 100" could be a large
number instead of a negative.  Since "error" is unsigned it is never
less than a negative and so the cases where "best_error" is less than or
equal to 100 are false.

Signed-off-by: Dan Carpenter <error27@gmail.com>
Reviewed-by: Alex Deucher <alexdeucher@gmail.com>
Signed-off-by: Dave Airlie <airlied@redhat.com>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
 drivers/gpu/drm/radeon/radeon_display.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/drivers/gpu/drm/radeon/radeon_display.c b/drivers/gpu/drm/radeon/radeon_display.c
index 567bd8e1f3d0..22ed2171c67e 100644
--- a/drivers/gpu/drm/radeon/radeon_display.c
+++ b/drivers/gpu/drm/radeon/radeon_display.c
@@ -519,15 +519,17 @@ void radeon_compute_pll(struct radeon_pll *pll,
 					current_freq = radeon_div(tmp, ref_div * post_div);
 
 					if (pll->flags & RADEON_PLL_PREFER_CLOSEST_LOWER) {
-						error = freq - current_freq;
-						error = error < 0 ? 0xffffffff : error;
+						if (freq < current_freq)
+							error = 0xffffffff;
+						else
+							error = freq - current_freq;
 					} else
 						error = abs(current_freq - freq);
 					vco_diff = abs(vco - best_vco);
 
 					if ((best_vco == 0 && error < best_error) ||
 					    (best_vco != 0 &&
-					     (error < best_error - 100 ||
+					     ((best_error > 100 && error < best_error - 100) ||
 					      (abs(error - best_error) < 100 && vco_diff < best_vco_diff)))) {
 						best_post_div = post_div;
 						best_ref_div = ref_div;
-- 
1.7.6





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Wed, 07 Sep 2011 20:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Sep 2011 20:42:03 GMT) Full text and rfc822 format available.

Message #93 received at 597358@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Bader <stefan.bader@canonical.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: [PATCH 2.6.32.y-drm33.z 2/3] drm/radeon/kms: prefer high post dividers in legacy pll algo
Date: Wed, 7 Sep 2011 15:38:54 -0500
From: Alex Deucher <alexdeucher@gmail.com>
Date: Wed, 29 Sep 2010 11:37:39 -0400

commit bcac54da0a6bd2ed93a2a70fe3d4ebc08c4ed779 upstream.

the hw prefers higher post dividers

Signed-off-by: Alex Deucher <alexdeucher@gmail.com>
Signed-off-by: Dave Airlie <airlied@redhat.com>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
 drivers/gpu/drm/radeon/radeon_display.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/drivers/gpu/drm/radeon/radeon_display.c b/drivers/gpu/drm/radeon/radeon_display.c
index 22ed2171c67e..60a51dced9d1 100644
--- a/drivers/gpu/drm/radeon/radeon_display.c
+++ b/drivers/gpu/drm/radeon/radeon_display.c
@@ -464,7 +464,7 @@ void radeon_compute_pll(struct radeon_pll *pll,
 		max_fractional_feed_div = pll->max_frac_feedback_div;
 	}
 
-	for (post_div = min_post_div; post_div <= max_post_div; ++post_div) {
+	for (post_div = max_post_div; post_div >= min_post_div; --post_div) {
 		uint32_t ref_div;
 
 		if ((pll->flags & RADEON_PLL_NO_ODD_POST_DIV) && (post_div & 1))
-- 
1.7.6





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Wed, 07 Sep 2011 20:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Sep 2011 20:42:05 GMT) Full text and rfc822 format available.

Message #98 received at 597358@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Bader <stefan.bader@canonical.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: [PATCH 2.6.32.y-drm33.z 3/3] drm/radeon/kms: remove some pll algo flags
Date: Wed, 7 Sep 2011 15:39:53 -0500
From: Alex Deucher <alexdeucher@gmail.com>
Date: Wed, 29 Sep 2010 11:37:40 -0400

commit f28488c282d8916b9b6190cc41714815bbaf97d5 upstream.

These shouldn't be needed with the post div changes
in the last patch.

Signed-off-by: Alex Deucher <alexdeucher@gmail.com>
Signed-off-by: Dave Airlie <airlied@redhat.com>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
 drivers/gpu/drm/radeon/atombios_crtc.c      |   14 +-------------
 drivers/gpu/drm/radeon/radeon_display.c     |   26 ++------------------------
 drivers/gpu/drm/radeon/radeon_legacy_crtc.c |    5 -----
 drivers/gpu/drm/radeon/radeon_mode.h        |   12 +++---------
 4 files changed, 6 insertions(+), 51 deletions(-)

diff --git a/drivers/gpu/drm/radeon/atombios_crtc.c b/drivers/gpu/drm/radeon/atombios_crtc.c
index af464e351fbd..2e8d899434a2 100644
--- a/drivers/gpu/drm/radeon/atombios_crtc.c
+++ b/drivers/gpu/drm/radeon/atombios_crtc.c
@@ -430,21 +430,9 @@ static u32 atombios_adjust_pll(struct drm_crtc *crtc,
 		    (rdev->family == CHIP_RS740))
 			pll->flags |= (RADEON_PLL_USE_FRAC_FB_DIV |
 				       RADEON_PLL_PREFER_CLOSEST_LOWER);
-
-		if (ASIC_IS_DCE32(rdev) && mode->clock > 200000)	/* range limits??? */
-			pll->flags |= RADEON_PLL_PREFER_HIGH_FB_DIV;
-		else
-			pll->flags |= RADEON_PLL_PREFER_LOW_REF_DIV;
-	} else {
+	} else
 		pll->flags |= RADEON_PLL_LEGACY;
 
-		if (mode->clock > 200000)	/* range limits??? */
-			pll->flags |= RADEON_PLL_PREFER_HIGH_FB_DIV;
-		else
-			pll->flags |= RADEON_PLL_PREFER_LOW_REF_DIV;
-
-	}
-
 	list_for_each_entry(encoder, &dev->mode_config.encoder_list, head) {
 		if (encoder->crtc == crtc) {
 			radeon_encoder = to_radeon_encoder(encoder);
diff --git a/drivers/gpu/drm/radeon/radeon_display.c b/drivers/gpu/drm/radeon/radeon_display.c
index 60a51dced9d1..2252ab99a95c 100644
--- a/drivers/gpu/drm/radeon/radeon_display.c
+++ b/drivers/gpu/drm/radeon/radeon_display.c
@@ -530,7 +530,8 @@ void radeon_compute_pll(struct radeon_pll *pll,
 					if ((best_vco == 0 && error < best_error) ||
 					    (best_vco != 0 &&
 					     ((best_error > 100 && error < best_error - 100) ||
-					      (abs(error - best_error) < 100 && vco_diff < best_vco_diff)))) {
+					      (abs(error - best_error) < 100 &&
+					       vco_diff < best_vco_diff)))) {
 						best_post_div = post_div;
 						best_ref_div = ref_div;
 						best_feedback_div = feedback_div;
@@ -538,29 +539,6 @@ void radeon_compute_pll(struct radeon_pll *pll,
 						best_freq = current_freq;
 						best_error = error;
 						best_vco_diff = vco_diff;
-					} else if (current_freq == freq) {
-						if (best_freq == -1) {
-							best_post_div = post_div;
-							best_ref_div = ref_div;
-							best_feedback_div = feedback_div;
-							best_frac_feedback_div = frac_feedback_div;
-							best_freq = current_freq;
-							best_error = error;
-							best_vco_diff = vco_diff;
-						} else if (((pll->flags & RADEON_PLL_PREFER_LOW_REF_DIV) && (ref_div < best_ref_div)) ||
-							   ((pll->flags & RADEON_PLL_PREFER_HIGH_REF_DIV) && (ref_div > best_ref_div)) ||
-							   ((pll->flags & RADEON_PLL_PREFER_LOW_FB_DIV) && (feedback_div < best_feedback_div)) ||
-							   ((pll->flags & RADEON_PLL_PREFER_HIGH_FB_DIV) && (feedback_div > best_feedback_div)) ||
-							   ((pll->flags & RADEON_PLL_PREFER_LOW_POST_DIV) && (post_div < best_post_div)) ||
-							   ((pll->flags & RADEON_PLL_PREFER_HIGH_POST_DIV) && (post_div > best_post_div))) {
-							best_post_div = post_div;
-							best_ref_div = ref_div;
-							best_feedback_div = feedback_div;
-							best_frac_feedback_div = frac_feedback_div;
-							best_freq = current_freq;
-							best_error = error;
-							best_vco_diff = vco_diff;
-						}
 					}
 					if (current_freq < freq)
 						min_frac_feed_div = frac_feedback_div + 1;
diff --git a/drivers/gpu/drm/radeon/radeon_legacy_crtc.c b/drivers/gpu/drm/radeon/radeon_legacy_crtc.c
index 272ddc741fb5..31224141ad5d 100644
--- a/drivers/gpu/drm/radeon/radeon_legacy_crtc.c
+++ b/drivers/gpu/drm/radeon/radeon_legacy_crtc.c
@@ -727,11 +727,6 @@ static void radeon_set_pll(struct drm_crtc *crtc, struct drm_display_mode *mode)
 
 	pll->flags = RADEON_PLL_LEGACY;
 
-	if (mode->clock > 200000) /* range limits??? */
-		pll->flags |= RADEON_PLL_PREFER_HIGH_FB_DIV;
-	else
-		pll->flags |= RADEON_PLL_PREFER_LOW_REF_DIV;
-
 	list_for_each_entry(encoder, &dev->mode_config.encoder_list, head) {
 		if (encoder->crtc == crtc) {
 			struct radeon_encoder *radeon_encoder = to_radeon_encoder(encoder);
diff --git a/drivers/gpu/drm/radeon/radeon_mode.h b/drivers/gpu/drm/radeon/radeon_mode.h
index e81b2aeb6a8f..0090a67ed363 100644
--- a/drivers/gpu/drm/radeon/radeon_mode.h
+++ b/drivers/gpu/drm/radeon/radeon_mode.h
@@ -117,15 +117,9 @@ struct radeon_tmds_pll {
 #define RADEON_PLL_NO_ODD_POST_DIV      (1 << 1)
 #define RADEON_PLL_USE_REF_DIV          (1 << 2)
 #define RADEON_PLL_LEGACY               (1 << 3)
-#define RADEON_PLL_PREFER_LOW_REF_DIV   (1 << 4)
-#define RADEON_PLL_PREFER_HIGH_REF_DIV  (1 << 5)
-#define RADEON_PLL_PREFER_LOW_FB_DIV    (1 << 6)
-#define RADEON_PLL_PREFER_HIGH_FB_DIV   (1 << 7)
-#define RADEON_PLL_PREFER_LOW_POST_DIV  (1 << 8)
-#define RADEON_PLL_PREFER_HIGH_POST_DIV (1 << 9)
-#define RADEON_PLL_USE_FRAC_FB_DIV      (1 << 10)
-#define RADEON_PLL_PREFER_CLOSEST_LOWER (1 << 11)
-#define RADEON_PLL_USE_POST_DIV         (1 << 12)
+#define RADEON_PLL_USE_FRAC_FB_DIV      (1 << 4)
+#define RADEON_PLL_PREFER_CLOSEST_LOWER (1 << 5)
+#define RADEON_PLL_USE_POST_DIV         (1 << 6)
 
 struct radeon_pll {
 	/* reference frequency */
-- 
1.7.6





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Wed, 07 Sep 2011 21:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Bader <stefan.bader@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Sep 2011 21:03:13 GMT) Full text and rfc822 format available.

Message #103 received at 597358@bugs.debian.org (full text, mbox):

From: Stefan Bader <stefan.bader@canonical.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: Bug#597358: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Wed, 07 Sep 2011 14:01:55 -0700
On 07.09.2011 13:36, Jonathan Nieder wrote:
> Hi,
> 
> Aaron Small wrote[1]:
> 
>> When KMS is enabled, the screen is mostly correct all the time, but the
>> brightness for either the entire screen, or one horizontal line
>> flickers, maybe two to three times per second. Sometimes the change in
>> brightness is just noticeable, and sometimes it is strong enough to look
>> like a horizontal line the full width of the display becomes white.
> 
> Alex Deucher wrote:
> 
>> Can you try this set of kernel patches?
> [...]
>> Yes, it will affect all radeons, but in practice it's should really
>> only change things on avivo hw (r5xx+) due to the limited number of
>> post dividers on pre-avivo hardware.  It's the same algo that was used
>> originally on all radeons, before I added the newer algo; the only
>> tweak is that we prefer higher post dividers rather than lower ones.
>> In practice, it seems the older one works better.  I've tested them on
>> a variety of monitors on all my radeon cards (r1xx-evergreen
>> families). Additionally these patches have fixed several bugs where
>> the newer algo did not work properly.
> 
> Aaron Small wrote (after testing on top of "master"):
> 
>> Yes, these patches fix the problem.
> 
> Stefan, do these three patches look like reasonable candidates for the
> linux-2.6.32.y-drm33.z tree?  They are straightforward backports of
> patches from mainline (so please feel free to skip the patches and
> cherry-pick them for yourself :)).  This series doesn't include
> "drm/radeon/kms: remove new pll algo" because in 2.6.33 the newer algo
> hadn't been introduced yet.
> 
> Aaron, if you get a chance to test this series on top of the squeeze
> kernel, that would be interesting of course. :)
> 
> Alex Deucher (2):
>   drm/radeon/kms: prefer high post dividers in legacy pll algo
>   drm/radeon/kms: remove some pll algo flags
> 
> Dan Carpenter (1):
>   drm: radeon: fix sign bug
> 
>  drivers/gpu/drm/radeon/atombios_crtc.c      |   14 +---------
>  drivers/gpu/drm/radeon/radeon_display.c     |   36 ++++++---------------------
>  drivers/gpu/drm/radeon/radeon_legacy_crtc.c |    5 ---
>  drivers/gpu/drm/radeon/radeon_mode.h        |   12 ++------
>  4 files changed, 12 insertions(+), 55 deletions(-)
> 
> Looking forward to your thoughts,
> Jonathan
> 
> [1] http://bugs.debian.org/597358

Hi Jonathan,

only having looked at them very briefly, the first two look quite reasonable.
The last one "remove some pll algo flags" I would want to look at more closely.
Just as it is at least bigger from the amount of modifications. Other question
would be whether it is required or just cleaning up things.

So in general,looks ok. Just need a bit time to look closer into it. And I am
travelling at the moment which slows things a bit.

-Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#597358; Package linux-2.6. (Thu, 22 Sep 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 22 Sep 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #108 received at 597358@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stefan Bader <stefan.bader@canonical.com>
Cc: Alex Deucher <alexdeucher@gmail.com>, Ben Hutchings <ben@decadent.org.uk>, Cyril Brulebois <kibi@debian.org>, a.small@unb.ca, 597358@bugs.debian.org
Subject: Re: xserver-xorg-video-radeon: Screen brightness flickers when KMS is enabled
Date: Thu, 22 Sep 2011 15:34:12 -0500
Hi Stefan,

Stefan Bader wrote:
> On 07.09.2011 13:36, Jonathan Nieder wrote:

>> Alex Deucher (2):
>>   drm/radeon/kms: prefer high post dividers in legacy pll algo
>>   drm/radeon/kms: remove some pll algo flags
>>
>> Dan Carpenter (1):
>>   drm: radeon: fix sign bug
[...]
> only having looked at them very briefly, the first two look quite reasonable.
> The last one "remove some pll algo flags" I would want to look at more closely.
> Just as it is at least bigger from the amount of modifications. Other question
> would be whether it is required or just cleaning up things.
>
> So in general,looks ok. Just need a bit time to look closer into it. And I am
> travelling at the moment which slows things a bit.

Sorry for the slow response.  Based on commit 5480f727dc4c (Revert
"drm/radeon/kms: remove some pll algo flags"), I imagine it would be
best to just apply the first two.

Thanks for looking them over,
Jonathan




Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 04 Oct 2011 08:40:16 GMT) Full text and rfc822 format available.

Merged 575893 597358. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 04 Oct 2011 08:40:18 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 14 Nov 2011 12:24:47 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'src:linux-2.6'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 23:18:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.32-21 and 2.6.32-10. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 23:18:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-10. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 23:18:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-21. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 23:18:12 GMT) Full text and rfc822 format available.

Merged 575893 597358 607227. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 25 Jan 2012 23:18:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.32-41. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 04:36:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 16 Jul 2012 11:54:08 GMT) Full text and rfc822 format available.

Message #129 received at 575893-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 575893-close@bugs.debian.org
Subject: Bug#575893: fixed in linux-2.6 2.6.32-46
Date: Sun, 23 Sep 2012 02:47:10 +0000
Source: linux-2.6
Source-Version: 2.6.32-46

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575893@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Sep 2012 04:22:37 +0900
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all
Version: 2.6.32-46
Distribution: stable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 575893 611107 634180 647560 655385 670398 671238 679882 680467 681632 685087
Changes: 
 linux-2.6 (2.6.32-46) stable; urgency=high
 .
   [ Bastian Blank ]
   * [s390] Enable IUCV special message support. (closes: #671238)
 .
   [ Ben Hutchings ]
   * linux-image: Relax version dependency on linux-base, to simplify
     testing of bug fixes
   * [x86] linux-image: Fix minimum version of lilo (Closes: #680467)
   * [openvz] proc: Fix extreme memory use for /proc/self/mountinfo in
     container, thanks to Andrew Vagin, Christoph Lechleitner (Closes: #655385)
   * usb: Fix deadlock in hid_reset when Dell iDRAC is reset (Closes: #670398)
   * drm: Apply changes deferred from 2.6.32.42+drm33.19:
     - drm: implement helper functions for scanning lru list
     - drm/i915: Implement fair lru eviction across both rings. (v2)
     - drm/i915: Maintain LRU order of inactive objects upon access by CPU (v2)
     - drm/i915/evict: Ensure we completely cleanup on failure
   * Add drm changes from 2.6.32.46+drm33.20, 2.6.32.48+drm33.21,
     2.6.32.56+drm33.22, 2.6.32.57+drm33.23, 2.6.32.58+drm33.24
     (Closes: #681632) including:
     - drm/radeon/kms: prefer high post dividers in legacy pll algo
       (Closes: #575893)
     - drm: mm: fix range restricted allocations (regression in 2.6.32-36)
     - drm/i915: no lvds quirk for AOpen MP45
   * [armel/kirkwood] ahci: Add JMicron 362 device IDs (Closes: #634180)
   * tcp: Don't change unlocked socket state in tcp_v4_err(). (Closes: #685087)
   * locks: fix checking of fcntl_setlease argument
   * sfc: Fix maximum number of TSO segments and minimum TX queue size
     (CVE-2012-3412)
 .
   [ Jonathan Nieder ]
   * ath5k: initialize default noise floor
   * ath5k: use noise calibration from madwifi hal (Closes: #611107)
   * sky2: Add 'legacy_pme' option for PCI legacy power management
     (Closes: #647560; works around regression introduced in 2.6.32-22)
 .
   [ dann frazier ]
   * Avoid leap second deadlock and early hrtimer/futex expiration issue
     (Closes: #679882)
   * net: sock: validate data_len before allocating skb in
     sock_alloc_send_pskb() (CVE-2012-2136)
   * dl2k: Clean up rio_ioctl, add missing CAP_NET_ADMIN checks (CVE-2012-2313)
   * hfsplus: Fix potential buffer overflows (CVE-2012-2319)
   * hugetlb: fix resv_map leak in error path (CVE-2012-2390)
   * mm: fix vma_resv_map() NULL pointer (CVE-2012-2390)
   * cred: copy_process() should clear child->replacement_session_keyring
     (CVE-2012-2745)
   * udf: Fix buffer overflow when parsing sparing table (CVE-2012-3400)
   * rds: set correct msg_namelen (CVE-2012-3430)
Checksums-Sha1: 
 3ff87f93ced4978ef59c2ca2a7d080f636e7e94b 6975 linux-2.6_2.6.32-46.dsc
 f0d20647b7cb355c42273e25bc669c2656fca619 16321966 linux-2.6_2.6.32-46.diff.gz
 c1bdae9febe680c5c8c2533c2dd1d4a4efb94a1f 6062144 linux-doc-2.6.32_2.6.32-46_all.deb
 c4226e2d491711955a5898c38e7b14cccbbe7db3 2743164 linux-manual-2.6.32_2.6.32-46_all.deb
 efbc3d15901464bf42b310132e3d4632f3f5cdc7 9951026 linux-patch-debian-2.6.32_2.6.32-46_all.deb
 e170ed2082ec1740012cb45b75f50bee261d7749 65332716 linux-source-2.6.32_2.6.32-46_all.deb
 7febd4a06bf5c2095b6f4222340b975672e73e8d 170386 linux-support-2.6.32-5_2.6.32-46_all.deb
 5b4b525dd5ad1e3079e134fd534ee237b30523e5 158042 firmware-linux-free_2.6.32-46_all.deb
 23c316f4f98f8f37486f2c905e50fe5f4fbd4c1b 180298 linux-base_2.6.32-46_all.deb
Checksums-Sha256: 
 87d7f2d6e0c61c316db3ccc5f5082fe17928f14a1ddbe683190691fd60c2e0d9 6975 linux-2.6_2.6.32-46.dsc
 8e6220b01f30ee9acb3ae8a6a7825f054ddbe447914cd0a6d60cfb29b7553467 16321966 linux-2.6_2.6.32-46.diff.gz
 4ef3a97e02bbd967094a789aa97adfc228861612a58d6ac33871a0ec9a0c9e7b 6062144 linux-doc-2.6.32_2.6.32-46_all.deb
 ba564fb082d02ae888624afc89d27c91322cb86189bfb736d47ba8dbcdb00bc1 2743164 linux-manual-2.6.32_2.6.32-46_all.deb
 db1549cd11c371e06d2798faf25887157ab13b950c2fc8fa77fde38ccf0a75f1 9951026 linux-patch-debian-2.6.32_2.6.32-46_all.deb
 4a54c5c2829ab299bb6f23173c753b17ab220efaffc52ebe8e3cb836dd27ba9b 65332716 linux-source-2.6.32_2.6.32-46_all.deb
 a1d0c578806ba6c66fcddf8ba2d91c01bdd2c6b13a59bbeea10160dacdfbf5f5 170386 linux-support-2.6.32-5_2.6.32-46_all.deb
 549ae6daa7cdcb3c84d43ba1cc6b6d6fcbea88d254877904e6e20f310f296002 158042 firmware-linux-free_2.6.32-46_all.deb
 3358a7a36822af591d13ae9335e347a1240d0559b2e3a06b256121edd6ee2e53 180298 linux-base_2.6.32-46_all.deb
Files: 
 ec0ad78b04684c74e486fbdfb5e1ef2c 6975 kernel optional linux-2.6_2.6.32-46.dsc
 9485f223c9b6dac8cdf0bc2b368aae35 16321966 kernel optional linux-2.6_2.6.32-46.diff.gz
 a9cadc9f5e159c40ccf69b9a232e8fc3 6062144 doc optional linux-doc-2.6.32_2.6.32-46_all.deb
 db7a87ce09daf46962c6e9b21aa1d131 2743164 doc optional linux-manual-2.6.32_2.6.32-46_all.deb
 b2b742363d93eee73f5ed7d6d330dd90 9951026 kernel optional linux-patch-debian-2.6.32_2.6.32-46_all.deb
 ff3850761eaef39747970b2e964f9a4f 65332716 kernel optional linux-source-2.6.32_2.6.32-46_all.deb
 03c0f6c890cdf2648a047bf95da724d6 170386 devel optional linux-support-2.6.32-5_2.6.32-46_all.deb
 c10bb020da429fa7d42b49bd33d1890a 158042 kernel optional firmware-linux-free_2.6.32-46_all.deb
 5471535b7378b6c599f7b1b5bb2b7a97 180298 kernel optional linux-base_2.6.32-46_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQXilOAAoJEBv4PF5U/IZAx4MP/0JvJYrBViKb5p21EUzRj8Sd
wFoNTX1RB7Ci1xQ1sx/jp+QQSeodnxjKsbDwkPhxx1wsnmThJm3B1vwYy0nGnfee
8Uoef0W2MaWpNKoD7t2EDcH/xdtHHKvquoRSEiW5lQa1Wfxbkzwr9RcYPanNgFW0
nHyBYZPjQn9J8ia9EnALDVYIs6IdtmdnRTvT8JPQT+fO1V1BGsMsR+nqHIdsSXGV
FzZVgDRGcbq6aByWOB+L/Ji+XWwsa0xNq5vlJ/pPdTVNp9dGbMyY39fyASmpZa3g
g3o7mHdxbQXYmlOc+1reqWy6ARE7t5E0tVpDXkFnH2lAmD539oJNbTmd6Uq0gHwH
Lms74Wcdt+mfbjx66ok6y/eBWmeRgzan74aLxnLkwuz4GiXrKZllenYm6h2516NJ
jVkqNZdButF50boZVd0Y0nBCrSaL9Rn/dh5ndIyt6PRRKzhtPRkw8LpYYdevBw/e
0UrNmHdQaXZ+macAUM3qLu4lXN/1qCDCm8kkLOv9bau9qCOYJXG5NsHeQJmM0hxP
wvq6T8/mBbL15/D/GSPiZ4m3TRonuN+7Jeknn4JCPKxE/bB6oQuJ98rSGXmKAr5B
d42Oelf/v2Ic8QjOHyWNYtQLNaHQmgw3BZrXxf+khnK6/w74SunW8GHM9joomS0u
wjPQgdaFjlizI3+g1Mw9
=ieIa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Oct 2012 07:26:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:24:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.